2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac, README: Bumped version number up to 1.1.7.

2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	* RELEASE-NOTES: Updated for 1.1.7.

2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	* README: Added powerpc-openbsd port.

	* WHATSNEW: Added powerpc-openbsd port, and various other little bits of
	information.

	* config/Makefile.am: (EXTRA_DIST) Added powerpc/openbsd files.

2006-03-26  Kurt Miller <truk@optonline.net>

	* config/i386/openbsd2/md.c,
	config/i386/openbsd2/md.h: 
	Fixes for jthreads & stack handling with pthreads.

	* config/sparc/openbsd2/md.c,
	config/sparc/openbsd2/md.h:
	Fixes for sparc64-openbsd & stack handling with pthreads.

	* config/powerpc/openbsd2/config.frag,
	config/powerpc/openbsd2/md.c,
	config/powerpc/openbsd2/md.h:
	New files.

2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	New port to alpha-freebsd.

	* config/alpha/freebsd2/config.frag,
	config/alpha/freebsd2/md.c,
	config/alpha/freebsd2/md.h:
	New files.

2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	New port to ia64-freebsd.

	* config/ia64/freebsd2/config.frag,
	config/ia64/freebsd2/md.c,
	config/ia64/freebsd2/md.h:
	New files for a new port.

2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	* developers/test-kaffe-sh: Add regression test failures in
	a separate tar invocation to avoid breakage if no test failures
	exist.

2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.win32: Improved Cygwin build documentation.
	We're down to 4 regression test failures with interpreter
	and jthreads.

2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/native/fdlibm/fdlibm.h:
	Don't care is isnan is a function, it is supposed to be a macro.
	If it is not defined as a macro, just define it ourself.

2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	* developers/test-kaffe-sh: Add regression test failures to
	result tarball.

	* Makefile.am: (EXTRA_DIST) Added developers/test-kaffe-sh.

2006-03-26  Dalibor Topic  <robilad@kaffe.org>

	* FAQ.requiredlibraries: libz is no longer required to use
	zip files, since we're using the shipped one by default.

2006-03-25  Kurt Miller <truk@optonline.net>

	* kaffe/kaffe/main.c (options): Make sure to terminate
	the newbootcpath string.

	* config/i386/openbsd2/md.c: Added missing include.

2006-03-25 Alexander Boettcher  <alex@kaffe.org>

	* developers/config4.patch:
	patch config.sub of fastjar (add drops as os for configure) 
	* developers/autogen.sh:
	add config4.patch file
	* libraries/clib/native/java_lang_VMProcess.c:
	rearrange signal.h and sys/wait.h - fix build when dietlibc
	is used, hopefully other libc don't stumble (glibc work) 
	
2006-03-25 Alexander Boettcher  <alex@kaffe.org>
	
	DROPS/L4 specific shared library wrapper is obsolete.
	Instead usage of new ldso package of DROPS, which is now
	detected by configure and used by libltdl.

	* kaffe/kaffevm/slib.h: remove obsolete DROPS/L4 specific include
	* kaffe/kaffevm/systems/drops-l4threads/jthread.h,
	  kaffe/kaffevm/systems/drops-l4threads/l4thread.c:
	  adapt to data type changes in l4_thread_ex_regs function
	* kaffe/kaffevm/systems/drops-l4threads/l4_loader.h:
	  remove obsolete
	* FAQ/FAQ.drops: Update information because of loader changes

2006-03-25  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AM_INIT): Added dist-bz2 and dist-zip.

2006-03-25  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.awt: Added information on runtime switches to use
	the peerless AWT implementations.

2006-03-24  Dalibor Topic  <robilad@kaffe.org>

	* README, configure.ac: bumped up version to 1.1.7-rc2.

2006-03-24  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: AC_DEFINE KAFFE_SYSTEM_UNIX_PTHREADS when
	we are using unix-pthreads.

2006-03-24  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/external/classpath/java/io/PrintStream.java
	(writeChars): Catch UnsupportedEncodingException if we use the
	default encoding and replace the encoding with a known working
	one.
	
2006-03-24  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (EXTRA_DIST): Added FAQ/FAQ.blackfin.
 
2006-03-24  Kang Shuo  <blackfin.kang@gmail.com>

	* FAQ/FAQ.blackfin: New file.

2006-03-23 Alexander Boettcher  <alex@kaffe.org>

	* config/i386/jit.h: fix compiler warning. Initialize last
	element to zero.

2006-03-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/zip/Makefile.am (MAYBE_INTERNAL_ZIP_INCLUDES):
	Fixed the path to bundled zlib. 

2006-03-23  Dalibor Topic  <robilad@kaffe.org>

	* config/Makfile.am: (EXTRA_DIST) Renamed blackfin jitter
	files to match the actual names of files. Fixes make distcheck.

2006-03-23  Dalibor Topic  <robilad@kaffe.org>

	Fix for Debian bug #357427

	* libraries/javalib/vmspecific/java/lang/String.java 
	(replace, offsetByCodePoints): Merged in from GNU Classpath's 
	String implementation.

2006-03-23  Dalibor Topic  <robilad@kaffe.org>

	* README, WHATSNEW: Added information about Blackfin support.

2006-03-23  Kang Shuo  <blackfin.kang@gmail.com>

	* config/Makefile.am,
	config/Makefile.in,
	config/config.alias,
	kaffe/kaffevm/boehm-gc/boehm/config.sub,
	kaffe/kaffevm/boehm-gc/boehm/configure,
	kaffe/kaffevm/boehm-gc/boehm/configure.ac:
	Updated to support blackfin.

	* config/bfin/atomicity.h
	config/bfin/callKaffeException.h
	config/bfin/common.h
	config/bfin/jit-bfin.def
	config/bfin/jit-icode.h
	config/bfin/jit.h
	config/bfin/jit3-bfin.def
	config/bfin/jit3-icode.h
	config/bfin/sysdepCallMethod.h
	config/bfin/threads.h
	config/bfin/trampolines.S
	config/bfin/uclinux/config.frag
	config/bfin/uclinux/jit-md.h
	config/bfin/uclinux/md.c
	config/bfin/uclinux/md.h
	config/bfin/uclinux/sigcontextinfo.h:
	New files.

2006-03-23  Kurt Miller <truk@optonline.net>

	Fixes for OpenBSD stack handling.

	* config/i386/openbsd2/md.c (mdGetStackEnd, mdGetStackSize):
	Added.

	* config/i386/openbsd2/md.h (KAFFEMD_STACK_ERROR, KAFFEMD_STACK_INFINITE,
	KAFFEMD_STACKSIZE, mdSetStackSize, KAFFEMD_STACKEND) Added.

2006-03-22  Dalibor Topic  <robilad@kaffe.org>

	Fix for #30.

	* libraries/javalib/Makefile.am.in: (SUBDIRS) Reordered to
	first copy glibj.zip to classpath subdirectory, if necessary,
	before descending into it.

	* libraries/javalib/external/classpath/tools/Makefile.am: Fixed the compiler
	calls to use glibj.zip.

2006-03-22  Dalibor Topic  <robilad@kaffe.org>

	* Resynchronized GNU Classpath.

2006-03-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/ClassLoader.c (java_lang_VMClassLoader_defineClass): 
	Added private variable buf to clarify the code, and fix a compiler warning.

2006-03-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/math/BigInteger.c (Java_java_math_BigInteger_assignString0): 
	Changed type of str to const char * to match its use.

2006-03-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/security/digest.c (Java_org_kaffe_security_provider_SHA_Update) 
	(Java_org_kaffe_security_provider_SHA_Final): Added missing casts for bufBytes
	to fix compiler warnings.

2006-03-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/jvmpi/jvmpi_kaffe.c (jvmpiRequestEvent): Changed
	type of tid to Hjava_lang_VMThread to match its usage.

2006-03-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/hashtab.c, kaffe/kaffevm/hashtab.h:
	(_hashtab.list, DELETED, hashAdd, hashRemove, hashFind, hashResize)
	Removed unnecessary const qualifiers to avoid compiler warnings.

	* kaffe/kaffevm/string.c, kaffe/kaffevm/stringSupport.h: 
	(stringInternString) Removed unnecessary const qualifiers to avoid 
	compiler warnings.

	* libraries/clib/native/String.c: (java_lang_String_intern0) Simplified.
	Removed unnecessary const qualifier to avoid compiler warning.

2006-03-19  Guilhem Lavaux  <guilhem@kaffe.org>

	Fix for bug #14
	
	* kaffe/kaffevm/classMethod.c,
	kaffe/kaffevm/reference.c,
	kaffe/kaffevm/support.c,
	kaffe/kaffevm/jni/jni.c: Adapted to new internal API.

	* kaffe/kaffevm/lookup.c,
	kaffe/kaffevm/lookup.h
	(KaffeVM_findDeclaredMethod): New function to lookup for methods
	declared in the specified class only.

	* kaffe/kaffevm/support.c
	(lookupClassMethod): New parameter to specify if we want the
	declared methods or not.
	
2006-03-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/i386/cygwin32/md.h
	(ALIGNMENT_OF_SIZE): Redefine it specifically for cygwin.

2006-03-16  Guilhem Lavaux  <guilhem@kaffe.org>

	Fix bug #23

	* libraries/clib/awt/nano-X/img.c
	(imgCreateFromFile): Fixed JCL function invokation.
	
2006-03-15  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/exception.c: Include methodcalls.h.

	* kaffe/kaffevm/jit/methodcalls.h: (engine_dispatchException)
	Added missing prototype.

2006-03-11  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/thread.c
	(startThread, startSpecialThread, createDaemon, firstStartThread):
	Secured KSEM(get) calls against interruption.

	* kaffe/kaffevm/locks.c
	(getHeavyLock): Optimized the number of increments/decrements.
	(slowLockMutex): Secure the call to KSEM(get) against
	interruption.
	
2006-03-09  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/thread.c (linkNativeAndJavaThread),
	libraries/clib/net/NetworkInterface.c (detectInterfaces),
	kaffe/kaffevm/systems/win32/winthread.c (jthread_create):
	Renamed Hkaffe_util_Ptr to Horg_kaffe_util_Ptr to fix compiler
	warnings.

2006-03-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/String.c (java_lang_String_intern0): 
	Added cast to remove constness from interned string and fix
	a compiler warning.

2006-03-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/math/BigInteger.c (Java_java_math_BigInteger_assignLong0): 
	Use LL instead of L for the masking constants for jlongs.

	* libraries/clib/native/TimeZone.c (java_util_VMTimeZone_getSystemTimeZoneId): 
	Made tempZoneName const to fix a compiler warning.

2006-03-08  Guilhem Lavaux  <guilhem@kaffe.org>

	Fix bug #23
	
	* libraries/clib/awt/nano-X/Makefile.in: Regenerated.
	
	* libraries/clib/awt/nano-X/Makefile.am,
	libraries/clib/awt/nano-X/clipboard.c,
	libraries/clib/awt/nano-X/event.c,
	libraries/clib/awt/nano-X/font.c,
	libraries/clib/awt/nano-X/graphics.c,
	libraries/clib/awt/nano-X/image.c,
	libraries/clib/awt/nano-X/window.c: Adapted to Classpath's RawData
	structure.

2006-03-08  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/Reflect.java: Updated for java.lang.System
	changes.

	* Resynchronized GNU Classpath. Reapplied patch for
	URLClassLoader pending review.

2006-03-08  Dalibor Topic  <robilad@kaffe.org>

	* Resynchronized GNU Classpath 0.90. Reapplied patch for
	URLClassLoader pending review.

2006-03-06  Dalibor Topic  <robilad@kaffe.org>

        * gnu/java/net/protocol/file/Connection.java (unquote):
        Update position in buffer after decoding a unicode character
        outside of the basic plane.

2006-03-05  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe.def: Small cleanup to
	make debugging Cygwin crash a little easier.

	* kaffe/kaffevm/soft.c: Include "native.h".

	* kaffe/kaffevm/soft.c, kaffe/kaffevm/soft.h:
	(soft_lookupinterfacemethod) Added const qualifiers
	to parameters.

        * libraries/javalib/external/classpath/java/net/URI.java (quote):
	Reapplied patch from 2006-02-13  Dalibor Topic  <robilad@kaffe.org>

2006-03-05  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/native/java_lang_VMDouble.c: Removed spurious
	include.

	* libraries/clib/native/java_lang_Math.c: Removed.

	* libraries/clib/native/java_lang_VMMath: Imported from GNU
	Classpath reference implementation.

	* libraries/clib/native/Makefile.am: Replaced java_lang_Math.c by
	java_lang_VMMath.c

	* libraries/clib/native/Makefile.in: Regenerated.

	* libraries/javalib/vmspecific/gnu/classpath/jdwp/VMFrame.java:
	Updated using GNU Classpath's reference implementation.

	* libraries/javalib/vmspecific/java/lang/VMMath.java: Imported
	from GNU Classpath.


2006-03-05  Guilhem Lavaux  <guilhem@kaffe.org>

	* Resynchronized GNU Classpath pre-0.90. Reapplied patches from
	Dalibor to fix bug #16.

2006-03-04  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/string.c: Use gc_free instead of KFREE where
	appropriate.

2006-03-04  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/constpool.c: Added missing machine.h
	include.

	* replace/ifaddrs.h: Define __THROW away if it is not defined
	to fix compiler warning.

2006-03-04  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jit/methodcalls.c: Added missing includes.

2006-03-04  Guilhem Lavaux  <guilhem@kaffe.org>

	Fix bug #17

	* kaffe/kaffevm/jni/jnirefs.h: Decreased the default size of the 
	JNI localref table (as per JNI specification).

	* kaffe/kaffevm/intrp/methodcalls.c
	(engine_callMethod): Adjust arguments to match interpreter's stack
	representation.
	(engine_dispatchException): New function.

	* kaffe/kaffevm/jit/methodcalls.h,
	kaffe/kaffevm/intrp/methodcalls.h,
	kaffe/kaffevm/jit/methodcalls.c
	(engine_dispatchException): New function.
	
	* kaffe/kaffevm/intrp/machine.c
	(virtualMachine): Really throw an error when sizeofSigMethod
	fails.

	* kaffe/kaffevm/exception.h: Exported vmExcept_jumpToHandler.

	* kaffe/kaffevm/exception.c
	(DISPATCH_EXCEPTION): Removed.
	(dispatchException): Use engine_dispatchException now.
	
	
2006-02-17  Riccardo Mottola <riccardo@kaffe.org>
	* libraries/javalib/awt-implementations/kaffe/java/awt/Choice.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/DefKeyFilter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/FileDialog.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/GraphicsLink.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/PopupWindow.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextComponent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/TextField.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/MemoryImageSource.java:
	Fixed warnings.

2006-02-13  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/java/net/URI.java (quote):
	Pass Unicode characters outside the basic plane through.

2006-02-12  Riccardo Mottola <riccardo@kaffe.org>
	* libraries/javalib/awt-implementations/kaffe/java/awt/Window.java:
	implemented a stub with a Classpath merge
	
2006-02-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/gnu/classpath/VMSystemProperties.java:
	Made locale check more robust.

	Reported by:  Guilhem Lavaux  <guilhem@kaffe.org>

2006-02-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/external/classpath/gnu/java/net/protocol/file/Connection.java
	(unquote) Use System.arraycopy rather than copying UTF-8 bytes one by one.
	Fixed comment.

2006-02-12  Guilhem Lavaux  <guilhem@kaffe.org>

	Fix for #19

	* kaffe/kaffevm/file.h
	(CP_NULLCLASS): New type to propagate the 0 length class error.

	* kaffe/kaffevm/findInJar.c
	(findClassInJar): Return CP_NULLCLASS if the length is 0.
	(findClass): Throw ClassFormatError is the length is 0.

2006-02-12  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/stackTrace.c
	(printStackTrace): We handle now exceptions which are caused by some
	other in the backup print stack trace.
	
2006-02-12  Dalibor Topic  <robilad@kaffe.org>

	Fix for #16.

	* kaffe/kaffevm/string.c: (stringJava2C)
	Fixed conversion to C chars for Java unicode
	characters >= 127.

	* libraries/clib/io/File.c: Switched all functions
	to use JNI style declarations. Use GetStringUTFChars
	and ReleaseStringUTFChars to convert Java Strings
	to C chars. Code taken from GNU Classpath. Added
	FSF to copyright header.

	* libraries/javalib/external/classpath/gnu/java/net/protocol/file/Connection.java
	(unquote) Convert Java characters above 127 to UTF-8 rather than throwing an
	exception.

	* libraries/javalib/external/classpath/java/net/URLClassLoader.java
	(addURLImpl) Check if a file URL points to a directory before
	using a JarURLClassLoader.

2006-02-09  Dalibor Topic  <robilad@kaffe.org>

	Fix for #12.

	* kaffe/kaffeh/main.c: (options) Handle -force.
	(usage) Document -force.

2006-02-09  Dalibor Topic  <robilad@kaffe.org>

	Fix for #15.

	* libraries/javalib/vmspecific/gnu/classpath/VMSystemProperties.java:
	Check if there is a file encoding specified in the locale, and set
	file.encoding property to it if it is.
 
2006-02-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/gnu/crypto/Properties.java,
	libraries/javalib/vmspecific/gnu/crypto/Registry.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/Assembly.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/Cascade.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/CascadeStage.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/CascadeTransformer.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/DeflateTransformer.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/Direction.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/LoopbackTransformer.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/ModeStage.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/Operation.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/PaddingTransformer.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/Stage.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/Transformer.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/TransformerException.java,
	libraries/javalib/vmspecific/gnu/crypto/assembly/package.html,
	libraries/javalib/vmspecific/gnu/crypto/auth/Password.java,
	libraries/javalib/vmspecific/gnu/crypto/auth/callback/AWTCallbackHandler.java,
	libraries/javalib/vmspecific/gnu/crypto/auth/callback/AbstractCallbackHandler.java,
	libraries/javalib/vmspecific/gnu/crypto/auth/callback/ConsoleCallbackHandler.java,
	libraries/javalib/vmspecific/gnu/crypto/auth/callback/DefaultCallbackHandler.java,
	libraries/javalib/vmspecific/gnu/crypto/auth/callback/Engine.java,
	libraries/javalib/vmspecific/gnu/crypto/auth/callback/GnuCallbacks.java,
	libraries/javalib/vmspecific/gnu/crypto/auth/callback/MessagesBundle.properties,
	libraries/javalib/vmspecific/gnu/crypto/cipher/Anubis.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/BaseCipher.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/Blowfish.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/Cast5.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/CipherFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/DES.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/IBlockCipher.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/IBlockCipherSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/Khazad.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/NullCipher.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/Rijndael.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/Serpent.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/Square.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/TripleDES.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/Twofish.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/WeakKeyException.java,
	libraries/javalib/vmspecific/gnu/crypto/cipher/package.html,
	libraries/javalib/vmspecific/gnu/crypto/der/BitString.java,
	libraries/javalib/vmspecific/gnu/crypto/der/DER.java,
	libraries/javalib/vmspecific/gnu/crypto/der/DEREncodingException.java,
	libraries/javalib/vmspecific/gnu/crypto/der/DERReader.java,
	libraries/javalib/vmspecific/gnu/crypto/der/DERValue.java,
	libraries/javalib/vmspecific/gnu/crypto/der/DERWriter.java,
	libraries/javalib/vmspecific/gnu/crypto/der/OID.java,
	libraries/javalib/vmspecific/gnu/crypto/exp/Helix.java,
	libraries/javalib/vmspecific/gnu/crypto/exp/ust/UST.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/BaseHash.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/HashFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/Haval.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/IMessageDigest.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/MD2.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/MD4.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/MD5.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/RipeMD128.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/RipeMD160.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/Sha160.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/Sha256.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/Sha384.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/Sha512.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/Tiger.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/Whirlpool.java,
	libraries/javalib/vmspecific/gnu/crypto/hash/package.html,
	libraries/javalib/vmspecific/gnu/crypto/jce/GnuCrypto.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/GnuSasl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/GnuSecurity.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/PBKDF2SecretKeyFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/AESSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/ARCFourSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/AnubisSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/BlowfishSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/Cast5Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/CipherAdapter.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/DESSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/KhazadSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/NullCipherSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/PBES2.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/RijndaelSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/SerpentSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/SquareSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/TripleDESSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/cipher/TwofishSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/HavalSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/MD2Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/MD4Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/MD5Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/MessageDigestAdapter.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/RipeMD128Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/RipeMD160Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/Sha160Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/Sha256Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/Sha384Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/Sha512Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/TigerSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/hash/WhirlpoolSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/AnubisKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/AnubisSecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/BlowfishKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/BlowfishSecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/Cast5KeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/Cast5SecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/DESKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/DESSecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/DESedeSecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/KhazadKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/KhazadSecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/RijndaelKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/RijndaelSecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/SecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/SecretKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/SerpentKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/SerpentSecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/SquareKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/SquareSecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/TripleDESKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/TwofishKeyGeneratorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/key/TwofishSecretKeyFactoryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/keyring/GnuKeyring.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacHavalSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacMD2Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacMD4Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacMD5Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacRipeMD128Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacRipeMD160Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacSHA160Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacSHA256Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacSHA384Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacSHA512Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacTigerSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/HMacWhirlpoolSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/MacAdapter.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacAnubisImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacBlowfishImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacCast5Impl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacDESImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacKhazadImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacRijndaelImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacSerpentImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacSquareImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacTripleDESImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/OMacTwofishImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/TMMH16Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/UHash32Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/mac/UMac32Spi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/params/BlockCipherParameters.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/params/DEREncodingException.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/params/DERReader.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/params/DERWriter.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/ARCFourRandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/CSPRNGSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/HavalRandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/ICMRandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/MD2RandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/MD4RandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/MD5RandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/RipeMD128RandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/RipeMD160RandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/SecureRandomAdapter.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/Sha160RandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/Sha256RandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/Sha384RandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/Sha512RandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/TigerRandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/UMacRandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/prng/WhirlpoolRandomSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/sig/DSSKeyPairGeneratorSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/sig/DSSRawSignatureSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/sig/KeyPairGeneratorAdapter.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/sig/RSAKeyPairGeneratorSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/sig/RSAPSSRawSignatureSpi.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/sig/SignatureAdapter.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/spec/BlockCipherParameterSpec.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/spec/TMMHParameterSpec.java,
	libraries/javalib/vmspecific/gnu/crypto/jce/spec/UMac32ParameterSpec.java,
	libraries/javalib/vmspecific/gnu/crypto/key/BaseKeyAgreementParty.java,
	libraries/javalib/vmspecific/gnu/crypto/key/GnuSecretKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/IKeyAgreementParty.java,
	libraries/javalib/vmspecific/gnu/crypto/key/IKeyPairCodec.java,
	libraries/javalib/vmspecific/gnu/crypto/key/IKeyPairGenerator.java,
	libraries/javalib/vmspecific/gnu/crypto/key/IncomingMessage.java,
	libraries/javalib/vmspecific/gnu/crypto/key/KeyAgreementException.java,
	libraries/javalib/vmspecific/gnu/crypto/key/KeyAgreementFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/key/KeyPairCodecFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/key/KeyPairGeneratorFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/key/OutgoingMessage.java,
	libraries/javalib/vmspecific/gnu/crypto/key/package.html,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/DHKeyPairRawCodec.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/DiffieHellmanKeyAgreement.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/DiffieHellmanReceiver.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/DiffieHellmanSender.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/ElGamalKeyAgreement.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/ElGamalReceiver.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/ElGamalSender.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/GnuDHKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/GnuDHKeyPairGenerator.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/GnuDHPrivateKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/GnuDHPublicKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dh/RFC2631.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dss/DSSKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dss/DSSKeyPairGenerator.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dss/DSSKeyPairRawCodec.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dss/DSSPrivateKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dss/DSSPublicKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/dss/FIPS186.java,
	libraries/javalib/vmspecific/gnu/crypto/key/rsa/GnuRSAKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/rsa/GnuRSAPrivateKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/rsa/GnuRSAPublicKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/rsa/RSAKeyPairGenerator.java,
	libraries/javalib/vmspecific/gnu/crypto/key/rsa/RSAKeyPairRawCodec.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRP6Host.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRP6KeyAgreement.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRP6SaslClient.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRP6SaslServer.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRP6TLSClient.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRP6TLSServer.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRP6User.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRPAlgorithm.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRPKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRPKeyPairGenerator.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRPKeyPairRawCodec.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRPPrivateKey.java,
	libraries/javalib/vmspecific/gnu/crypto/key/srp6/SRPPublicKey.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/AuthenticatedEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/BaseKeyring.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/BinaryDataEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/CertPathEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/CertificateEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/CompressedEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/EncryptedEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/Entry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/EnvelopeEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/GnuPrivateKeyring.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/GnuPublicKeyring.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/IKeyring.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/IPrivateKeyring.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/IPublicKeyring.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/MalformedKeyringException.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/MaskableEnvelopeEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/MeteredInputStream.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/PasswordAuthenticatedEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/PasswordEncryptedEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/PasswordProtectedEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/PrimitiveEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/PrivateKeyEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/Properties.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/PublicKeyEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/keyring/package.html,
	libraries/javalib/vmspecific/gnu/crypto/mac/BaseMac.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/HMac.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/HMacFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/IMac.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/MacFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/MacInputStream.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/MacOutputStream.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/OMAC.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/TMMH16.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/UHash32.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/UMac32.java,
	libraries/javalib/vmspecific/gnu/crypto/mac/package.html,
	libraries/javalib/vmspecific/gnu/crypto/mode/BaseMode.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/CBC.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/CFB.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/CTR.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/EAX.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/ECB.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/IAuthenticatedMode.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/ICM.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/IMode.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/ModeFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/OFB.java,
	libraries/javalib/vmspecific/gnu/crypto/mode/package.html,
	libraries/javalib/vmspecific/gnu/crypto/pad/BasePad.java,
	libraries/javalib/vmspecific/gnu/crypto/pad/IPad.java,
	libraries/javalib/vmspecific/gnu/crypto/pad/PKCS1_V1_5.java,
	libraries/javalib/vmspecific/gnu/crypto/pad/PKCS7.java,
	libraries/javalib/vmspecific/gnu/crypto/pad/PadFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/pad/SSL3.java,
	libraries/javalib/vmspecific/gnu/crypto/pad/TBC.java,
	libraries/javalib/vmspecific/gnu/crypto/pad/TLS1.java,
	libraries/javalib/vmspecific/gnu/crypto/pad/WrongPaddingException.java,
	libraries/javalib/vmspecific/gnu/crypto/pad/package.html,
	libraries/javalib/vmspecific/gnu/crypto/pki/GnuPKIExtension.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/PolicyNodeImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/Util.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/X500Name.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/X509CRLEntryImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/X509CRLImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/X509CRLSelectorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/X509CertPath.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/X509CertSelectorImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/X509CertificateBuilder.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/X509CertificateImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/AuthorityKeyIdentifier.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/BasicConstraints.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/CRLNumber.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/CertificatePolicies.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/ExtendedKeyUsage.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/Extension.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/GeneralNames.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/IssuerAlternativeNames.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/KeyUsage.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/PolicyConstraint.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/PolicyMappings.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/PrivateKeyUsagePeriod.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/ReasonCode.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/SubjectAlternativeNames.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/ext/SubjectKeyIdentifier.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/io/Base64InputStream.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/CollectionCertStoreImpl.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/DSAParameters.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/DSASignature.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/EncodedKeyFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/GnuDHPublicKey.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/GnuDSAPrivateKey.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/GnuDSAPublicKey.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/GnuPki.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/GnuRSAPrivateKey.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/GnuRSAPublicKey.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/MD2withRSA.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/MD4withRSA.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/MD5withRSA.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/PKIXCertPathValidator.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/RSA.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/RSAKeyFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/SHA1withRSA.java,
	libraries/javalib/vmspecific/gnu/crypto/pki/provider/X509CertificateFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/ARCFour.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/BasePRNG.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/CSPRNG.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/EntropySource.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/Fortuna.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/ICMGenerator.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/IPBE.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/IRandom.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/LimitReachedException.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/MDGenerator.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/PBKDF2.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/PRNGFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/RandomEvent.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/RandomEventListener.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/UMacGenerator.java,
	libraries/javalib/vmspecific/gnu/crypto/prng/package.html,
	libraries/javalib/vmspecific/gnu/crypto/sasl/AuthInfo.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/AuthInfoProviderFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/ClientFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/ClientMechanism.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/ConfidentialityException.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/IAuthInfoProvider.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/IAuthInfoProviderFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/IllegalMechanismStateException.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/InputBuffer.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/IntegrityException.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/NoSuchMechanismException.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/NoSuchUserException.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/OutputBuffer.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/SaslEncodingException.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/SaslInputStream.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/SaslOutputStream.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/SaslUtil.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/ServerFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/ServerMechanism.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/UserAlreadyExistsException.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/package.html,
	libraries/javalib/vmspecific/gnu/crypto/sasl/anonymous/AnonymousClient.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/anonymous/AnonymousServer.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/anonymous/AnonymousUtil.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/crammd5/CramMD5AuthInfoProvider.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/crammd5/CramMD5Client.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/crammd5/CramMD5Registry.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/crammd5/CramMD5Server.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/crammd5/CramMD5Util.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/crammd5/PasswordFile.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/plain/PasswordFile.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/plain/PlainAuthInfoProvider.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/plain/PlainClient.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/plain/PlainRegistry.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/plain/PlainServer.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/CALG.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/ClientStore.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/IALG.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/KDF.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/PasswordFile.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/SRP.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/SRPAuthInfoProvider.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/SRPClient.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/SRPRegistry.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/SRPServer.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/SecurityContext.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/ServerStore.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/StoreEntry.java,
	libraries/javalib/vmspecific/gnu/crypto/sasl/srp/package.html,
	libraries/javalib/vmspecific/gnu/crypto/sig/BaseSignature.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/ISignature.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/ISignatureCodec.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/SignatureFactory.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/package.html,
	libraries/javalib/vmspecific/gnu/crypto/sig/dss/DSSSignature.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/dss/DSSSignatureRawCodec.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/rsa/EME_PKCS1_V1_5.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/rsa/EMSA_PKCS1_V1_5.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/rsa/EMSA_PSS.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/rsa/RSA.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/rsa/RSAPKCS1V1_5Signature.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/rsa/RSAPSSSignature.java,
	libraries/javalib/vmspecific/gnu/crypto/sig/rsa/RSAPSSSignatureRawCodec.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/CipherSpeed.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/Ent.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/HashSpeed.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/NessieCipherTVEmitter.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/NessieHashTVEmitter.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/NistKat.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/NistMCT.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/SMTPClient.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/SaslC.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/SaslConnection.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/SaslS.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/SimpleCallbackHandler.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/Command.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/Delete.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/Export.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/GenKey.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/Import.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/List.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/Main.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/MessagesBundle.properties,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/Path.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/Revoke.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/Sign.java,
	libraries/javalib/vmspecific/gnu/crypto/tool/keytool/Trust.java,
	libraries/javalib/vmspecific/gnu/crypto/util/Base64.java,
	libraries/javalib/vmspecific/gnu/crypto/util/ExpirableObject.java,
	libraries/javalib/vmspecific/gnu/crypto/util/PRNG.java,
	libraries/javalib/vmspecific/gnu/crypto/util/Prime.java,
	libraries/javalib/vmspecific/gnu/crypto/util/Sequence.java,
	libraries/javalib/vmspecific/gnu/crypto/util/SimpleList.java,
	libraries/javalib/vmspecific/gnu/crypto/util/Util.java:
	Removed.

	* libraries/clib/security/Kaffe.security: Updated to reflect current GNU
	Classpath crypto providers.

	* test/regression/TestGnuCrypto.java: Fixed imports.

2006-02-08  Riccardo Mottola <riccardo@kaffe.org>

	libraries/javalib/awt-implementations/kaffe/java/awt/Container.java:
	Implemented stubs by adapting classpath methods.
	
2006-02-08  Dalibor Topic  <robilad@kaffe.org>

	* THIRPARTY: Removed jzlib and jessie. No longer needed since 
	jessie was merged into GNU Classpath.

	libraries/javalib/vmspecific/com/jcraft/jzlib/Adler32.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/Deflate.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/InfBlocks.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/InfCodes.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/InfTree.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/Inflate.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/JZlib.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/StaticTree.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/Tree.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/ZInputStream.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/ZOutputStream.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/ZStream.java,
	libraries/javalib/vmspecific/com/jcraft/jzlib/ZStreamException.java:
	Removed.

2006-02-07  Holger Schurig  <hs4233@mail.mn-solutions.de>

	Fix for #8.

	* kaffe/m4/gwqt.m4: Fixed Qt directory layout assumptions.

2006-02-07  Dalibor Topic  <robilad@kaffe.org>

	Fix for #7.

	* configure.ac: check for fastjar and jar. substitute FASTJAR.
	Only use our own built fastjar, if we are not cross-compiling
	and no jar tool can be found.

	* tools/javatools/javalib/Makefile.am,
	tools/gjdoc/javalib/Makefile.am,
	libraries/javalib/gmp-math/Makefile.am,
	libraries/javalib/awt-implementations/kaffe/Makefile.am:
	Use FASTJAR.

2006-02-07  Riccardo Mottola <riccardo@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Container.java:
	Added new stubs.

2006-02-06  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(finaliserStarted): New global variable to acknowledge the finaliser
	has started.
	(gcInvokeFinaliser): Check whether the finaliser has started.
	(finaliserMan): Reordered a bit to ensure thread safety.

2006-02-06  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/vmspecific/org/metastatic/jessie/Base64.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/CertificateHandler.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/ConsoleCertificateHandler.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/ConsolePasswordHandler.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/ConsoleTextInput.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/DefaultHandler.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/DialogPasswordHandler.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/EntropySource.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/Jessie.java.in,
	libraries/javalib/vmspecific/org/metastatic/jessie/NullManagerParameters.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/PrivateCredentials.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/SRPManagerParameters.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/SRPTrustManager.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/StaticTrustAnchors.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/https/ChunkedInputStream.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/https/Connection.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/https/Handler.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/GnuPKIExtension.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/Util.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/X500Name.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/X509CRLEntryImpl.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/X509CRLImpl.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/X509CertificateImpl.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/der/BitString.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/der/DER.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/der/DEREncodingException.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/der/DERReader.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/der/DERValue.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/der/DERWriter.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/der/OID.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/AuthorityKeyIdentifier.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/BasicConstraints.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/CRLNumber.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/CertificatePolicies.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/ExtendedKeyUsage.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/Extension.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/GeneralNames.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/IssuerAlternativeNames.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/KeyUsage.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/PolicyMappings.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/PrivateKeyUsagePeriod.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/ReasonCode.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/SubjectAlternativeNames.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/ext/SubjectKeyIdentifier.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/io/ASN1ParsingException.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/io/Base64InputStream.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/DSAParameters.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/DSASignature.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/EncodedKeyFactory.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/GnuDHPublicKey.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/GnuDSAPrivateKey.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/GnuDSAPublicKey.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/GnuRSAPrivateKey.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/GnuRSAPublicKey.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/MD2.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/MD2withRSA.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/MD4withRSA.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/MD5.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/MD5withRSA.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/RSA.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/RSAKeyFactory.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/SHA1.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/SHA1withRSA.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/pki/provider/X509CertificateFactory.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Alert.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/AlertException.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/BitString.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/CSPRNG.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/CSPRNGSpi.java,	
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Certificate.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/CertificateRequest.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/CertificateType.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/CertificateVerify.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/CipherSuite.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/ClientHello.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/ClientKeyExchange.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/CompressionMethod.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Constructed.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/ContentType.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Context.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/DER.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/DEREncodingException.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/DERReader.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/DERValue.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/DERWriter.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/DiffieHellman.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/DigestInputStream.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/DigestOutputStream.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Enumerated.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Extension.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Extensions.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Extensions.java.in
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Finished.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/GNUSecurityParameters.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Handshake.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/JCESecurityParameters.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/JDBCSessionContext.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Jessie.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Jessie.java.in,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/JessieDHPrivateKey.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/JessieDHPublicKey.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/JessieRSAPrivateKey.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/JessieRSAPublicKey.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/KeyPool.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/MacException.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/OID.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/OverflowException.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/ProtocolVersion.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Random.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/RecordInput.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/RecordInputStream.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/RecordOutputStream.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/RecordingInputStream.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SRPTrustManagerFactory.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLHMac.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLRSASignature.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLRandom.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLServerSocket.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLServerSocketFactory.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLSocket.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLSocket.java.in,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLSocketFactory.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLSocketInputStream.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SSLSocketOutputStream.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SecurityParameters.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/ServerHello.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/ServerKeyExchange.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Session.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SessionContext.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Signature.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SimpleList.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/SynchronizedRandom.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/TLSHMac.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/TLSRandom.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/Util.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/X509KeyManagerFactory.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/X509TrustManagerFactory.java,
	libraries/javalib/vmspecific/org/metastatic/jessie/provider/XMLSessionContext.java: Removed Jessie
	as it is already bundled with GNU Classpath.

	* libraries/clib/security/Kaffe.security: Changed access path to
	Jessie provider.
	
2006-02-05  Guilhem Lavaux  <guilhem@kaffe.org>

	* Resynchronized with GNU Classpath.
	
2006-02-05  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Check if zlib exists when using system zlib,
	and exit with an error message if it doesn't.

	* libraries/clib/zip/Adler32.c,
	libraries/clib/zip/Deflater.c,
	libraries/clib/zip/Inflater.c: Removed wrapper functions for case
	when no zlib can be found, since they are no longer necessary.

2006-02-04  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: (HAVE_ZIP) Removed unused conditinal.

2006-02-02  Guilhem Lavaux  <guilhem@kaffe.org>

	Partial fix for bug #5.

	* config/arm/atomicity.h
	(compare_and_swap): Fixed assembly.
	(atomic_compare_and_exchange_val_acq): Defined macro.

	* config/arm/common.h: Use atomicity.h now.
	
2006-01-30  Dalibor Topic  <robilad@kaffe.org>

	Fixed bug #2.

        * config/alpha/linux/config.frag,
        config/alpha/netbsd1/config.frag,
        config/arm/linux/config.frag,
        config/arm/netbsd1/config.frag,
        config/arm/riscos/config.frag,
        config/i386/linux/config.frag,
        config/i386/netbsd1/config.frag,
        config/ia64/linux/config.frag,
        config/m68k/linux/config.frag,
        config/m68k/netbsd1/config.frag,
        config/m68k/sunos4/config.frag,
        config/mips/linux/config.frag,
        config/mips/netbsd1/config.frag,
        config/parisc/linux/config.frag,
        config/powerpc/linux/config.frag,
        config/powerpc/netbsd1/config.frag,
        config/s390/linux/config.frag,
        config/sh/linux/config.frag,
        config/sparc/linux/config.frag,
        config/sparc/netbsd1/config.frag,
        config/x86_64/linux/config.frag:
	Reverted Kiyo's patch from 2006-01-19 as it is no longer necessary.

        * configure.ac: When cross-compiling, don't test for /proc/self/maps.
	Warn users to explicitely enable binreloc if they need it.

2006-01-29  Riccardo Mottola <riccardo@kaffe.org>
	* libraries/javalib/awt-implementations/kaffe/java/awt/EventQueue.java
	Implemented some stuff, adapting from classpath.

2006-01-29  Riccardo Mottola <riccardo@kaffe.org>
	* libraries/javalib/awt-implementations/kaffe/org/kaffe/applet/AppletTagjava
	removed warnings

2006-01-29  Riccardo Mottola <riccardo@kaffe.org>
	* libraries/javalib/awt-implementations/kaffe/java/awt/Component.java
	libraries/javalib/awt-implementations/kaffe/java/awt/Dialog.java
	libraries/javalib/awt-implementations/kaffe/java/awt/EventQueue.java
	libraries/javalib/awt-implementations/kaffe/java/awt/Graphics.java
	libraries/javalib/awt-implementations/kaffe/java/awt/Window.java
	libraries/javalib/awt-implementations/kaffe/java/awt/event/InputEvent.java:
	Added stubs for several missing functions or made trivial implementations of them.
	
2006-01-28  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/native/Makefile.am: Also export TestNative.

	* libraries/clib/native/Makefile.in: Regenerated.

2006-01-27  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/external/classpath: Resynchronized.

	* test/regression/SecurityMan.java: Disabled for the time being.

2006-01-22  Dalibor Topic  <robilad@kaffe.org>

	Fixed bug #4.

	* libraries/javalib/awt-implementations/kaffe/Makefile.am:
	(FASTJAR) New variable.
	(JAR_CMD1) Use fastjar.

2006-01-22  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Substitute kaffe_builddir for absolute paths to builddir.
	Used to find fastjar in subbuilds.

	* tools/gjdoc/javalib/Makefile.am: (FASTJAR) New variable.
	(JARCMD1, JARCMD2, JARCMD3): Use fastjar.

2006-01-22  Jari Korva  <jpkorva@iki.fi>

	* external/gcc/fastjar/Makefile.am: (CLEANFILES) Removed fastjar.info
	to fix make clean on systems without texinfo.

2006-01-21  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Fixed the way to retrieve top_builddir.

	* configure: Regenerated.

2006-01-21  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.win32: Note for which versions of jikes the patches are.

2006-01-21  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac,
	libraries/javalib/gmp-math/Makefile.am,
	tools/javatools/javalib/Makefile.am: Use fastjar everywhere.

	* libraries/javalib/external/classpath/lib/Makefile.am,
	libraries/javalib/external/classpath/m4/acinclude.m4: Use fastjar
	if available.

	* Makefile.in,
	configure,
	config/Makefile.in,
	external/Makefile.in,
	external/gcc/Makefile.in,
	external/gcc/zlib/Makefile.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/drops-l4threads/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/nano-X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/target/Makefile.in,
	libraries/clib/target/Linux/Makefile.in,
	libraries/clib/target/generic/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/external/classpath/Makefile.in,
	libraries/javalib/external/classpath/config.guess,
	libraries/javalib/external/classpath/configure,
	libraries/javalib/external/classpath/ltmain.sh,
	libraries/javalib/external/classpath/doc/Makefile.in,
	libraries/javalib/external/classpath/doc/api/Makefile.in,
	libraries/javalib/external/classpath/examples/Makefile.in,
	libraries/javalib/external/classpath/external/Makefile.in,
	libraries/javalib/external/classpath/external/sax/Makefile.in,
	libraries/javalib/external/classpath/external/w3c_dom/Makefile.in,
	libraries/javalib/external/classpath/include/Makefile.in,
	libraries/javalib/external/classpath/lib/Makefile.in,
	libraries/javalib/external/classpath/native/Makefile.in,
	libraries/javalib/external/classpath/native/fdlibm/Makefile.in,
	libraries/javalib/external/classpath/native/jawt/Makefile.in,
	libraries/javalib/external/classpath/native/jni/Makefile.in,
	libraries/javalib/external/classpath/native/jni/classpath/Makefile.in,
	libraries/javalib/external/classpath/native/jni/gtk-peer/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-io/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-lang/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-net/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-nio/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-util/Makefile.in,
	libraries/javalib/external/classpath/native/jni/midi-alsa/Makefile.in,
	libraries/javalib/external/classpath/native/jni/midi-dssi/Makefile.in,
	libraries/javalib/external/classpath/native/jni/qt-peer/Makefile.in,
	libraries/javalib/external/classpath/native/jni/xmlj/Makefile.in,
	libraries/javalib/external/classpath/native/target/Makefile.in,
	libraries/javalib/external/classpath/native/target/Linux/Makefile.in,
	libraries/javalib/external/classpath/native/target/generic/Makefile.in,
	libraries/javalib/external/classpath/resource/Makefile.in,
	libraries/javalib/external/classpath/scripts/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	scripts/ltmain.sh,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in,
	tools/javatools/Makefile.in,
	tools/javatools/javalib/Makefile.in: Regenerated.

2006-01-21  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* test/regression/ThreadState.java: Change timeout value for
	this test from 60 * 1000 to 60 * 10000. This allows some
	older machines to execute in enough time.

2006-01-21  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* test/regression/RefTest.java: Change timeout value for
	this test from 10000 to 100000. This allows some older
	machine to execute in enough time.

2006-01-19  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* FAQ/FAQ.cross-compiling: Delete some description related
	to kjc, and modify kaffe runtime file name.

2006-01-19  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config/*/*/config.frag: put 'ac_cv_file__proc_self_maps'
	parameter to be yes for cross compilation.

2006-01-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/sound/alsa/check_constants.h: Check
	for the macro definition because using the assert to check
	the value (needed for alsa-lib-1.0.11-rc2).

2006-01-14  Dalibor Topic  <robilad@kaffe.org>

	* README, configure.ac: Bumped version to 1.1.7-rc1.

2006-01-14  Dalibor Topic  <robilad@kaffe.org>

	* external/gcc/fastjar/Makefile.am:
	(AM_CPPFLAGS) Cleaned up.
	(AM_CFLAGS) Removed fastjar specific warnings flags.
	Replaced by portable checks in configure.

	* configure.ac: Use AX_CFLAGS_WARN_ALL 
	and AX_CFLAGS_GCC_OPTION instead of manually
	setting the CFLAGS.

2006-01-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* external/gcc/fastjar/Makefile.am: Include the right
	subdirectory for zlib.

	* external/gcc/fastjar/Makefile.in: Regenerated.

2006-01-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/code-analyse.c
	(analyzeBasicBlock): Ensure that the method has not been
	translated by this thread while loading a subclass.

	* kaffe/kaffevm/gcFuncs.c
	(initCollector): stringDestroy must be called at string
	finalization because uninterning needs the inner pointer fields to
	be still valid.

	* kaffe/kaffevm/jit/machine.c,
	kaffe/kaffevm/jit3/machine.c
	(translate): If the method has already been translated during a
	analyzeMethod then skip translation.
	
	* test/regression/Makefile.am: Added SecurityMan.java and
	SecurityMan2.java.
	
	* test/regression/SecurityMan.java,
	test/regression/SecurityMan2.java: Two new tests to check the
	robustness of the SecurityManager vs the VM.

	* test/regression/Makefile.in: Regenerated.
	
2006-01-13  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/external/classpath: Resynched classpath (GNU
	Classpath 0.20).

2006-01-10  Guilhem Lavaux  <guilhem@kaffe.org>

	* developers/autogen.sh: Regenerate fastjar too.

	* external/gcc/fastjar/m4/getopt.m4: Copied from kaffe's m4.
	
	* external/gcc/fastjar/Makefile.am: Use right top_builddir.
	
	* external/gcc/fastjar/configure.ac: Invoke gl_GETOPT to get the
	definition of GETOPT_PREFIX.

	* external/gcc/fastjar/Makefile.in,
	external/gcc/fastjar/aclocal.m4,
	external/gcc/fastjar/config.h.in,
	external/gcc/fastjar/configure: Regenerated.

2006-01-10  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/external/classpath: Resynched with GNU Classpath.

2006-01-10  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Check whether getopt_long works.

	* external/gcc/fastjar/Makefile.am: fastjar should use libreplace.
	
	* replace/Makefile.am: Build getopt replacements if necessary.

	* m4/getopt.m4,
	replace/getopt.c,
	replace/getopt1.c,
	replace/getopt_.h,
	replace/getopt_int.h: Taken from GNUlib.
	
	* aclocal.m4,
	configure,
	config/Makefile.in,
	config/config.h.in,
	external/Makefile.in,
	external/gcc/Makefile.in,
	external/gcc/fastjar/Makefile.in,
	external/gcc/zlib/Makefile.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/drops-l4threads/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/nano-X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/target/Makefile.in,
	libraries/clib/target/Linux/Makefile.in,
	libraries/clib/target/generic/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/external/classpath/config.guess,
	libraries/javalib/external/classpath/config.sub,
	libraries/javalib/external/classpath/ltmain.sh,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	scripts/ltmain.sh,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in,
	tools/javatools/Makefile.in,
	tools/javatools/javalib/Makefile.in:
	Regenerated.

2006-01-09  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2006-01-08  Dalibor Topic  <robilad@kaffe.org>

	* external/gcc/fastjar/scripts: New directory for autotools scripts 
	for fastjar.

	* external/gcc/fastjar/configure.ac,
	external/gcc/fastjar/scripts/Makefile.am: Use scripts directory for
	autotools scripts to fix build on darwin6.

	Reported by:  Riccardo Mottola <zuse@libero.it>

2006-01-08  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2006-01-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (--enable-portable-native-sync, --enable-xmlj, --disable-alsa
	--disable-dssi, --disable-gtk-peer): Added configure options from GNU Classpath.

2006-01-07  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.classlibrary-compile: Updated.
	* configure.ac: (--with-class-library-profile): Removed option,
	as it is no longer necessary.
	* WHATSNEW: Recommend using --with-glibj-zip over --with-class-library-profile.

	* libraries/javalib/profiles/default/jaxp.files: Removed.

2006-01-07  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/java/security/VMAccessController.java:
	(DEBUG) Set to false.

2006-01-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (--enable-classpath-load-library):
	Removed unnecessary option.

2006-01-07  Guilhem Lavaux  <guilhem@kaffe.org>,
	Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/vmspecific/java/security/VMAccessController.java:
	Merged with new version in classpath.

2006-01-07  Wolfgang Baer <WBaer@gmx.de>

	* libraries/javalib/Makefile.am.in (install-data-local, uninstall-local):
	Use DESTDIR when linking rt.jat to glibj.zip.

2006-01-06  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/security/Kaffe.security: Load all GNU security
	providers.

	* libraries/javalib/vmspecific/gnu/classpath/VMSystemProperties.java
	(preInit): Fixed jrelib path.

2006-01-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c (start_this_sucker_on_a_new_frame):
	Added back attribute NONRETURNING to fix unix-jthreads crashes.

2006-01-06  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2006-01-06  Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW: Added information on fastjar, and --with-system-zlib.

2006-01-05  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2006-01-04  Andreas Tobler  <a.tobler@schweiz.ch>

	* libraries/clib/nio/gnu_java_nio_channels_FileChannelImpl.c
	(Java_gnu_java_nio_channels_FileChannelImpl_implTruncate): Use the same
	type for bytes_written as in other places.

2006-01-03 Dalibor Topic  <robilad@kaffe.org>

	* external/gcc/Makefile.am: build zlib conditionally.

	* external/gcc/fastjar/configure.ac: Fixed zlib check.

2006-01-03 Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am: (SUBDIRS) Added external subdir.
	(DIST_SUBDIRS) Added external subdir.

	* THIRDPARTY: Added information on fastjar. Adapted information on
	zlib.

	* configure.ac: (--with-internal-zlib) Replaced by
	(--with-system-zlib), so that kaffe now uses the merged in
	zlib by default, like gcc does.
	(--disable-fastjar) New option.
	Added fastjar subdir for configuration, and the Makefile for output.

	* kaffe/scripts/jar.in: Delegate to fastjar

	* libraries/clib/Makefile.am (SUBDIRS): Removed zlib.

	* libraries/clib/zip/Makefile.am (COND_INTERNAL_ZLIB) Replaced by
	(COND_SYSTEM_ZLIB). Adapted to use internal zlib from external/gcc 
	directory. 

	* libraries/javalib/Makefile.am: Regenerated.

	* libraries/javalib/vmspecific/org/kaffe/tools/jar/Jar.java 
	libraries/javalib/vmspecific/org/kaffe/tools/jar/XPFile.java 
	libraries/javalib/vmspecific/org/kaffe/tools/jar/XPFileInputStream.java 
	libraries/javalib/vmspecific/org/kaffe/tools/jar/XPFileOutputStream.java 
	libraries/javalib/vmspecific/org/kaffe/tools/jar/XPFileReader.java 
	libraries/javalib/vmspecific/org/kaffe/tools/jar/XPFileWriter.java:
	Removed.

	* libraries/clib/zlib : Moved over to external/gcc/zlib.

	* external/gcc/fastjar: New files. Merged in from gcc 4.0.2. 
	Slightly adapted the build system to behave well when merged into Kaffe.
		
2006-01-02  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/fdlibm: Removed.

	* libraries/clib/Makefile.am: Removed fdlibm.

	* configure.ac: Removed libraries/clib/fdlibm/Makefile.

	* libraries/clib/Makefile.in,
	configure: Regnerated.
	
2006-01-01  Guilhem Lavaux  <guilhem@kaffe.org>

	* FAQ/FAQ.kaffemd: Added KAFFEMD_DISABLE_SETSTACKSIZE.

	* config/alpha/trampolines.S: Use C comments instead of # to
	avoid confusing the preprocessor.

	* config/alpha/osf/jit-md.h
	(__alpha_ra): Use uintp for the first param as implemented in
	alpha.c.
	Include gtypes.h for uintp.

	* config/alpha/osf/config.frag: Disable the use of mdSetStackSize
	because OSF has a weird behaviour.

	* kaffe/kaffevm/thread.c
	(initNativeThreads): If DISABLE_KAFFEMD_SETSTACKSIZE is set we do
	not set the stack size limit of the current process.

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.h
	(jmutex_initialise, jcondvar_initialise): Fixed the testing of
	_POSIX_THREAD_PROCESS_SHARED on alpha/osf.
	
	* libraries/clib/native/Makefile.am: Use fdlibm from classpath tree.

	* libraries/clib/native/Makefile.in: Regenerated.

	* configure.ac: Handle more
	precisely CFLAGS passed on the command line.

2005-12-31  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* tools/javatools/javalib/gnu/classpath/tools/native2ascii/Native2ASCII.java:
	Copied from GNU Classpath (some bugs fixed).
	
2005-12-30  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/config-std.h: Include config-int.h before everything
	to be sure to include inttypes.h first.

	* kaffe/kaffevm/javacall.c
	(KaffeVM_callMethodA): Do not use args after having called
	sysdepCallMethod.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h
	(jthread_t): Use int and not char for status (fix unalignment
	problems on alpha).

	* libraries/clib/nio/gnu_java_nio_VMSelector.c:
	Include jni.h first.

	* config/alpha/osf/md.c:
	(init_md): Only initialize excLock if LIBEXC is defined.
	
	* config/alpha/osd/md.h
	(SIGNAL_ARGS, SIGNAL_CONTEXT_POINTER, GET_SIGNAL_CONTEXT_POINTER,
	SIGNAL_PC): Defined.
	Include kaffe-unix-stack.h

2005-12-29 Alexander Boettcher  <alex@kaffe.org>

	* kaffe/kaffevm/system/drops-l4threads/jthread.h,
	  kaffe/kaffevm/system/drops-l4threads/lock-impl.h:
	  jthread_interrupt & semaphore fix
	  - test/regression/ThreadInterrupt.java pass successful now
	
2005-12-28 Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW, TODO: Updated.

2005-12-28 Dalibor Topic  <robilad@kaffe.org>

	* developers/README: Added test-kaffe-sh.
	* developers/test-kaffe-sh: New file.

2005-12-28 Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/zlib/ : Merged in zlib 1.2.3 from gcc.

	* THIRDPARTY: Added zlib.

	* configure.ac: (--with-internal-zlib) New option.

	* libraries/clib/zip/Makefile.am: Adapted to allow use
	of internal zlib.

	* libraries/clib/Makefile.am: Use internal zlib if selected.

2005-12-28  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/locks.c
	(putHeavyLock): Do not atomic ops for hlockHolder as
	it is not necessary.

2005-12-27  Dalibor Topic  <robilad@kaffe.org>

	config/alpha/atomic.h,
	config/ia64/atomic.h,
	config/m68k/atomic.h,
	config/s390/atomic.h:
	Include config-int.h instead of stdint.h
	
2005-12-27  Dalibor Topic  <robilad@kaffe.org>

	* config/x86_64/atomic.h: Include config-int.h instead of stdint.h

2005-12-26  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jni/jni-refs.c
	(KaffeJNI_EnsureLocalCapacity): Fix 'clobbered'
	warning by moving initializazion of local variable after
	setjmp/longjmp.

2005-12-26  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/methodCache.c,
	kaffe/kaffevm/methodCache.h:
	Removed unused files.

2005-12-26  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/main.c,
	kaffe/kaffevm/classMethod.c,
	kaffe/kaffevm/gcFuncs.c,
	kaffe/kaffevm/jit3/machine.c,
	kaffe/xprof/feedback.c,
	kaffe/xprof/xprofiler.c,
	libraries/clib/management/JIT.c:
	Don't include methodCache.h.

2005-12-26  Guilhem Lavaux  <guilhem@kaffe.org>

	* replace/ifaddrs_bsd.c: Initialize ifap in case of error.

2005-12-26  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jit3/machine.h,
	kaffe/kaffevm/jit3/machine.c
	(KaffeJIT3_exitWithOOM,
	KaffeJIT3_setupExitWithOOM): New functions.
	(KaffeJIT3_cleanupInsnSequence): New function.
	(translate): Handle OOM cleanly.
	
	* kaffe/kaffevm/jit3/seq.c,
	kaffe/kaffevm/jit3/labels.c,
	kaffe/kaffevm/jit3/constpool.c,
	kaffe/kaffevm/jit3/global-regs.c:
	Throw an OOM if there is no memory anymore (instead
	of crashing the VM with an assert).

	* kaffe/kaffevm/jit/native-wrapper.c
	(startJNI): Throw an OOM if it is not possible to allocate
	a new local ref table.
	(Kaffe_wrapper): Handle OOM cleanly.

	* kaffe/kaffevm/jit/machine.c
	(KaffeJIT_exitWithOOM, KaffeJIT_setupExitWithOOM,
	KaffeJIT_cleanupInsnSequence): New functions.
	
2005-12-26  Riccardo Mottola  <riccardo@kaffe.org>

	* config/config-io.h,
	config/config-math.h,
	config/config-mem.h,
	config/config-net.h,
	config/config-setjmp.h,
	config/config-signal.h:
	added include of config.h

	* config/config.alias,
	config/powerpc/atomic.h,
	config/powerpc/bits/atomic.h:
	added support for POWER cpu

2005-12-26  Riccardo Mottola  <riccardo@kaffe.org>
	* config/sparc/atomic-sparc32v9.h, config/sparc/atomic-sparc64.h:
	fix includes
	* config/sparc/common.h:
	change ifdef order to get 64 bit include 64bit file

2005-12-25  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/locks.c (putHeavyLock): Use atomic ops to assign hLockHolder
	and in_progress.

2005-12-25  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/locks.h (struct _iLock): Made holder volatile to fix compiler warnings.

	* kaffe/kaffevm/locks.c (locks_internal_slowUnlockMutexIfHeld, locks_internal_waitCond):
	Made holder volatile to fix compiler warnings.

2005-12-25  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: (--disable-classpath-tools) Added switch to disable 
	building of classpath tools. Now it should be possible to build kaffe
	on a system without invoking jikes at all by using
	 --with-glibj-zip=some-prebuilt-zip --enable-pure-java-math --disable-classpath-tools

	* tools/Makefile.am (MAYBE_CLASSPATH_TOOLS): Added.
	(SUBDIRS) Only recurse into javatools if selected by configure.

2005-12-25  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/mips/atomic.h: Imported from GNU LibC CVS.

	* Imported fixlet from GNU Classpath

	2005-12-25  Chris Burdess  <dog@gnu.org>

        	* resource/META-INF/services/javax.xml.parsers.SAXParserFactory:
	          Revert to using aelfred2 driver by default.

2005-12-25  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c:
	Cast jlong to long in debug statement to fix a compiler warning.

2005-12-25  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c (start_this_sucker_on_a_new_frame):
	Removed attribute NONRETURNING to fix a compiler warning.

2005-12-24  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2005-12-24  Dalibor Topic  <robilad@kaffe.org>

        * tools/gjdoc/javalb/antlr: Updated to ANTLR 2.7.6.

2005-12-24  Dalibor Topic  <robilad@kaffe.org>

        * tools/gjdoc/javalib: Resynched GNU gjdoc.

2005-12-23  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* kaffe/kaffevm/access.c
	(recursive_instanceof): Removed,

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Do not generate redundant headers 
	java_lang_VMDouble.h and java_lang_VMFloat.h.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Do not generate unused headers
	java_lang_Boolean.h, java_lang_Byte.h, java_lang_Character.h,
	java_lang_Long.h, java_lang_Short.h.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/baseClasses.c: Do not include unused 
	header java_io_Cloneable.h.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Do not generate unused header 
	java_io_FileInputStream.h.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Do not generate unused header 
	java_io_FileOutputStream.h.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Do not generate unused header 
	java_io_InputStream.h.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/Class.c,
	libraries/clib/native/Field.c,
	libraries/clib/native/System.c:
	Do not include unnecessary java_io_InputStream header.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Do not generate unused header 
	java_io_PrintStream.h.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/Class.c,
	libraries/clib/native/Field.c,
	libraries/clib/native/System.c:
	Do not include unnecessary java_io_PrintStream header.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Do not generate unused header 
	java_io_RandomAccessFile.h.

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am: (SUBDIRS) Build GNU Classpath
	first, before running the build of the javalib directory. That
	ensures that glibj.zip exists and we can link rt.jar to it.

	Reported by:  Alejandro Mery  <amery@geeks.cl>

2005-12-23  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2005-12-23  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/boehm-gc/boehm: Upgraded to Boehm-GC 6.6

	* kaffe/kaffevm/gc2.c: Added JVMPI event emission.
	
2005-12-22  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/access.c
	(checkAccess): Simplified to the maximum according to Sun's VM
	spec we must not check for specific inner classes flags.

	* kaffe/kaffevm/classMethod.c
	(addInnerClasses): Do not merge inner class access flags with the
	class flags.

	* libraries/clib/native/Class.c
	(java_lang_VMClass_getModifiers): Return the right access flags
	depending on what we are asked and whether the class is nested.

	* test/regression/TestSerialFields.java,
	test/regression/TestSerialVersions.java: Removed private modifier
	to be able to run the tests (as for JDK).
	
2005-12-22  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* kaffe/kaffevm/access.c
	(outerof): Removed,
	(checkAccess): Simplified according to Sun's VM spec.

2005-12-21  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/access.c
	(checkAccess): If target and context are in the same package they are
	always visible.

2005-12-20  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Do not generate unused header java_io_File.h.

2005-12-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/Runtime.c: Removed unnecessary include.

2005-12-20  Alexander Boettcher  <alex@kaffe.org>

	* FAQ/FAQ.drops: Initial checkin of drops port FAQ
	
2005-12-20  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Don't generate include files for 
	serialization implementation files from GNU Classpath.

2005-12-20  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Don't generate include files for nio
	implementation files from GNU Classpath.

2005-12-20  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Added GNU Classpath's includes to CPPFLAGS.

	* include/Makefile.am: Don't generate include file for VMPipe. 

2005-12-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/libraries/clib/native/ClassLoader.c
	(java_lang_VMClassLoader_findLoadedClass): Removed unused local variables.

2005-12-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jni/jni-helpers.c
	(KaffeJNI_GetDirectBufferAddress) Copy buffer internally to fix
	'clobbered' warning.

2005-12-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c
	(jthreadedRecvfrom): Initialize r.

2005-12-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffeh/support.c
	(Kaffe_SystemCallInterface): Added missing initializer.

2005-12-19  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2005-12-19  Dalibor Topic  <robilad@kaffe.org>

	* tools/javatools/javalib/Makefile.am:
	(clean-local) Added -f to rm for tools.jar.

2005-12-19  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.automake,
	configure,
	developers/autogen.sh,
	libltdl/Makefile.am,
	libltdl/Makefile.in,
	libltdl/acinclude.m4,
	libltdl/config.guess,
	libltdl/config.sub,
	libltdl/configure,
	libltdl/install-sh,
	libltdl/ltdl.c,
	libltdl/ltmain.sh,
	libraries/javalib/external/classpath/aclocal.m4,
	libraries/javalib/external/classpath/config.guess,
	libraries/javalib/external/classpath/config.sub,
	libraries/javalib/external/classpath/configure,
	libraries/javalib/external/classpath/ltmain.sh,
	m4/libtool.m4,
	scripts/ltmain.sh:
	Updated to libtool 1.5.22

2005-12-19  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/java/util/LocaleData.java:
	Removed file generated by GNU Classpath buld system.

2005-12-19  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/org/w3c/dom/,
	libraries/javalib/vmspecific/org/xml/sax/:
	Removed files that are merged in GNU Classpath.

2005-12-19  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2005-12-18  Jari Korva  <jpkorva@iki.fi>

	* libraries/javalib/Makefile.am.in:
	Properly clean up after ourselves when using a prebuilt glibj.zip.

2005-12-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/gcFuncs.c
	(destroyClass): Only send a JVMPI event if a CLASS_LOAD event has
	been send.

	* kaffe/kaffevm/gc-mem.c
	(gc_is_heap_unlimited): Do the right check.
	(gcMalloc): Fixed the debug message.
	
2005-12-16  Dalibor Topic  <robilad@kaffe.org>

	Fix for make distcheck and ENABLE_BINRELOC compiler warnings.

	* configure.ac: (CFLAGS, CPPFLAGS) Don't set them to include 
	$(BINRELOC_GLAGS) as those are already set in the generated 
	config.h. Do not define ENABLE_BINRELOC explicitely, either.
	Fixes many compiler warnings regarding duplicate definition
	of ENABLE_BINRELOC.

	* kaffe/kaffe/main.c,
	kaffe/kaffeh/main.c: (main) Check for an error during binreloc
	initialization, as recommended in the binreloc documentation.

	* kaffe/kaffevm/binreloc.c:
	Check if config.h is generated, and if so, include it.

	* libraries/javalib/Makefile.am.in (install-data-local):
	Check if glibj.zip exists at desired location, before
	attempting to symlink to it.

	* tools/javatools/javalib/Makefile.am (clean-local):
	Remove built tools.jar.

2005-12-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/external/classpath/lib/Makefile.am:
	Replaced $(top_distdir) with $(distdir)/.. to make sure
	that GNU Classpath's class library sources don't end up
	in the wrong location in kaffe's tarball.

2005-12-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Check whether struct sockaddr has a sa_len member.

	* replace/ifaddrs_bsd.c: Fixed the parsing of the ifreq array.

	* configure, config/config.h.in: Regenerated.
	
2005-12-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/classPool.c
	(classMappingSearch): If we are asking again the same class while
	we are loading it then it means we have a circularity problem.

	* kaffe/kaffevm/locks.c:
	(slowLockMutex): Added an assertion checking.

	* kaffe/kaffevm/locks.h:
	(iLock.lockCount): Use uint32 instead of uint8.

	* libraries/clib/native/ClassLoader.c
	(findLoadedClasses): New native function.

	* libraries/javalib/vmspecific/java/lang/ClassLoader.java:
	Removed.

	* libraries/javalib/vmspecific/java/lang/VMClassLoader.java: 
	Reimported from GNU Classpath and merged with the older version.

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	Regenerated.
	
2005-12-16  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jni/jni-helpers.c
	(GetDirectBufferAddress): Authorize all classes inheriting 
	java/nio/Buffer.

	* kaffe/kaffevm/baseClasses.h
	(initBaseClasses): Preload java/nio/Buffer.
	
2005-12-16  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/baseClasses.c
	kaffe/kaffevm/baseClasses.h
	(initBaseClasses): Resolve java.nio.DirectByteBufferImpl and
	java.nio.DirectByteBufferImpl$ReadWrite and gnu.classpath.Pointer.
	Also resolve the inner address field.
	
	* kaffe/kaffevm/support.c,
	kaffe/kaffevm/support.h
	(KNI_lookupFieldC): New function to help resolve fields in a class
	using a C string.

	* kaffe/kaffevm/jni_i.h,
	kaffe/kaffevm/jni/jni-fields.c:
	(GET_STATIC_FIELD, SET_STATIC_FIELD, GET_FIELD, SET_FIELD): Moved
	to jni_i.h and renamed to KNI_*

	* kaffe/kaffevm/jni/jni-helpers.c
	(KaffeJNI_NewDirectByteBuffer,
	KaffeJNI_GetDirectBufferAddress): Use gnu/classpath/Pointer and
	not RawData as this class has disappeated. These functions uses
	KNI directly now.
	
2005-12-16  Dalibor Topic  <robilad@kaffe.org>,
            Alan Eliasen  <eliasen@mindspring.com>

	* libraries/clib/native/math/BigInteger.c:
	(Java_java_math_BigInteger_assignLong0) Made faster for platforms
	where a jlong has the size of a long. If the jlong paramter needs to
	be split into two 32 bit values, use a bitmask to sparete the bits 
	instead of casting down to jint and up again. Added more comments.

2005-12-14  Dalibor Topic  <robilad@kaffe.org>

	* developers/resync-classpath.sh: Make sure that we sync with the 
	distribution version of GNU Classpath, not with the CVS. That way,
	all the generated files like .info files are taken care of, without
	forcing Kaffe CVS users to install additional tools.

	Reported by:  Kiyo Inaba  <inaba@src.ricoh.co.jp>

	* libraries/javalib/external/classpath: Resynched GNU Classpath.
	Removed various files not present in the distribution tarball.

2005-12-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/vmspecific/java/io/ObjectOutputStream.java,
	libraries/javalib/vmspecific/java/io/ObjectStreamClass.java:
	Resurrected Guilhem's seralization patches from 2005-12-10 and moved 
	them over to vmspecific classes until they are checked in into 
	GNU Classpath.

2005-12-13  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* kaffe/kaffevm/access.c
	(outerof): New function,
	(checkAccess): Corrected the handling of private access.

2005-12-13  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2005-12-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/nio/gnu_java_nio_VMPipe.c:
	Added file from GNU Classpath.

	* include/Makefile.am: Added gnu_java_nio_VMPipe.h to 
	generated headers.

	* libraries/clib/nio/Makefile.am: Added gnu_java_nio_VMPipe.c.

	* libraries/javalib/Makefile.am.in: Only link glibj.zip to rt.jar if
	such link does not exist.

	* libraries/javalib/vmspecific/gnu/java/nio/VMPipe.java:
	Switched back to version from GNU Classpath, to avoid confusing the
	GNU Classpath jni function comparison scripts.

2005-12-11  Guilhem Lavaux  <guilhem@kaffe.org>

	* test/regression/TestSerialPersistent.java: Fix expected output.
	At the moment it is exactly the same compared to JDK's. Removed
	private modifiers.

2005-12-11  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Pass on jikes program name to 
	GNU Classpath's configure script.

	Reported by:  Kiyo Inaba  <inaba@src.ricoh.co.jp>

2005-12-11  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Check for SIZE_MAX. Fixes a build issue on Irix.

	Reported by:  Riccardo Mottola  <riccardo@kaffe.org>

2005-12-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am.in:
	(install-hook) Renamed to 
	(install-data-local), so that it gets picked up by automake.
	Added a dependency on installdirs to make sure its ran after the 
	directories are created.
	(uninstall-local) Added.

        Reported by:  Alejandro Mery  <amery@geeks.cl>

2005-12-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/java_lang_VMProcess.c
	(Java_java_lang_VMProcess_nativeSpawn): Spawn in the correct
	dir, if one is given.

        Reported by:  Alejandro Mery  <amery@geeks.cl>

2005-12-10  Guilhem Lavaux  <guilhem@kaffe.org>

	* test/regression/TestSerialFields.java,
	test/regression/TestSerialPersistent.java,
	test/regression/TestSerialVersions.java: Fixed class ordering
	problem. Changed output accordingly. We expect an
	InvalidClassException in Duplicates & Overlap now.

	* libraries/javalib/external/classpath/java/io/ObjectOutputStream.java,
	libraries/javalib/external/classpath/java/io/ObjectStreamClass.java:
	Temporary patch before synchronizing with classpath.

2005-12-10  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* FAQ/FAQ.classlibrary-compile: Updated the description of ecj.

2005-12-08  Guilhem Lavaux  <guilhem@kaffe.org>

	* developers/update-vm-list: Sort files before adding them to
	Makefile.am

	* configure.ac: Fixed a small problem when a precise ecj is
	specified in --with-ecj.
	
	* configure,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/external/classpath/Makefile.in,
	libraries/javalib/external/classpath/aclocal.m4,
	libraries/javalib/external/classpath/configure,
	libraries/javalib/external/classpath/examples/Makefile.in,
	libraries/javalib/external/classpath/external/Makefile.in,
	libraries/javalib/external/classpath/external/sax/Makefile.in,
	libraries/javalib/external/classpath/external/w3c_dom/Makefile.in,
	libraries/javalib/external/classpath/include/Makefile.in,
	libraries/javalib/external/classpath/lib/Makefile.in,
	libraries/javalib/external/classpath/native/Makefile.in,
	libraries/javalib/external/classpath/native/fdlibm/Makefile.in,
	libraries/javalib/external/classpath/native/jawt/Makefile.in,
	libraries/javalib/external/classpath/native/jni/Makefile.in,
	libraries/javalib/external/classpath/native/jni/classpath/Makefile.in,
	libraries/javalib/external/classpath/native/jni/gtk-peer/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-io/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-lang/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-net/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-nio/Makefile.in,
	libraries/javalib/external/classpath/native/jni/java-util/Makefile.in,
	libraries/javalib/external/classpath/native/jni/midi-alsa/Makefile.in,
	libraries/javalib/external/classpath/native/jni/midi-dssi/Makefile.in,
	libraries/javalib/external/classpath/native/jni/qt-peer/Makefile.in,
	libraries/javalib/external/classpath/native/jni/xmlj/Makefile.in,
	libraries/javalib/external/classpath/native/target/Makefile.in,
	libraries/javalib/external/classpath/native/target/Linux/Makefile.in,
	libraries/javalib/external/classpath/native/target/generic/Makefile.in,
	libraries/javalib/external/classpath/resource/Makefile.in,
	libraries/javalib/external/classpath/scripts/Makefile.in: 
	Regenerated.

	* test/regression/TestScript.in,
	test/regression/compile_time/CompileScript.in,
	test/regression/compiler/CompileScript.in,
	test/regression/run_time/CompileScript.in: Simplified. Adjusted
	command lines to be ecj compatible.

	* test/regression/ClassGC.java: Check whether ClassGCTest is already
	loaded before defining it.
	
2005-12-08  Antoine Reilles  <tonio@kaffe.org>
	* config/i386/netbsd1/md.h: Fixed typo, caused problem for old netbsd
	* config/alpha/netbsd1/md.h: Fix build for recent netbsd, by adapting
	the i386 code

2005-12-08  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/external/classpath: Resynched GNU Classpath.

2005-12-08  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/scripts/appletviewer.in,
	kaffe/scripts/jar.in: Fixed to look for kaffe specific
	classes in right directories.

	Reported by:  Alejandro Mery  <amery@geeks.cl>

2005-12-05  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/scripts/kaffe.in: Use jredir instead of prefix as home
	directory (this is the default for JDK1.2+)

	* kaffe/kaffevm/findInJar.c
	(discoverClasspath): Use ${KAFFEHOME}/lib/rt.jar as main classpath
	now.

	* kaffe/kaffevm/locks.c
	(getHeavyLock): Initialize hlockHolder
	
2005-12-04  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Set compiler to jikes,
	if the user does not explicitely specify
	a compiler.

	Reported by:  David Walluck <walluck@mandrake.org>

	* configure.ac: (--disable-xawt-xi18n) Fixed 
	flag name used in test to use underscores.

2005-12-04  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/external/classpath: Resynched GNU Classpath.
	
2005-12-04  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Set compiler to ecj or jikes,
	if the user does not explicitely specify a path
	to the compiler.

2005-12-03  Guilhem Lavaux  <guilhem@kaffe.org>

	* Makefile.am,
	test/internal/Makefile.am:
	Fixed BOOTCLASSPATH.

	* kaffe/kaffevm/systems/Makefile.am,
	libraries/javalib/Makefile.am.in,
	test/regression/TestScript.in,
	test/regression/compile_time/CompileScript.in,
	test/regression/compiler/CompileScript.in,
	test/regression/run_time/CompileScript.in
	Use JAVA_COMPILER instead of JIKES
	
	* Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	test/internal/Makefile.in: Regenerated
	
2005-12-03  Guilhem Lavaux  <guilhem@kaffe.org>

	* Removed a few spurious backup files from
	libraries/javalib/vmspecific

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	Regenerated.

	* developers/update-vm-list: Updated to forget backup files.

2005-12-03  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Added a new option "--with-ecj" to be able
	to compile with ecj. Reworked the java compiler detection.
	
	* Makefile.am,
	libraries/javalib/Makefile.am.in,
	libraries/javalib/rebuildLib.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.am,
	libraries/javalib/gmp-math/Makefile.am,
	test/Makefile.am,
	test/internal/Makefile.am,
	test/jni/Makefile.am,
	tools/gjdoc/javalib/Makefile.am,
	tools/javatools/javalib/Makefile.am:
	Use JAVA_COMPILER instead of JIKES.

	* Makefile.in,
	configure,
	config/Makefile.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/drops-l4threads/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/nano-X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/fdlibm/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in
	libraries/clib/nio/Makefile.in
	libraries/clib/security/Makefile.in
	libraries/clib/sound/Makefile.in
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/target/Makefile.in,
	libraries/clib/target/Linux/Makefile.in,
	libraries/clib/target/generic/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/external/classpath/config.sub,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in,
	tools/javatools/Makefile.in,
	tools/javatools/javalib/Makefile.in:
	Regenerated.
	
2005-12-02  Alexander Boettcher  <alex@kaffe.org>

	* configure: add thread binding drops-l4threads
	* developers/config1.patch,
	  developers/config2.patch,
	  developers/config3.patch: new - DROPS patches of config.subs in
	  scripts, libltdl and libraries/javalib/external/classpath
	* developers/autogen.sh: add configX.patch files (X=1..3)
	* scripts/config.sub,
	  libltdl/config.sub,
	  libraries/javalib/external/classpath/config.sub: patched by
	configX.patch (X=1..3) in order to enable cross compiling for OS DROPS
	
	* kaffe/kaffevm/slib.h: include DROPS/L4Env specific header file (located at
	kaffe/kaffevm/systems/drops-l4threads/l4_loader.h), this enables the
	look up of symbols in shared libraries by the DROPS loader/exec
	service

2005-11-29  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/gmp-math/java/math/BigInteger.java
	(probablePrime): Implemented.

2005-11-28  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	*
	libraries/javalib/vmspecific/gnu/java/nio/charset/UTF_16Decoder.java,
	libraries/javalib/vmspecific/gnu/java/nio/charset/UnicodeLittle.java,
	libraries/javalib/vmspecific/gnu/java/nio/charset/iconv/IconvProvider.java:
	Removed.

	* libraries/javalib/Makefile.am,libraries/javalib/Makefile.in:
	Deleted lines listing removed files.

2005-11-27  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-refs.c
	(insertInWeakRef, findWeakRef): New internal function.
	(KaffeGC_addWeakRef): Fixed a deadlock if GC is triggered in some of
	the malloc call.

2005-11-27  Guilhem Lavaux  <guilhem@kaffe.org>

	* developers/math_symbols: Added more symbols to be renamed
	(needed for darwin5).

	* libraries/clib/fdlibm/namespace.h: Regenerated.
	
2005-11-26  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c
	(jthreadedRecvFrom): Fixed infinite loop.

2005-11-26  Guilhem Lavaux  <guilhem@kaffe.org>

	* Resynchronized GNU Classpath to 2005-11-26.

	* developers/resync-classpath.sh: Partially automated the update of the
	repository. Files are not added nor removed from the CVS though. It is
	possible using the files add_files & remove_files.

	*
	libraries/javalib/vmspecific/javax/sound/sampled/AudioFileFormat.java,
	libraries/javalib/vmspecific/javax/sound/sampled/AudioFormat.java,
	libraries/javalib/vmspecific/javax/sound/sampled/AudioInputStream.java,
	libraries/javalib/vmspecific/javax/sound/sampled/AudioPermission.java,
	libraries/javalib/vmspecific/javax/sound/sampled/AudioSystem.java,
	libraries/javalib/vmspecific/javax/sound/sampled/BooleanControl.java,
	libraries/javalib/vmspecific/javax/sound/sampled/Clip.java,
	libraries/javalib/vmspecific/javax/sound/sampled/CompoundControl.java,
	libraries/javalib/vmspecific/javax/sound/sampled/Control.java,
	libraries/javalib/vmspecific/javax/sound/sampled/DataLine.java,
	libraries/javalib/vmspecific/javax/sound/sampled/EnumControl.java,
	libraries/javalib/vmspecific/javax/sound/sampled/FloatControl.java,
	libraries/javalib/vmspecific/javax/sound/sampled/Line.java,
	libraries/javalib/vmspecific/javax/sound/sampled/LineEvent.java,
	libraries/javalib/vmspecific/javax/sound/sampled/LineListener.java,
	libraries/javalib/vmspecific/javax/sound/sampled/LineUnavailableException.java,
	libraries/javalib/vmspecific/javax/sound/sampled/Mixer.java,
	libraries/javalib/vmspecific/javax/sound/sampled/Port.java,
	libraries/javalib/vmspecific/javax/sound/sampled/ReverbType.java,
	libraries/javalib/vmspecific/javax/sound/sampled/SourceDataLine.java,
	libraries/javalib/vmspecific/javax/sound/sampled/TargetDataLine.java,
	libraries/javalib/vmspecific/javax/sound/sampled/UnsupportedAudioFileException.java,
	libraries/javalib/vmspecific/javax/sound/sampled/spi/AudioFileReader.java,
	libraries/javalib/vmspecific/javax/sound/sampled/spi/AudioFileWriter.java,
	libraries/javalib/vmspecific/javax/sound/sampled/spi/FormatConversionProvider.java,
	libraries/javalib/vmspecific/javax/sound/sampled/spi/MixerProvider.java:
	Removed.

	
	*
	libraries/javalib/vmspecific/org/tritonus/share/sampled/mixer/TDataLine.java
	(getLongFramePosition): Added dummy method.

	* libraries/javalib/vmspecific/java/lang/String.java
	(contains): Imported from GNU Classpath.

2005-11-25  Alexander Boettcher  <alex@kaffe.org>

	* configure.ac: add thread binding drops-l4threads
	* initial checkin of DROPS/L4 port:
	config/i386/drops/config.frag
	config/i386/drops/jit-md.h
	config/i386/drops/jit3-md.h
	config/i386/drops/md.c
	config/i386/drops/md.h
	kaffe/kaffevm/systems/drops-l4threads/Makefile.am
	kaffe/kaffevm/systems/drops-l4threads/Makefile.frag
	kaffe/kaffevm/systems/drops-l4threads/Makefile.in
	kaffe/kaffevm/systems/drops-l4threads/jsignal.h
	kaffe/kaffevm/systems/drops-l4threads/jthread.h
	kaffe/kaffevm/systems/drops-l4threads/l4_loader.h
	kaffe/kaffevm/systems/drops-l4threads/l4thread.c
	kaffe/kaffevm/systems/drops-l4threads/l4thread.h
	kaffe/kaffevm/systems/drops-l4threads/lock-impl.h
	kaffe/kaffevm/systems/drops-l4threads/signal.c
	kaffe/kaffevm/systems/drops-l4threads/syscalls.c
	kaffe/kaffevm/systems/drops-l4threads/thread-impl.h 

2005-11-25  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/drops-l4threads/syscalls.c
	(drops_sockshutdown): New function.

2005-11-25  Guilhem Lavaux  <guilhem@kaffe.org>

	* include/jsyscall.h
	(sockShutdown): New syscall to support.
	(KSOCKSHUTDOWN): New macro.

	* kaffe/kaffevm/systems/unix-jthreads/syscalls.c,
	(jthreadedSocketShutdown): Added support for shutdown.

	* kaffe/kaffevm/systems/unix-jthreads/syscalls.c,
	(jthreadedSocketShutdown): Added support for shutdown.
	(selectHelper): New function which protect calls to select.
	(waitForTimeout, waitForWritable): Use selectHelper now.
	(waitForRW): New function.
	(jthreadedAccept): Use waitForRW and not waitForTimeout.

	* libraries/clib/net/PlainSocketImpl.c
	(getFileFromSocket): New function to retrieve safely a fd from a
	socket object.
	(releaseFileToSocket): Release the fd.
	(socketCreate, socketConnect, socketBind,
	socketListen, socketAccept, socketAvailable,
	socketSetOption, socketGetOption, socketRead,
	socketWrite, waitForConnection): Use the new facility to
	get the fd.
	(socketClose): Shutdown the socket and if possible close the fd.

	* libraries/javalib/vmspecific/gnu/java/net/PlainSocketImpl.java
	(fdUsed): New field.
	(available, close, getInputStream, socketGetOption, 
	socketSetOption, socketAccept, socketAvailable,
	socketBind, socketClose, socketConnect, socketCreate,
	socketListen, socketRead, socketWrite, waitForConnection,
	setBlocking): Removed synchronization.
	
2005-11-25  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/native/java_lang_VMProcess.c
	(nativeSpawn): Fixed eclipse startup by using the true kaffe
	internal functions.

2005-11-04  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/boehm-gc/boehm/configure,
	libltdl/Makefile.in,
	libltdl/aclocal.m4,
	libltdl/configure,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/external/classpath/configure: Regenerated.

	* libraries/javalib/external/classpath/configure.ac: Imported the
	fixlet for copy-vmresources.sh generation.

2005-11-04  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Check whether we are on NetBSD to activate the 
	bug circumvention.

	* configure, config/config.h.in: Regenerated.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c: Send as many
	sigResume as necessary to wake up the right thread. This fix
	pthread on netbsd.

2005-10-31  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffeh/Makefile.am: Link to LTLIBINTL if necessary.

	* kaffe/kaffeh/Makefile.in: Regenerated.

2005-10-28  Dalibor Topic  <robilad@kaffe.org>

        * Makefile.am: (KAFFELIBRARYPATH) Removed classpath directory.

        * configure.ac: Removed libraries/clib/classpath/Makefile from
	list of files to output.

        * libraries/clib/Makefile.am:
	Removed classpath subdirectory.

        * libraries/clib/awt/X/Makefile.am,
        libraries/clib/io/Makefile.am,
        libraries/clib/native/Makefile.am,
        libraries/clib/nio/Makefile.am:
	(*_LDADD) Use libclasspath.la from GNU Classpath.

        * libraries/clib/classpath/.cvsignore,
        libraries/clib/classpath/Makefile.am,
        libraries/clib/classpath/Makefile.in,
        libraries/clib/classpath/classpath_jawt.h,
        libraries/clib/classpath/jcl.c,
        libraries/clib/classpath/jcl.h,
        libraries/clib/classpath/jnilink.c,
        libraries/clib/classpath/jnilink.h,
        libraries/clib/classpath/native_state.c,
        libraries/clib/classpath/native_state.h:
	Removed.

2005-10-29  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/scripts/compat/javac.in: Use glibj.zip instead of rt.jar

2005-10-28  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/constpool.c: Replaced bzero by memset to
	fix warning on sparc-solaris9. 

2005-10-25  Jim Huang  <jserv@kaffe.org>

	* libraries/clib/awt/X/Makefile.am: Add XI18N_CFLAGS.

	* libraries/clib/awt/X/fnt.c
	(Java_java_awt_Toolkit_fntFreeFontMetrics): Fixlet to wrong prototype.
	(Java_java_awt_Toolkit_fntGetMaxAdvance): Fix typo.

	* libraries/clib/awt/X/toolkit.h: Remove hard-coded KAFFE_I18N macro.

	* libraries/javalib/awt-implementations/kaffe/Makefile.am: Fixlet to
	kaffeawt.jar generation.

	* configure.ac: Introduced new option --disable-xawt-xi18n to turn off
	Xi18n handling in Xlib-based AWT backend (enabled by
	default).

2005-10-24  Dalibor Topic  <robilad@kaffe.org>

	Removed Kaffe's copy of GNU Classpath's libxmlj, since it
	already exists in the merged in classpath tree.

	* Makefile.am: Removed handling of libxmlj.

	* configure.ac: (--enable-libxmlj) Removed. Removed output of
	libxmlj Makefile.

	* include/Makefile.am: (LIBXMLJ_JNI_HDRS, MAYBE_LIBXMLJ_JNI_HDRS,
	stamp-libxmlj) Removed.

	* libraries/clib/Makefile.am: (MAYBE_LIBXMLJ_DIR) Removed.

	* libraries/clib/libxmlj/Makefile.am,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/libxmlj/xmlj_dom.c,
	libraries/clib/libxmlj/xmlj_dom.h,
	libraries/clib/libxmlj/xmlj_error.c,
	libraries/clib/libxmlj/xmlj_error.h,
	libraries/clib/libxmlj/xmlj_io.c,
	libraries/clib/libxmlj/xmlj_io.h,
	libraries/clib/libxmlj/xmlj_node.c,
	libraries/clib/libxmlj/xmlj_node.h,
	libraries/clib/libxmlj/xmlj_sax.c,
	libraries/clib/libxmlj/xmlj_sax.h,
	libraries/clib/libxmlj/xmlj_transform.c,
	libraries/clib/libxmlj/xmlj_util.c,
	libraries/clib/libxmlj/xmlj_util.h,
	libraries/clib/libxmlj/xmlj_xpath.c:
	Removed.

2005-10-24  Dalibor Topic  <robilad@kaffe.org>

	Removed Kaffe's copy of GNU Classpath's AWT peers, since they
	already exist in the merged in classpath tree.

	* Makefile.am: Removed binreloc, GNU Classpath gtk+ and qt AWt peer handling code.

	* configure.ac: (--enable-gtk-cairo, --with-classpath-gtk-awt, 
	--with-classpath-qt-awt) Removed. Removed the respective checks.
	The GNU Classpath AWT choices switches are now parsed by
	GNU Classpath's configure script.
	Removed output of Makefiles in the removed GNU Classpath peer directories.

	* include/Makefile.am: (LIBGTKPEER_JNI_HDRS, LIBQTPEER_JNI_HDRS ,
	MAYBE_LIBGTKPEER_JNI_HDRS, MAYBE_LIBQTPEER_JNI_HDRS, JAWT_HDRS)
	Removed.

	* libraries/clib/awt/Makefile.am: (MAYBE_CLASSPATH_GTK_AWT,
	MAYBE_CLASSPATH_QT_AWT): Removed.
	(SUBDIRS) Removed deleted GNU Classpath peer subdirectories.

	* libraries/clib/awt/classpath-gtk/Makefile.am,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/.cvsignore,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/gdkfont.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkRobotPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollPanePeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollbarPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkSelection.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gthread-jni.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gthread-jni.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtk_jawt.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtkcairopeer.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtkpeer.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/jawt.c,
	libraries/clib/awt/classpath-gtk/resource/.cvsignore,
	libraries/clib/awt/classpath-gtk/resource/Makefile.am,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/font.properties,
	libraries/clib/awt/classpath-qt/Makefile.am,
	libraries/clib/awt/classpath-qt/Makefile.in,
	libraries/clib/awt/classpath-qt/buttonevent.h,
	libraries/clib/awt/classpath-qt/componentevent.cpp,
	libraries/clib/awt/classpath-qt/componentevent.h,
	libraries/clib/awt/classpath-qt/containers.h,
	libraries/clib/awt/classpath-qt/eventmethods.h,
	libraries/clib/awt/classpath-qt/keybindings.cpp,
	libraries/clib/awt/classpath-qt/keybindings.h,
	libraries/clib/awt/classpath-qt/mainqtthread.cpp,
	libraries/clib/awt/classpath-qt/mainthreadinterface.cpp,
	libraries/clib/awt/classpath-qt/mainthreadinterface.h,
	libraries/clib/awt/classpath-qt/nativewrapper.cpp,
	libraries/clib/awt/classpath-qt/nativewrapper.h,
	libraries/clib/awt/classpath-qt/qmatrix.cpp,
	libraries/clib/awt/classpath-qt/qpainterpath.cpp,
	libraries/clib/awt/classpath-qt/qpen.cpp,
	libraries/clib/awt/classpath-qt/qtaudioclip.cpp,
	libraries/clib/awt/classpath-qt/qtbuttonpeer.cpp,
	libraries/clib/awt/classpath-qt/qtcanvaspeer.cpp,
	libraries/clib/awt/classpath-qt/qtcheckboxpeer.cpp,
	libraries/clib/awt/classpath-qt/qtchoicepeer.cpp,
	libraries/clib/awt/classpath-qt/qtcomponent.cpp,
	libraries/clib/awt/classpath-qt/qtcomponent.h,
	libraries/clib/awt/classpath-qt/qtcomponentpeer.cpp,
	libraries/clib/awt/classpath-qt/qtdialogpeer.cpp,
	libraries/clib/awt/classpath-qt/qtembeddedwindowpeer.cpp,
	libraries/clib/awt/classpath-qt/qtfiledialogpeer.cpp,
	libraries/clib/awt/classpath-qt/qtfont.h,
	libraries/clib/awt/classpath-qt/qtfontmetrics.cpp,
	libraries/clib/awt/classpath-qt/qtfontpeer.cpp,
	libraries/clib/awt/classpath-qt/qtframepeer.cpp,
	libraries/clib/awt/classpath-qt/qtgraphics.cpp,
	libraries/clib/awt/classpath-qt/qtgraphics.h,
	libraries/clib/awt/classpath-qt/qtimage.cpp,
	libraries/clib/awt/classpath-qt/qtimage.h,
	libraries/clib/awt/classpath-qt/qtlabelpeer.cpp,
	libraries/clib/awt/classpath-qt/qtlistpeer.cpp,
	libraries/clib/awt/classpath-qt/qtmenubarpeer.cpp,
	libraries/clib/awt/classpath-qt/qtmenucomponentpeer.cpp,
	libraries/clib/awt/classpath-qt/qtmenuitempeer.cpp,
	libraries/clib/awt/classpath-qt/qtmenupeer.cpp,
	libraries/clib/awt/classpath-qt/qtpanelpeer.cpp,
	libraries/clib/awt/classpath-qt/qtpopupmenupeer.cpp,
	libraries/clib/awt/classpath-qt/qtscreendevice.cpp,
	libraries/clib/awt/classpath-qt/qtscrollbarpeer.cpp,
	libraries/clib/awt/classpath-qt/qtscrollpanepeer.cpp,
	libraries/clib/awt/classpath-qt/qtstrings.cpp,
	libraries/clib/awt/classpath-qt/qtstrings.h,
	libraries/clib/awt/classpath-qt/qttextareapeer.cpp,
	libraries/clib/awt/classpath-qt/qttextfieldpeer.cpp,
	libraries/clib/awt/classpath-qt/qttoolkit.cpp,
	libraries/clib/awt/classpath-qt/qtvolatileimage.cpp,
	libraries/clib/awt/classpath-qt/qtwindowpeer.cpp,
	libraries/clib/awt/classpath-qt/slotcallbacks.cpp,
	libraries/clib/awt/classpath-qt/slotcallbacks.h,
	libraries/clib/awt/classpath-qt/slotcallbacks.moc:
	Removed.

2005-10-23  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Really disable the production of core JNI
	libraries in GNU Classpath.

	* configure: Regenerated.

2005-10-22  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Use jikes by default to build
	GNU Classpath.

2005-10-22  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am: (EXTRA_DIST) Removed binreloc files.

	* libraries/clib/security/Makefile.am:
	(security_DATA) Moved java.security to Kaffe.security.

	* libraries/javalib/Makefile.am.in:
	(noinst_DATA) Removed.

2005-10-22  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Renamed with-rt-jar to with-glib-zip. Do not build
	java library if the user specifies --with-glibj-zip.

	* developers/autogen.sh: Fixed autogeneration order for classpath.

	* developers/update-vm-list: Fixed script for generating
	Makefile.am from Makefile.am.in.

	* libraries/javalib/Makefile.am.in: Brought back support for
	precompiler glibj.zip.
	
	* Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	configure: Regenerated.
	
2005-10-22  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/clib/nio/gnu_java_nio_charset_iconv_IconvDecoder.c
	(Java_gnu_java_nio_charset_iconv_IconvDecoder_decode):
	Do not check errno == EINVAL because it is a normal case
	(Proposed patch for GCC Bugzilla Bug 24467).

2005-10-20  Guilhem Lavaux  <guilhem@kaffe.org>

	* test/jni/Makefile.am: Fixed rt.jar path (glibj.zip now).

	* test/jni/Makefile.in: Regenerated.

2005-10-20  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/external/classpath/gnu/java/nio/charset/UTF_16Decoder.java,
	libraries/javalib/external/classpath/gnu/java/nio/charset/UnicodeLittle.java,
	libraries/javalib/external/classpath/gnu/java/nio/charset/iconv/IconvProvider.java:
	Proposed patch for GCC Bugzilla Bug 23008 and 22968.

2005-10-19  Guilhem Lavaux  <guilhem@kaffe.org>

	* developers/update-vm-list: New script adapted from update-class-list
	to add the vmspecific classes to libraries/javalib/Makefile.am

2005-10-19  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/kaffe: Moved
	directories to libraries/javalib/awt-implementations/kaffe/org/kaffe.

2005-10-19  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/external/classpath: Imported classpath tree.

2005-10-19  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/gnu, libraries/javalib/com, libraries/javalib/org,
	libraries/javalib/java, libraries/javalib/javax: Removed.

	* libraries/javalib/vmspecific: New directory to hold files specific
	to kaffe.

	* Makefile.am, Makefile.in, configure, configure.ac,
	developers/autogen.sh, developers/resync-classpath.sh,
	include/Makefile.am, include/Makefile.in, kaffe/kaffe/main.c,
	kaffe/kaffevm/baseClasses.c, kaffe/kaffevm/baseClasses.h,
	kaffe/kaffevm/external.h, kaffe/scripts/kaffe.in,
	libraries/clib/io/Makefile.am, libraries/clib/io/Makefile.in,
	libraries/clib/management/Classpath.c,
	libraries/clib/management/Debug.c,
	libraries/clib/management/JIT.c,
	libraries/clib/management/XProfiler.c,
	libraries/clib/math/BigInteger.c,
	libraries/clib/native/ClassLoader.c,
	libraries/clib/native/Makefile.am,
	libraries/clib/native/Makefile.in,
	libraries/clib/native/ZipFile.c,
	libraries/clib/net/Makefile.am,
	libraries/clib/net/Makefile.in,
	libraries/clib/net/NetworkInterface.c,
	libraries/clib/nio/Makefile.am,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/digest.c,
	libraries/clib/security/java.security,
	libraries/clib/zip/Adler32.c,
	libraries/clib/zip/Deflater.c,
	libraries/clib/zip/Inflater.c,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.am.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.am,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/java/applet/Applet.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/AWTEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Button.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/DefKeyFilter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Image.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageLoader.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageNativeProducer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeClipboard.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeSelection.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Scrollbar.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Toolkit.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/MemoryImageSource.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/PixelGrabber.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/image/RGBImageFilter.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Button.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/CheckboxMenuItem.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/MenuBar.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/MenuItem.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/NativeComponent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/NativeContainer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/NativeGraphics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/win32/Toolkit.java,
	libraries/javalib/gmp-math/Makefile.am,
	libraries/javalib/gmp-math/Makefile.in,
	libraries/javalib/gmp-math/java/math/BigInteger.java,
	test/internal/Makefile.am,
	test/internal/Makefile.in,
	test/regression/KaffeInternal.java,
	test/regression/NetworkInterfaceTest.java,
	test/regression/SecureRandomTest.java,
	test/regression/TestScript.in,
	tools/Makefile.am,
	tools/Makefile.in,
	tools/gjdoc/javalib/Makefile.am,
	tools/gjdoc/javalib/Makefile.in: Adapted to use the classpath tree.
	
	* tools/javatools: Moved java source files from gnu/classpath/tools to
	this tree.

2005-10-18  Eric Anholt  <eta@lclark.edu>

	* config/x86_64/freebsd2/md.c: Added missing includes to fix 
	the build.

2005-10-18  Dalibor Topic  <robilad@kaffe.org>

	* README: Added DragonFly BSD to ported platforms.

	* WHATSNEW: Added news about DragonFly BSD.

2005-10-18  Joerg Sonnenberger <joerg@netbsd.org>

	* config/config.alias: Added support for dragonfly. Use the
	same files as FreeBSD for now.

2005-10-18  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/scripts/Makefile.am:
	Only install the javadoc wrapper script if gjdoc is being built.
	Simplified conditionals.

	Reported by:  Petteri Raety  <betelgeuse@gentoo.org>

	* kaffe/scripts/compat/Makefile.am: 
	Simplified conditionals.

2005-10-03  Guilhem Lavaux  <guilhem@kaffe.org>

	* m4/binreloc.m4: Updated file.

	* binreloc/ChangeLog,
	binreloc/Makefile,
	binreloc/README,
	binreloc/libtest.c,
	binreloc/prefix.c,
	binreloc/prefix.h,
	binreloc/test.c: Removed old version of binreloc.
	
	* kaffe/kaffe/main.c,
	kaffe/kaffeh/main.c
	kaffe/kaffevm/baseClasses.c,
	kaffe/kaffevm/external.c,
	kaffe/kaffevm/findInJar.c: Adapted to the new binreloc API.
	
	* kaffe/kaffeh/Makefile.am: Generate forward file for binreloc.c
	and binreloc.h.

	* kaffe/kaffevm/Makefile.am: Always build binreloc.
	
	* kaffe/kaffevm/binreloc.c,
	kaffe/kaffevm/binreloc.h: Imported from binreloc-2.0 package.
	
	* configure,
	Makefile.in,
	config/Makefile.in,
	config/config.h.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/configure,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/classpath-qt/Makefile.in,
	libraries/clib/awt/nano-X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/classpath/Makefile.in,
	libraries/clib/fdlibm/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/target/Makefile.in,
	libraries/clib/target/Linux/Makefile.in,
	libraries/clib/target/generic/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in: Regenerated.

2005-10-02  Riccardo Mottola <riccardo@kaffe.org>

	* kaffe/kaffe/kafevm/stat.c:
	added missing include to sys/time.h properly guarded (for darwin)

2005-10-02  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac,
	kaffe/scripts/compat/Makefile.am
	Removed appletviewer and javadoc compatilibility scripts.

	* kaffe/scripts/compat/appletviewer.in,
	kaffe/scripts/compat/javadoc.in:
	Removed. Same scripts exist in normal scripts directory already.

2005-10-02  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/gc.h
	(KGC_MAX_MALLOC_TYPE): Alias for SIZE_MAX.

	* kaffe/kaffevm/object.c
	(newArrayChecked): Check for integer overflows before summing
	some maybe big values.

	* kaffe/kaffevm/boehm-gc/gc2.c
	(KaffeGC_realloc, KaffeGC_malloc): Added more assertion safeguards.
	(KaffeGC_init): Initialized the max heap size correctly.
	(KGC_max_heap_size): New static global variable.
	(KaffeGC_HeapLimit): It now returns a valid value now.
	
	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(gcMalloc): Added more assertion safeguards.

	* libraries/clib/native/Runtime.c
	(maxMemory): Check if the heap is unlimited using the good
	constant.
	
2005-10-02  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/stats.c: Added guards for sys/resource.h include.

2005-10-01  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/boehm-gc/gc-refs.c,
	kaffe/kaffevm/boehm-gc/gc-refs.h,
	kaffe/kaffevm/boehm-gc/gc2.c,
	kaffe/kaffevm/boehm-gc/gc2.h:
	Fixed Boehm-GC adaptation layer.
	
	* kaffe/kaffevm/boehm-gc/boehm/pthread_support.c
	(pthread_join)
	In some case a thread may be detached just after the UNLOCK().

2005-10-01  Jim Huang  <jserv@kaffe.org>

	* libraries/javalib/gnu/java/net/PlainSocketImpl.java (getOption):
	Fixlet. When you use getOption(int) in order to ask it for
	SO_REUSEADDR, you get an Integer back which is either 0 or 1. It 
	should be a Boolean instead, as getReuseAddress() executed on a 
	socket expects this.
	Patched by:  Nico R.  <n-roeser@gmx.net>

2005-10-01  Jim Huang  <jserv@kaffe.org>

	* kaffe/kaffevm/stats.c: Fixlet to compilation error when
	--with-stats enabled.
	Reported by:  Pietro Ferrari  <pietro.ferrari@gmail.com>.

2005-09-30  Jim Huang  <jserv@kaffe.org>

	* configure.ac: Improve Nano-X detection.

	* libraries/clib/awt/classpath-qt/componentevent.cpp,
	libraries/clib/awt/classpath-qt/mainqtthread.cpp,
	libraries/clib/awt/classpath-qt/qtframepeer.cpp:
	Add regular includes.

	* libraries/javalib/Makefile.am.in: Fixlet to Nano-X AWT.

	* po/zh_CN.po,
	po/zh_TW.po: Fix typo.

2005-09-30  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/scripts/javadoc.in,
	kaffe/scripts/compat/javadoc.in: Removed ANTLR_JAR.

	Reported by:  Joshua Nichols  <joshua.nichols@gmail.com>
	
2005-09-28  Rafal Lewczuk <rafal.lewczuk@gmail.com>

	* kaffe/kaffevm/kaffe.def,
	kaffe/kaffevm/intrp/machine.c,
	kaffe/kaffevm/jit/machine.h,
	kaffe/kaffevm/jit3/machine.h,
	kaffe/kaffevm/verifier/verify.c:
	Simple direct threading interpreter implementation.

2005-09-26  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* RELEASE-NOTES: Changed the number of tests from 147 to 148.

2005-09-25  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Bumped version number.
	Simplified gmp tests.

	* include/Arrays.h: HArrayOfBoolean fixed type of
	data.

	* kaffe/kaffevm/support.c: (bitCount) Make lpc unsigned.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c 
	(restore_fds_and_exit),
	kaffe/kaffevm/systems/unix-jthreads/jthread.h,
	(jthread_exit_when_done): Removed bad NONRETURNING tag.

2005-09-24  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c
	(gc_block_alloc): Handle heap growing backward. Fixed initialization
	of the block array.
	(gc_heap_grow): If blocks are prepended update gc_first_block and not
	gc_last_block.
	(gc_first_block): New pointer to hold the first block in the primitive block
	list.

2005-09-23  Gwenole Beauchesne  <gbeauchesne@mandriva.com>

	* libraries/clib/fdlibm/: Such an ancient code assumed "long" as a
	32-bit word value, thus changing its occurrences to "int".

	Fixes DoublePrint test on 64-bit platforms.

2005-09-22  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(KaffeGC_WalkMemory): Use a specific alignment for stack.

	* include/defs.h
	(ALIGNMENTOF_VOIDP_IN_STACK): New macro.

	* config/x86_64/common.h
	(ALIGNMENTOF_VOIDP_IN_STACK): It is explicitly defined
	for amd64.

2005-09-22  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffeh/Makefile.am:
	(BINRELOC_SOURCES) Added.
	(kaffeh_SOURCES) Added BINRELOC_SOURCES.

	* kaffe/kaffeh/main.c: Include system.h for path_separator.
	Include prefix.h is binreloc is available. Include headers for
	gettext.
	(options) Handle -classpath and -bootclasspath options.
	Use a default bootclasspath if no bootclasspath is given.

	Fixes build of libreadline-java 0.8.0.

	Reported by:  Joshua Nichols  <joshua.nichols@gmail.com>

2005-09-21  Santiago Gala <sgala@apache.org>

	* libraries/javalib/java/security/VMAccessController.java:
	Use given combiner in pushed AccessControlContext.

	Fixes tomcat 5 startup with security manager enabled.

	Reported by:  Wolfgang Baer <WBaer@gmx.de>

2005-09-21  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-09-21  Lillian Angel  <langel@redhat.com>

        * javax/swing/ToolTipManager.java
        (showTip): Added code to move currentPoint to a new place.
        (getGoodPoint): Removed, not needed.

	2005-09-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalFileChooserUI.java: new file (partial
        implementation).

	2005-09-20  Lillian Angel  <langel@redhat.com>

        * javax/swing/JPopupMenu.java
        (setVisible): If HeavyWeightPopup, setLightWeightPopupEnabled
        is false.
        * javax/swing/ToolTipManager.java
        (showTip): Change so toolTips on lightWeightPopups are
        added different than those on heavyWeightPopups.
        (canToolTipFit): Removed. This is not needed/used.

	2005-09-20  Lillian Angel  <langel@redhat.com>

        * javax/swing/ToolTipManager.java
        (mouseMoved): Removed unneeded code. If the mouse
        moves into another component, then mouseEntered would
        do the same thing. Otherwise, it is not needed.
        (showTip): Fixed so that the containerPanel is an
        instance of Panel. Made code more efficent.
        Tooltips were causing weird problems with the
        JMenus.
        (getGoodPoint): Fixed to return a better location.
        * javax/swing/plaf/basic/BasicMenuBarUI.java
        (mouseClicked): Fixed to prevent a NPE.

	2005-09-20  Tom Tromey  <tromey@redhat.com>

        PR classpath/22906:
        * gnu/java/net/protocol/jar/Connection.java (get): Added useCaches
        argument.
        (connect): Updated.

	2005-09-20  Tom Tromey  <tromey@redhat.com>

        * javax/print/DocFlavor.java (serialVersionUID): Fixed typo.

	2005-09-19  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/text/DefaultEditorKit.java:
        (write): Partially Implemented and made slight correction to API docs.
        * javax/swing/text/html/HTMLEditorKit.java:
        (createDefaultDocument): Override parent method because we need to
        return an HTMLDocument not a DefaultStyledDocument.

	2005-09-20  Roman Kennke  <kennke@aicas.com>

        Fixes PR #23900.
        * javax/swing/JLayeredPane.java
        (remove(int)): Removed repaint() call. This is unnecessary because
        already triggered by Container.remove().
        (remove(Component)): Removed this superfluous method. It's not
        in the specs and the functionality is already in Container.
        (paint): New method. Overridden in order to provide reasonable
        painting for JLayeredPanes.

	2005-09-20  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/basic/BasicTextUI.java
        (UpdateHandler): Renamed to PropertyChangeHandler. This name is
        closer to the purpose of this class.
        (PropertyChangeHandler.propertyChange): Delegate property change
        to propertyChange hook method in the enclosing BasicTextUI.
        (propertyChange): New protected method. This serves as a hook
        for subclasses to handle property changes in the text component.
        * javax/swing/plaf/basic/BasicTextUI.java
        (properyChange): Handle editable property here and adjust background
        accordingly.

	2005-09-20  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/DefaultStyledDocument.java
        (getParagraphElement): If the position argument is out of the
        document's bounds, then the closest paragraph element must be
        returned. This is fixed.

	2005-09-20  Roman Kennke  <kennke@aicas.com>

        * javax/swing/JTable.java
        (resizeAndRepaint): New protected method.

	2005-09-20  Tom Tromey  <tromey@redhat.com>

        * javax/xml/namespace/QName.java: Now Serializable.
        (serialVersionUID): New field.
        (qName, hashCode): Now transient.
        (QName): Don't compute qName here.
        (equals): Now final.
        (hashCode): Simplified.
        (toString): Compute qName here.

	2005-09-20  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/metal/MetalBorders.java
        (getTextFieldBorder): This method must return an BorderUIResource
        instance. Fixed.

	2005-09-20  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/basic/BasicButtonUI.java
        (installDefaults): Handle the rollover UIDefaults property.
        (paintText): Correctly paint disabled button label text.
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): Fix some text component border defaults.
        * javax/swing/plaf/basic/BasicTextPaneUI.java
        (installUI): New method. This sets up some style attributes
        for the JTextPane.

	2005-09-20  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefault): Added and fixed some UI defaults.

	2005-09-20  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/metal/MetalBorders.java
        (ButtonBorder.paintBorder): Fetch correct color for disabled
        button border.
        (getTextFieldBorder): Correctly initialize text field border. This
        should be a compound border with a MarginBorder and TextFieldBorder
        instead of a plain TextFieldBorder.
        (getTextBorder): New method.

	2005-09-20  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/DefaultStyledDocument.java
        (setParagraphAttributes): Implemented this method.
        (insertUpdate): Fixed attribute comparison to avoid NPE.

	2005-09-20  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR awt/23951
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
        (isRealized): Leave GDK critical region when exiting early.

	2005-09-19  Tom Tromey  <tromey@redhat.com>

        * java/awt/PopupMenu.java (AccessibleAWTPopupMenu.serialVersionUID):
        New field.
        * java/awt/TextField.java (AccessibleAWTTextField.serialVersionUID):
        New field.
        * java/awt/TextArea.java (AccessibleAWTTextArea.serialVersionUID):
        New field.
        * java/awt/Menu.java (AccessibleAWTMenu.serialVersionUID): New field.
        * java/awt/CheckboxMenuItem.java (AccessibleAWTCheckboxMenuItem.serialVersionUID):
        New field.
        * java/awt/TextComponent.java (AccessibleAWTTextComponent.serialVersionUID):
        New field.
        * java/awt/MenuItem.java (AccessibleAWTMenuItem.serialVersionUID):
        New field.
        * java/awt/Frame.java (AccessibleAWTFrame.serialVersionUID): New
        field.
        * java/awt/Dialog.java (AccessibleAWTDialog.serialVersionUID): New
        field.
        * java/awt/Button.java (AccessibleAWTButton.serialVersionUID): New
        field.
        * java/awt/Window.java (AccessibleAWTWindow.serialVersionUID): New
        field.
        * java/awt/ScrollPane.java (AccessibleAWTScrollPane.serialVersionUID):
        New field.
        * java/awt/List.java (AccessibleAWTList.serialVersionUID): New field.
        (AccessibleAWTListChild.serialVersionUID): Likewise.
        (AccessibleAWTListChild.parent): Moved earlier.
        (AccessibleAWTListChild.indexInParent): Renamed.

	2005-09-19  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/filechooser/FileView.java:
        Reformatted and added API doc comments.

	2005-09-19  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JRootPane.java:
        (createGlassPane): Don't set the layout manager to BorderLayout.  Leave
        it as JPanel's default FlowLayout.

	2005-09-19  Lillian Angel  <langel@redhat.com>

        * javax/swing/ToolTipManager.java:
        Changed tooltip to be JDialog (no entry in taskbar),
        instead of JWindow.
        (actionPerformed): No need to start timer here.
        (mouseEntered): No need to call showTip here, it is called
        when the timer fires.
        (showTip): Shouldn't show tip if it is already visible or
        the current component is not showing.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (getRowForPath): Re-implemented.
        (mousePressed): Call getRowForPath instead, also
        added a check in for leaf icons.

	2005-09-19  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JLayeredPane.java:
        (<init>): Set layout manager to null.

	2005-09-19  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicInternalFrameUI.java:
        (GlassPaneDispatcher.handleEvent): Added check for mouseEventTarget
        being null to avoid NPE.

	2005-09-19  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JRootPane.java:
        (RootLayout.layoutContainer): Added comment about how the
        components should be sized.  Fixed size of glassPane which fills the
        entire viewable region, including overtop the menuBar.  Used bounds
        minus insets for containerSize, as indicated in comment, rather than
        getSize().  Used setBounds instead of setSize for layeredPane because
        its relation to the other components' sizes is more obvious that way.

	2005-09-19  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicInternalFrameUI.java:
        (GlassPaneDispatcher.handleEvent): Replaced call to SwingUtilities'
        convertMouseEvent (with identical source and desination) with a simple
        cast.  If acquireComponentForMouseEvent reveals we're going to
        re-dispatch this event to ourselves (and loop infinitely), return. Also
        replaced contentPane by glassPane as the source argument to
        SwingUtilities.convertMouseEvent since the glassPane is the real source.

	2005-09-19  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicArrowButton.java
        (paintTriangle): minor correction to highlight on triangle for disabled
        buttons.

	2005-09-19  Tom Tromey  <tromey@redhat.com>

        * javax/print/DocFlavor.java (BYTE_ARRAY.serialVersionUID): New field.
        (INPUT_STREAM.serialVersionUID): Likewise.

	2005-09-19  Tom Tromey  <tromey@redhat.com>

        * java/text/DateFormat.java (serialVersionUID): New field.

	2005-19-19  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (selectPath): Changed so DISCONTIGUOUS_TREE_SELECTION is the
        default.
        * javax/swing/JTree.java
        (AccessibleJTreeNode): Initialized all fields.
        (addAccessibleSelection): Implemented.
        (clearAccessibleSelection): Implemented.
        (doAccessibleAction): Implemented.
        (getAccessibleAction): Implemented.
        (getAccessibleActionCount): Implemented.
        (getAccessibleActionDescription): Implemented.
        (getAccesssibleChild): Remove mod variable, made global.
        (getAccessibleComponent): Changed to return this, since this
        class implements AccessibleComponent.
        (getAccessibleSelection): Likewise.
        (getAccessibleSelection): Implemented.
        (getAccessibleSelectionCount): Implemented.
        (getAccessibleStateSet): Remove mod variable, made global.
        (getCursor): Implemented.
        (isAccessibleChildSelected): Remove mod variable, made global.
        (removeAccessibleSelection): Implemented.
        (selectAllAccessibleSelection): Implemented.
        (setCursor): Implemented.
        (AccessibleJTree): Nothing to do.
        (getAccessibleAt): Implemented.
        (getAccessibleSelection): Implemented.
        (getAccessibleSelection): Implemented.

	2005-09-19  Tom Tromey  <tromey@redhat.com>

        * javax/xml/xpath/XPathFunctionException.java (serialVersionUID): New
        field.
        * javax/xml/xpath/XPathFactoryConfigurationException.java
        (serialVersionUID): New field.
        * javax/xml/xpath/XPathExpressionException.java (serialVersionUID): New
        field.
        * javax/xml/xpath/XPathException.java (serialVersionUID): New field.
        * javax/xml/transform/TransformerConfigurationException.java (locator):
        Removed.
        (TransformerConfigurationException): Pass locator to super constructor.
        (serialVersionUID): New field.
        * javax/xml/transform/TransformerFactoryConfigurationError.java
        (serialVersionUID): New field.
        * javax/xml/transform/TransformerException.java (containedException):
        Renamed field.
        (serialVersionUID): New field.

	2005-09-19  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/basic/BasicTextUI.java
        (UpdateHandler.propertyChange): Handle changes of the editable
        property.
        (paintBackground): Moved implementation to
        UpdateHandler.propertyChange. This method itself should not fill
        the background.

	2005-09-19  Roman Kennke  <kennke@aicas.com>

        * javax/swing/border/TitledBorder.java
        (paintBorder): Correctly set the Y offset for the border title.
        (getMeasurements): Determine the correct Y offset for the border
        title.

	2005-09-19  Robert Schuster  <robertschuster@fsfe.org>

        * java/awt/Checkbox.java:
        (Checkbox): Properly set as selected checkbox in corresponding
        checkbox group.
        (paramString): Removed checkbox group information.
        * java/awt/Component.java:
        (paramString): Removed redundant "=".

	2005-09-19  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicComboBoxUI.java
        (installComponents): call configureArrowButton after creating button,
        (configureEditor): set the selected item,
        (configureArrowButton): set a zero margin,
        (getPreferredSize): delegate to getMinimumSize(),
        (getMinimumSize): now uses code that was in getPreferredSize(),
        (getDefaultSize): reduce default height,
        (ComboBoxLayoutManager.layoutComponent): use comboBox height as button
        width,
        (PropertyChangeHandler.propertyChange): set font on arrow button,
        * javax/swing/plaf/metal/MetalComboBoxUI.java
        (instances): deleted field,
        (MetalComboBoxLayoutManager): new class,
        (MetalPropertyChangeListener): new class,
        (MetalComboPopup): new class,
        (createUI): just return new instance,
        (createEditor): implemented,
        (createPopup): implemented,
        (createArrowButton): implemented,
        (createPropertyChangeListener): implemented,
        (paint): implemented,
        (editablePropertyChanged): implemented,
        (createLayoutManager): implemented,
        (removeListeners): implemented,
        (getMinimumSize): implemented.

	2005-09-19  Andreas Tobler  <a.tobler@schweiz.ch>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c
        (Java_gnu_java_awt_peer_gtk_GdkFontPeer_dispose): Fix double
        unreferencing pfont->font. Unref pfont->layout instead.

2005-09-20  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-09-18  Tom Tromey  <tromey@redhat.com>

        * java/util/Timer.java (TaskQueue.purge): New method.
        (Timer(String)): New constructor.
        (Timer(String,boolean)): Likewise.
        (purge): New method.

	2005-09-18  Tom Tromey  <tromey@redhat.com>

        * java/lang/Short.java (valueOf): New method.
        * java/lang/Double.java (valueOf): New method.
        * java/lang/Float.java (valueOf): New method.

	2005-09-18  Tom Tromey  <tromey@redhat.com>

        * java/lang/Long.java (reverse): Correctly handle sign extension.

	2005-09-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicComboBoxUI.java
        (installComponents): remove listBox color settings,
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): corrected ComboBox and ListBox defaults.

	2005-09-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicComboBoxRenderer.java
        (BasicComboBoxRenderer): set no focus border,
        (getListCellRendererComponent): set background color if cell has focus,
        removed border switching code.

	2005-09-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicComboBoxUI.java
        (borderInsets): deleted,
        (arrowButtonWidth): deleted,
        (configureEditor): set font,
        (isFocusTraversable): set to true for non-editable combobox,
        (paint): deleted border painting code,
        (paintBorder): deleted,
        (getPreferredSize): returns a value, not null,
        (getMinimumSize): likewise,
        (getMaximumSize): likewise,
        (rectangleForCurrentValue): reimplemented,
        (paintCurrentValue): no longer adjusts for border insets,
        (getDisplaySize): update maximum width and height independently,
        (ComboBoxLayoutManager): removed redundant 'extends Object',
        (ComboBoxLayoutManager.preferredLayoutSize): call getPreferredSize(),
        (ComboBoxLayoutManager.minimumLayoutSize): delegate to
        preferredLayoutSize(),
        (ComboBoxLayoutManager.layoutContainer): use arrow button preferred
        size in layout,
        (PropertyChangeHandler.propertyChange): added 'font' handling.

	2005-09-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicComboBoxUI.java
        (installListeners): add listener to arrowButton instead of comboBox,
        deleted call to configureArrowButton(),
        (uninstallListeners): remove listener from arrowButton instead of
        comboBox, and deleted call to unconfigureArrowButton(),
        (configureArrowButton): set font and enabled state, deleted
        addMouseListener() call,
        (unconfigureArrowButton): deleted removeMouseListener() call,
        (MouseHandler.mousePressed): just toggle display status of popup,
        (MouseHandler.mouseReleased): deleted.

	2005-09-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicComboBoxUI.java
        (largestItemSize): renamed displaySize,
        (getLargestItemSize): renamed getDisplaySize and changed to protected,
        (ComboBoxLayoutManager.preferredLayoutSize): updated for renamed field
        and method,
        (ListDataHandler.intervalAdded): likewise,
        (ListDataHandler.intervalRemoved): likewise.

	2005-09-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicComboBoxUI.java:
        Updated API docs all over.

	2005-09-18  David Gilbert  <david.gilbert@object-refinery.com>

        * java/text/RuleBasedCollator.java:
        Fixed spelling error in comment.

	2005-09-17  Anthony Green  <green@redhat.com>

        * java/security/Security.java (getProviders): Pre-allocate the
        target array for Collection.toArray call.
        * gnu/java/security/PolicyFile.java (parse): Ditto.
        * javax/swing/filechooser/FileSystemView.java: Ditto.
        * javax/swing/JFileChooser.java (getChoosableFileFilters): Ditto.

	2005-09-17  Tom Tromey  <tromey@redhat.com>

        PR classpath/22963:
        * java/nio/charset/Charset.java (forName): Javadoc fix.
        (providers2): Use ServiceFactory.

	2005-09-17  Mark Wielaard  <mark@klomp.org>

        * org/ietf/jgss/GSSException.java (BAD_BINDINGS, BAD_MECH,
        BAD_NAME, BAD_NAMETYPE, CONTEXT_EXPIRED, CREDENTIALS_EXPIRED,
        DEFECTIVE_CREDENTIAL, DEFECTIVE_TOKEN, DUPLICATE_TOKEN, FAILURE,
        NO_CONTEXT, NO_CRED, OLD_TOKEN): Document official RFC values.

	2005-09-17  Tom Tromey  <tromey@redhat.com>

        * java/lang/Short.java (SIZE): New constant.
        (MIN_CACHE, MAX_CACHE): Likewise.
        (shortCache): New field.
        (reverseBytes): New method.
        * java/lang/Long.java (SIZE): New constant.
        (valueOf): New method.
        (bitCount): New method.
        (rotateLeft): New method.
        (rotateRight): New method.
        (highestOneBit): New method.
        (numberOfLeadingZeros): New method.
        (lowestOneBit): New method.
        (numberOfTrailingZeros): New method.
        (signum): New method.
        (reverseBytes): New method.
        (reverse): New method.
        * java/lang/Float.java (SIZE): New constant.
        * java/lang/Double.java (SIZE): New constant.
        * java/lang/Character.java (SIZE): New constant.
        (MAX_CACHE): Likewise.
        (charCache): New field.
        (valueOf): New method.
        (reverseBytes): Likewise.
        * java/lang/Byte.java (SIZE): New constant.
        (byteCache): New field.
        (valueOf): New method.
        * java/lang/Boolean.java (parseBoolean): New method.

	2005-09-17  Mark Wielaard  <mark@klomp.org>

        Reported by David Lichteblau <david@lichteblau.com>
        * native/jni/classpath/jcl.c (JCL_NewRawDataObject): Create
        NewGlobalRef before calling DeleteLocalRef.

	2005-09-17  Mark Wielaard  <mark@klomp.org>

        * javax/swing/plaf/basic/BasicMenuItemUI.java: Reindent boilerplate.

	2005-09-17  Tom Tromey  <tromey@redhat.com>

        * java/util/prefs/Preferences.java (systemNodeForPackage):
        Javadoc fix.
        (userNodeForPackage): Likewise.
        * java/util/logging/LoggingPermission.java (serialVersionUID):
        New field.
        * java/io/ObjectInputStream.java (parseContent): Javadoc fix.

	2005-09-16  Anthony Green  <green@redhat.com>

        PR libgcj/20198
        * java/net/URLClassLoader.java (FileURLLoader.getResource): File
        resources should all have canonicalized names.

	2005-09-16  Lillian Angel  <langel@redhat.com>

        * javax/swing/JTree.java
        (AccessibleJTreeNode): Fixed documentation.
        (addAccessibleSelection): Likewise, still needs to
        be implemented.
        (addFocusListener): Implemented.
        (addPropertyChangeListener): Implemented.
        (clearAccessibleSelection): Implemented.
        (contains): Implemented.
        (doAccessibleAction): Fixed documentation, still
        needs to be implemented.
        (getAccessibleAction): Likewise.
        (getAccessibleActionCount): Likewise.
        (getAccessibleActionDescription): Implemented.
        (getAccessibleAt): Implemented.
        (getAccessibleChild): Implemented.
        (getAccessibleChildrenCount): Implemented.
        (getAccessibleComponent): Fixed documentation.
        (getAccessibleContext): Implemented.
        (getAccessibleDescription): Implemented.
        (getAccessibleIndexInParent): Implemented.
        (getAccessibleName): Implemented.
        (getAccessibleParent): Fixed documentation.
        (getAccessibleRole): Likewise.
        (getAccessibleSelection): Likewise, still needs to
        be implemented.
        (getAccessibleSelection): Likewise.
        (getAccessibleSelectionCount): Implemented.
        (getAccessibleStateSet): Implemented.
        (getAccessibleText): Fixed documentation.
        (getAccessibleValue): Likewise.
        (getBackground): Implemented.
        (getBounds): Implemented.
        (getCursor): Fixed documentation, still needs to be
        implemented.
        (getFont): Implemented.
        (getFontMetrics): Implemented.
        (getForeground): Implemented.
        (getLocale): Implemented.
        (getLocation): Implemented.
        (getLocationInJTree): Implemented.
        (getLocationOnScreen): Implemented.
        (getSize): Implemented.
        (isAccessibleChildSelected): Implemented.
        (isEnabled): Implemented.
        (isFocusTraversable): Implemented.
        (isShowing): Implemented.
        (isVisible): Implemented.
        (removeAccessibleSelection): Fixed documentation, need to
        fix current implementation.
        (removeFocusListener): Implemented.
        (removePropertyChangeListener): Implemented.
        (requestFocus): Implemented.
        (selectAllAccessibleSelection): Need to implement. Added FIXME.
        (setAccessibleDescription): Implemented.
        (setAccessibleName): Implemented.
        (setBackground): Implemented.
        (setBounds): Implemented.
        (setCursor): Fixed documentation, still need to implement.
        (setEnabled): Implemented.
        (setFont): Implemented.
        (setForeground): Implemented.
        (setLocation): Implemented.
        (setSize): Implemented.
        (setVisible): Implemented.
        (AccessibleJTree): Fixed documentation, still need
        to implement.
        (addAccessibleSelection): Implemented.
        (clearAccessibleSelection): Implemented.
        (fireVisibleDataPropertyChange): Implemented.
        (getAccessibleAt): Fixed documentation, need to implement.
        (getAccessibleChild): Implemented.
        (getAccessibleChildrenCount): Implemented.
        (getAccessibleIndexInParent): Fixed documentation.
        (getAccessibleRole): Likewise.
        (getAccessibleSelection): Likewise, still need to implement.
        (getAccessibleSelection): Likewise.
        (getAccessibleSelectionCount): Implemented.
        (isAccessibleChildSelected): Implemented.
        (removeAccessibleSelection): Implemented.
        (selectAllAccessibleSelection): Implemented.
        (treeCollapsed): Implemented.
        (treeExpanded): Implemented.
        (treeNodesChanged): Implemented.
        (treeNodesInserted): Implemented.
        (treeNodesRemoved): Implemented.
        (treeStructureChanged): Implemented.
        (valueChanged): Implemented.
        (TreeModelListener): Fixed documentation.

	2005-09-16  Tom Tromey  <tromey@redhat.com>

        * java/io/PrintWriter.java (PrintWriter): New constructors.

	2005-09-16  Tom Tromey  <tromey@redhat.com>

        PR classpath/22689:
        * java/io/PrintWriter.java (closed): New field.
        (checkError): Only flush if stream not closed.
        (close): Set 'closed'.

	2005-09-16  Tom Tromey  <tromey@redhat.com>

        * java/lang/Character.java (MIN_SURROGATE, MAX_SURROGATE): New
        constants.
        (isHighSurrogate): New method.
        (isLowSurrogate): Likewise.
        (isSurrogatePair): Likewise.
        (toCodePoint): Likewise.
        (codePointAt): Likewise.
        (codePointBefore): Likewise.
        * java/lang/StringBuffer.java (codePointCount): Check bounds.
        (codePointAt): Rewrote.
        (codePointBefore): Likewise.
        * java/lang/String.java (codePointAt): New method.
        (codePointBefore): Likewise.
        (codePointCount): Likewise.
        (contentEquals): New overload.

	2005-09-16  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/ProgressMonitor: Implemented the former stubbed
        class and added documentation.
        (close): Implemented and added documentation.
        (setProgress): Dito.
        (isCanceled): Dito.
        (setMinimum): Added documentation.
        (getMinimum): Dito.
        (setMaximum): Dito.
        (getMaximum): Dito.
        (setNote): Dito.
        (getMillisToDecideToPopup): Dito.
        (setMillisToDecideToPopup): Dito.
        (getMillisToPopup): Dito.
        (setMillisToPopup): Dito.
        (getNote): Dito.
        * javax/swing/ProgressMonitorInputStream: Implemented stub
        methods.
        (close): Implemented.
        (read): Dito.
        (reset): Dito.
        (skip): Dito.
        (getProgressMonitor): Dito.

	2005-09-16  Tom Tromey  <tromey@redhat.com>

        PR classpath/23882:
        * java/text/StringCharacterIterator.java (StringCharacterIterator):
        Javadoc fix.
        (hashCode): New method.
        * java/text/ParsePosition.java (hashCode): New method

	2005-09-16    Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * javax/swing/Timer.java (Waker.run): Do not enter loop on
        repeats = false (fixes #23918).

	2005-09-16  Andrew Haley  <aph@redhat.com>

        * java/io/ObjectStreamClass.java (findAccessibleMethod): Allow
        protected readResolve().  Rewrite accessibility check.

	2005-09-16  Anthony Green  <green@redhat.com>

        * java/lang/String.java (getBytes): Throw an InternalError instead
        of silently returning null.

	2005-09-16  Lillian Angel  <langel@redhat.com>

        Fixes Bug #22610
        * java/awt/Container.java
        (remove): Removed component listeners from the component
        being removed. This was a problem if that same component
        that was removed was added to a new component.

2005-09-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am.in: Replaced gnu/bytecode usage
	by gnu/bytecodecvssnap.

	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/bytecode/Access.java,
	libraries/javalib/gnu/bytecode/ArrayClassLoader.java,
	libraries/javalib/gnu/bytecode/ArrayType.java,
	libraries/javalib/gnu/bytecode/AttrContainer.java,
	libraries/javalib/gnu/bytecode/Attribute.java,
	libraries/javalib/gnu/bytecode/ClassFileInput.java,
	libraries/javalib/gnu/bytecode/ClassType.java,
	libraries/javalib/gnu/bytecode/ClassTypeWriter.java,
	libraries/javalib/gnu/bytecode/CodeAttr.java,
	libraries/javalib/gnu/bytecode/ConstantPool.java,
	libraries/javalib/gnu/bytecode/ConstantValueAttr.java,
	libraries/javalib/gnu/bytecode/CpoolClass.java,
	libraries/javalib/gnu/bytecode/CpoolEntry.java,
	libraries/javalib/gnu/bytecode/CpoolFloat.java,
	libraries/javalib/gnu/bytecode/CpoolNameAndType.java,
	libraries/javalib/gnu/bytecode/CpoolRef.java,
	libraries/javalib/gnu/bytecode/CpoolString.java,
	libraries/javalib/gnu/bytecode/CpoolUtf8.java,
	libraries/javalib/gnu/bytecode/CpoolValue1.java,
	libraries/javalib/gnu/bytecode/CpoolValue2.java,
	libraries/javalib/gnu/bytecode/ExceptionsAttr.java,
	libraries/javalib/gnu/bytecode/Field.java,
	libraries/javalib/gnu/bytecode/Filter.java,
	libraries/javalib/gnu/bytecode/IfState.java,
	libraries/javalib/gnu/bytecode/InnerClassesAttr.java,
	libraries/javalib/gnu/bytecode/Label.java,
	libraries/javalib/gnu/bytecode/LineNumbersAttr.java,
	libraries/javalib/gnu/bytecode/LocalVarsAttr.java,
	libraries/javalib/gnu/bytecode/Location.java,
	libraries/javalib/gnu/bytecode/Method.java,
	libraries/javalib/gnu/bytecode/MiscAttr.java,
	libraries/javalib/gnu/bytecode/ObjectType.java,
	libraries/javalib/gnu/bytecode/PrimType.java,
	libraries/javalib/gnu/bytecode/Scope.java,
	libraries/javalib/gnu/bytecode/SourceDebugExtAttr.java,
	libraries/javalib/gnu/bytecode/SourceFileAttr.java,
	libraries/javalib/gnu/bytecode/SwitchState.java,
	libraries/javalib/gnu/bytecode/TryState.java,
	libraries/javalib/gnu/bytecode/Type.java,
	libraries/javalib/gnu/bytecode/VarEnumerator.java,
	libraries/javalib/gnu/bytecode/Variable.java,
	libraries/javalib/gnu/bytecode/ZipArchive.java,
	libraries/javalib/gnu/bytecode/ZipLoader.java,
	libraries/javalib/gnu/bytecode/dump.java,
	libraries/javalib/gnu/bytecode/package.html:
	Moved over to libraries/javalib/gnu/bytecodecvs.

	* libraries/javalib/gnu/bytecodecvssnap/Access.java,
	libraries/javalib/gnu/bytecodecvssnap/ArrayClassLoader.java,
	libraries/javalib/gnu/bytecodecvssnap/ArrayType.java,
	libraries/javalib/gnu/bytecodecvssnap/AttrContainer.java,
	libraries/javalib/gnu/bytecodecvssnap/Attribute.java,
	libraries/javalib/gnu/bytecodecvssnap/ClassFileInput.java,
	libraries/javalib/gnu/bytecodecvssnap/ClassType.java,
	libraries/javalib/gnu/bytecodecvssnap/ClassTypeWriter.java,
	libraries/javalib/gnu/bytecodecvssnap/CodeAttr.java,
	libraries/javalib/gnu/bytecodecvssnap/ConstantPool.java,
	libraries/javalib/gnu/bytecodecvssnap/ConstantValueAttr.java,
	libraries/javalib/gnu/bytecodecvssnap/CpoolClass.java,
	libraries/javalib/gnu/bytecodecvssnap/CpoolEntry.java,
	libraries/javalib/gnu/bytecodecvssnap/CpoolFloat.java,
	libraries/javalib/gnu/bytecodecvssnap/CpoolNameAndType.java,
	libraries/javalib/gnu/bytecodecvssnap/CpoolRef.java,
	libraries/javalib/gnu/bytecodecvssnap/CpoolString.java,
	libraries/javalib/gnu/bytecodecvssnap/CpoolUtf8.java,
	libraries/javalib/gnu/bytecodecvssnap/CpoolValue1.java,
	libraries/javalib/gnu/bytecodecvssnap/CpoolValue2.java,
	libraries/javalib/gnu/bytecodecvssnap/ExceptionsAttr.java,
	libraries/javalib/gnu/bytecodecvssnap/Field.java,
	libraries/javalib/gnu/bytecodecvssnap/Filter.java,
	libraries/javalib/gnu/bytecodecvssnap/IfState.java,
	libraries/javalib/gnu/bytecodecvssnap/InnerClassesAttr.java,
	libraries/javalib/gnu/bytecodecvssnap/Label.java,
	libraries/javalib/gnu/bytecodecvssnap/LineNumbersAttr.java,
	libraries/javalib/gnu/bytecodecvssnap/LocalVarsAttr.java,
	libraries/javalib/gnu/bytecodecvssnap/Location.java,
	libraries/javalib/gnu/bytecodecvssnap/Method.java,
	libraries/javalib/gnu/bytecodecvssnap/MiscAttr.java,
	libraries/javalib/gnu/bytecodecvssnap/ObjectType.java,
	libraries/javalib/gnu/bytecodecvssnap/PrimType.java,
	libraries/javalib/gnu/bytecodecvssnap/Scope.java,
	libraries/javalib/gnu/bytecodecvssnap/SourceDebugExtAttr.java,
	libraries/javalib/gnu/bytecodecvssnap/SourceFileAttr.java,
	libraries/javalib/gnu/bytecodecvssnap/SwitchState.java,
	libraries/javalib/gnu/bytecodecvssnap/TryState.java,
	libraries/javalib/gnu/bytecodecvssnap/Type.java,
	libraries/javalib/gnu/bytecodecvssnap/VarEnumerator.java,
	libraries/javalib/gnu/bytecodecvssnap/Variable.java,
	libraries/javalib/gnu/bytecodecvssnap/ZipArchive.java,
	libraries/javalib/gnu/bytecodecvssnap/ZipLoader.java,
	libraries/javalib/gnu/bytecodecvssnap/dump.java,
	libraries/javalib/gnu/bytecodecvssnap/package.html:
	Moved over here from gnu.bytecode to avoid conflicts with code
	using gnu.bytecode, like Nice. 

	Reported by:  Daniel Bonniot  <Daniel.Bonniot@inria.fr>

	* libraries/javalib/gnu/classpath/tools/javap/GnuByteCodeJavap.java:
	Import classes from gnu.bytecodecvssnap rather than from gnu.bytecode.

2005-09-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/bytecode/ClassFileInput.java,
	libraries/javalib/gnu/bytecode/ClassType.java,
	libraries/javalib/gnu/bytecode/CodeAttr.java,
	libraries/javalib/gnu/bytecode/Method.java,
	libraries/javalib/gnu/bytecode/ObjectType.java,
	libraries/javalib/gnu/bytecode/Type.java,
	libraries/javalib/gnu/bytecode/Variable.java:
	Updated to latest version from Kawa.

2005-09-20  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Check for libgif if libungif is not found.
	It's a different name for the library, apparently.

	Reported by:  Riccardo Mottola  <riccardo@kaffe.org>

2005-09-20  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.classlibrary-compile:
	Added information on how to obtain Kaffe's patched kjc's
	source code.

	Reported by:  Kiyo Inaba <inaba@src.ricoh.co.jp>

2005-09-20  Dalibor Topic  <robilad@kaffe.org>

	* README, 
	RELEASE-NOTES, 
	WHATSNEW,
	configure.ac,
	libraries/javalib/gnu/classpath/VMSystemProperties.java:
	Updated for 1.1.6.

	* libraries/clib/awt/classpath-qt/Makefile.am:
	Removed qtembeddedwindowpeer.cpp since QtX11Embed widgets 
	dont exist on OS X.

2005-09-19  Wolfgang Baer <WBaer@gmx.de>

	* kaffe/scripts/jdb.in, 
	THIRDPARTY: Fixed typos.

2005-09-19  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am: (EXTRA_DIST) Removed the docs files again
	to avoid pushing GNU FDL licensed documentation into Debian.

2005-09-18  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am,
	config/Makefile.am,
	kaffe/kaffevm/boehm-gc/Makefile.am,
	kaffe/kaffevm/kaffe-gc/Makefile.am,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am,
	libraries/clib/awt/nano-X/Makefile.am,
	replace/Makefile.am,
	test/regression/Makefile.am,
	tools/gjdoc/javalib/Makefile.am:
	Added missing files from pre1 tarball to makefiles.

2005-09-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/io/AudioPlayer.c:
	Removed.

2005-09-18  Andreas Tobler  <a.tobler@schweiz.ch>

	* libraries/clib/native/VMRuntime.c
	(Java_java_lang_VMRuntime_availableProcessors):
	Mark unused parameters as unused to fix compiler warnings.

2005-09-18  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: (--disable-boehm-gc-configuration)
	New option to disable configure for boehm.gc, which leads to
	problems on platforms on which boehm-gc was not ported to.

2005-09-18  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* kaffe/scripts/native2ascii.in: Removed -cp option because environment
	variable CLASSPATH is preferred when used with iconv.

2005-09-17  Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW: Added information about antlr.

2005-09-17  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: (--with-gjdoc) Don't check for antlr any more.
	* m4/ac_prog_antlr.m4: Removed.
	* tools/gjdoc/javalib/antlr/ANTLRException.java
	tools/gjdoc/javalib/antlr/ANTLRHashString.java
	tools/gjdoc/javalib/antlr/ANTLRStringBuffer.java
	tools/gjdoc/javalib/antlr/ASTFactory.java
	tools/gjdoc/javalib/antlr/ASTNULLType.java
	tools/gjdoc/javalib/antlr/ASTPair.java
	tools/gjdoc/javalib/antlr/BaseAST.java
	tools/gjdoc/javalib/antlr/ByteBuffer.java
	tools/gjdoc/javalib/antlr/CharBuffer.java
	tools/gjdoc/javalib/antlr/CharFormatter.java
	tools/gjdoc/javalib/antlr/CharQueue.java
	tools/gjdoc/javalib/antlr/CharScanner.java
	tools/gjdoc/javalib/antlr/CharStreamException.java
	tools/gjdoc/javalib/antlr/CharStreamIOException.java
	tools/gjdoc/javalib/antlr/CommonAST.java
	tools/gjdoc/javalib/antlr/CommonToken.java
	tools/gjdoc/javalib/antlr/DefaultFileLineFormatter.java
	tools/gjdoc/javalib/antlr/FileLineFormatter.java
	tools/gjdoc/javalib/antlr/InputBuffer.java
	tools/gjdoc/javalib/antlr/LLkParser.java
	tools/gjdoc/javalib/antlr/LexerSharedInputState.java
	tools/gjdoc/javalib/antlr/MismatchedCharException.java
	tools/gjdoc/javalib/antlr/MismatchedTokenException.java
	tools/gjdoc/javalib/antlr/NoViableAltException.java
	tools/gjdoc/javalib/antlr/NoViableAltForCharException.java
	tools/gjdoc/javalib/antlr/Parser.java
	tools/gjdoc/javalib/antlr/ParserSharedInputState.java
	tools/gjdoc/javalib/antlr/RecognitionException.java
	tools/gjdoc/javalib/antlr/SemanticException.java:
	New files. Taken from antlr 2.7.5. Public domain.

	* tools/gjdoc/javalib/Makefile.am: Added antlr_SRCS.

	* THIRDPARTY: Added notice for antlr files. Removed notice
	for m4/ac_prog_antlr.m4 since it has been removed.

2005-09-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/qt/fnt.cc: 
	(Java_java_awt_Toolkit_fntBytesWidth) 
	Cast jb to uintptr_t for portable pointer arithmetic.

	Suggested by:  Gwenole Beauchesne <gbeauchesne@mandriva.com>

2005-09-16  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-09-16  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalIconFactory.java
        (RadioButtonIcon.paintIcon): change color of selection indicator
        according to component state.

	2005-09-16  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalCheckBoxIcon.java
        (drawCheck): change color according to component state.

	2005-09-16  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalBorders.java
        (ButtonBorder.paintBorder): draw a different border for a disabled
        button.

	2005-09-15  Anthony Green  <green@redhat.com>

        * java/awt/Color.java (RGBtoHSB): Don't use integer division when
        calculating saturation.
        * java/awt/Rectangle.java (equals): Explain why hashCode() isn't
        required.
        * java/awt/Point.java (equals): Ditto.

	2005-09-15  Tom Tromey  <tromey@redhat.com>

        * javax/swing/text/html/parser/DTD.java (FILE_VERSION): Now
        final.

	2005-09-15  Tom Tromey  <tromey@redhat.com>

        * javax/naming/Name.java: Extends Comparable.

	2005-09-15  Anthony Balkissoon  <abalkiss@redhat.com>

        * java/awt/Component.java:
        (isDisplayable): Don't check the parent's displayability, only return
        true if peer is non-null and false if peer is null.

	2005-09-15  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/SwingUtilities.java
        (layoutCompoundLabel): check for empty text string,
        * javax/swing/plaf/basic/BasicButtonUI.java
        (paint): check isBorderPainted() when calculating view rect,
        * javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
        (CloseAction): new constructor,
        (IconifyAction): new constructor,
        (MaximizeAction): new constructor,
        (MoveAction): new constructor,
        (RestoreAction): new constructor,
        (SizeAction): new constructor,
        (TitlePaneLayout.layoutContainer): calculate button widths from icon
        widths,
        (installDefaults): initialise icon fields,
        (uninstallDefaults): clear icon fields,
        (createButtons): set button text to null,
        (setButtonIcons): use icon fields.

	2005-09-15  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicComboBoxRenderer.java
        (getListCellRendererComponent): Added code in to check if string
        is larger than comboBox. If it is, the string is truncated and
        '...' is drawn at the end of it.
        * javax/swing/plaf/basic/BasicComboBoxUI.java
        (getDefaultSize): Initially too small, still not fully implemented.
        (getLargestItemSize): Made private, not in API.
        (minimumLayoutSize): Implemented properly.
        (intervalAdded): ComboBox should not be resized with every new
        component. This is fixed.

	2005-09-15  Tom Tromey  <tromey@redhat.com>

        * java/lang/EnumConstantNotPresentException.java: New file.

	2005-09-15  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicInternalFrameUI.java:
        Reformatted file.

	2005-09-15  Lillian Angel  <langel@redhat.com>

        Fixes Bug #23678
        * javax/swing/plaf/basic/BasicFileChooserUI.java
        (CBLabelRenderer): Removed. Not in API, and it is really
        redundant to have.
        (installComponents): Changed the renderer set for the combo box.
        Also, added the buttonPanel to the parentsPanel, so they are
        always painted correctly. Set the FlowLayout to LEFT
        instead of default being CENTER.

	2005-09-15  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JRootPane.java:
        (setContentPane): Remove the old content pane first.  Throw
        IllegalComponentStateException if the parameter is null.  Added docs.

	2005-09-15  Tom Tromey  <tromey@redhat.com>

        Workaround for PR classpath/23863:
        * native/fdlibm/mprec.h (MAX_BIGNUM_WDS): Define as 128 on
        non-Pack_32 platforms.

	2005-09-15  Anthony Balkissoon  <abalkiss@redhat.com>

        * java/awt/Component.java:
        (isDisplayable): Return true if peer != null.
        * java/awt/Window.java:
        (isDisplayable): Removed this method. Now inherits from Component.

	2005-09-15  Anthony Green  <green@redhat.com>

        * java/io/PushbackInputStream.java (available, read, skip): Handle
        closed stream operations gracefully.

	2005-09-15  Anthony Green  <green@redhat.com>

        * java/nio/charset/Charset.java: close() each stream we open.
        * java/net/URLStreamHandler.java: Remove redundant null pointer
        check.
        * java/security/Identity.java (equals, identityEquals): Don't use
        `==' to compare uninterned Strings.  Use String.equals().
        * java/lang/Class.java (pd): Mark this field as transient for
       FindBugs won't complain (although not strictly necessary).

	2005-09-15  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTextArea.java:
        (append): Changed invalidate call to revalidate call.
        (setRows): Likewise.
        (setColumns): Likewise.

	2005-09-15  Lillian Angel  <langel@redhat.com>

        Fixes #23873
        * javax/swing/plaf/basic/BasicOptionPaneUI.java
        (createMessageArea): Changed orientation of message from EAST to
        CENTER. Also, fixed empty border values to make message more centered.
        * javax/swing/JOptionPane.java
        (showConfirmDialog): Added check for pane.getValue, since clicking on
        'x' of window does not have an initialized value. Was causing a
        ClassCastException.
        (showConfirmDialog): Likewise.
        (showConfirmDialog): Likewise.
        (showConfirmDialog): Likewise.

	2005-09-15  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicButtonUI.java
        (installDefaults): set font,
        (uninstallDefaults): clear font,
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): update ToggleButton defaults,
        * javax/swing/plaf/metal/MetalToggleButtonUI.java
        (instance): removed field,
        (createUI): just return new instance every time,
        (MetalToggleButtonUI): look up defaults directly,
        (getFocusColor): return value from field initialised in constructor,
        (getSelectColor): likewise,
        (getDisabledTextColor): likewise,
        (installDefaults): override to make public,
        (paintButtonPressed): implemented,
        (paintText): implemented,
        (paintFocus): implemented.

	2005-09-15  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalBorders.java
        (toggleButtonBorder): new private field,
        (ToggleButtonBorder): new class,
        (getToggleButtonBorder): new method.

2005-09-16  Dalibor Topic  <robilad@kaffe.org>

	FAQ/FAQ.classlibrary-compile: Added information on using
	for ecj to compile the class library.

2005-09-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/ClassLoader.c 
	(java_lang_VMClassLoader_loadClass): Allow classes from
	gnu.classpath.tools to be loaded.

	* libraries/javalib/Makefile.am.in:
	(JAR_CMD2) Put rmic classes into rt.jar for ant.
	(JAR_CMD_TOOLS) Add asm classes to tools.jar as well.

	* libraries/javalib/all.files: Regenerated.

	* libraries/javalib/gnu/classpath/VMSystemProperties.java:
	Preset build.rmic propert to kaffe.

	* libraries/javalib/org/objectweb/asm153/Attribute.java,
	libraries/javalib/org/objectweb/asm153/ByteVector.java,
	libraries/javalib/org/objectweb/asm153/ClassReader.java,
	libraries/javalib/org/objectweb/asm153/ClassVisitor.java,
	libraries/javalib/org/objectweb/asm153/ClassWriter.java,
	libraries/javalib/org/objectweb/asm153/CodeVisitor.java,
	libraries/javalib/org/objectweb/asm153/CodeWriter.java,
	libraries/javalib/org/objectweb/asm153/Constants.java,
	libraries/javalib/org/objectweb/asm153/Edge.java,
	libraries/javalib/org/objectweb/asm153/Item.java,
	libraries/javalib/org/objectweb/asm153/Label.java,
	libraries/javalib/org/objectweb/asm153/Type.java:
	New files. Taken from BSD-without-advertising-clause
	licensed ASM project from ObjectWeb. Renamed package asm to
	asm153 to make sure that the package name won't conflict with
	normal programs using their own copies of asm.

	* THIRDPARTY: Added information about the ASM project.
 
	Resynced with GNU classpath tools.

	2005-08-02  Archit Shah  <archit.shah@alum.mit.edu>

        * src/gnu/classpath/tools/rmi/rmic/RMIC.java: Centralize calls to
        System.exit and make handling of error conditions more uniform.

	2005-07-05  Archit Shah  <archit.shah@alum.mit.edu>

        Rewrite rmic to use ASM library:
        * src/gnu/classpath/tools/rmi/rmic/Compile_gcj.java,
        src/gnu/classpath/tools/rmi/rmic/Compile_jikes.java,
        src/gnu/classpath/tools/rmi/rmic/Compile_kjc.java,
        src/gnu/classpath/tools/rmi/rmic/Compiler.java,
        src/gnu/classpath/tools/rmi/rmic/CompilerProcess.java,
        src/gnu/classpath/tools/rmi/rmic/TabbedWriter.java: Removed.
        * src/gnu/classpath/tools/rmi/rmic/RMIC.java: Rewrote.
        * src/gnu/classpath/tools/rmi/rmic/Variables.java: New file.

	2005-06-27  Guilhem Lavaux  <guilhem@kaffe.org>

        * src/gnu/classpath/tools/Util.java
        (Util): Really search in the default classpath if searching in the
        current directory fails.	

2005-09-16  David Walluck <walluck@mandrake.org>

	* libraries/clib/awt/qt/toolkit.h,
	libraries/clib/awt/qt/fnt.cc:
	Fixed loss of precision warnings on x86_64-linux.

2005-09-16  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: (--with-classpath-gtk-awt): Check for pango
	even without cairo.

	Reported by:  David Walluck <walluck@mandrake.org>

2005-09-16  Dalibor Topic  <robilad@kaffe.org>

	* m4/gwqt.m4: (--with-qt-libraries, --with-qt-binaries)
	Added new options. Check for qt binaries like moc in 
	$QTBINDIR first, before checking in $PATH.

	Reported by:  David Walluck <walluck@mandrake.org>

2005-09-15  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: (--with-kaffe-qt-awt) Invoke AC_PATH_X
	before invoking the Qt checks to make sure $x_libraries is
	not set to NONE. Fixes -LNONE linking problems.

2005-09-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/VMRuntime.c:
	New file. Taken from CACAO, and improved the
	availableProcessors implementation. 
	Licensed under the GPL.

	* THIRDPARTY: Updated to reflect CACAO code.

2005-09-15  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/DefaultStyledDocument.java
        (insertUpdate): Tweaked attribute comparison to avoid NPE.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/DefaultStyledDocument.java
        (insertUpdate): Tweaked attribute comparison to avoid NPE.
        * javax/swing/text/GlyphView.java
        (DefaultGlyphPainter.getBoundedPosition): Implemented.
        (DefaultGlyphPainter.viewToModel): Implemented.
        (getTabExpander): Don't be specific to ParagraphView here. All
        parents that implement TabExpander can be accepted.
        (getBeginIndex): Removed. This method is not documented in the
        specs.
        (getBreakWeight): Implemented.
        (changedUpdate): Implemented.
        (insertUpdate): Implemented.
        (removeUpdate): Implemented.
        (createFragment): Implemented.
        (breakView): Use createFragment.
        * javax/swing/text/Utilities.java
        (getTabbedTextOffset): Implemented both variants of this method.

	2005-09-14    Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * gnu/CORBA/Connected_objects.java (equals),
        * gnu/CORBA/Poa/activeObjectMap.java (equals): Removed.
        * gnu/CORBA/Version.java (hashCode),
        * gnu/CORBA/gnuAny.java (hashCode): New method.

	2005-09-14  Lillian Angel  <langel@redhat.com>

        * javax/swing/JProgressBar.java
        (JProgressBar): Fixed to use setOrientation function.
        * javax/swing/plaf/metal/MetalProgressBarUI.java
        (createUI): Was using the same instance of the UI for
        each new JProgressBar. Fixed this.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (installUI): Added call to prepareForUIInstall.
        (uninstallUI): Added call to prepareForUIUninstall.

	2005-09-14  Anthony Balkisoon  <abalkiss@redhat.com>

        * javax/swing/text/ComponentView.java:
        (createComponent): Implemented.

	2005-09-14    Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/CosNaming/NameComponent (hashCode): New method.

	2005-09-14  Lillian Angel  <langel@redhat.com>

        Fixes Bug #23795
        * javax/swing/plaf/basic/BasicTreeUI.java:
        Made private fields package private.
        (setCellRenderer): Took out code that updateRenderer takes
        care of.
        (getPathBounds): Fixed to use treeModel field.
        (getPathForRow): Likewise.
        (getRowCount): Likewise.
        (installComponents): Implemented.
        (createNodeDimensions): Implemented.
        (uninstallComponents): Implemented.
        (getVerticalLegBuffer): Implemented.
        (getHorizontalLegBuffer): Implemented.
        (updateLayoutCacheExpandedNodes): Implemented.
        (updateExpandedDescendants): Implemented.
        (updateDepthOffset): Implemented.
        (updateRenderer): Implemented.
        (updateSize): Implemented.
        (installDefaults): Added some more defaults.
        (installUI): Moved code to installComponents.
        (paint): Fixed to use treeModel field.
        (ensureRowsAreVisible): Implemented.
        (getMinimumSize): Implemented.
        (getMaximumSize): Implemented.
        (checkForClickInExpandControl): Implemented.
        (isLocationInExpandControl): Implemented.
        (handleExpandControlClick): Implemented.
        (toggleExpandState): Implemented.
        (isToggleSelectionEvent): Implemented.
        (isMultiSelectEvent): Implemented.
        (isToggleEvent): Implemented.
        (selectPathForEvent): Implemented.
        (actionPerformed): Changed to use toggleExpandState.
        (mousePressed): Fixed code to use helper methods. Made
        more efficent.
        (TreeCancelEditingAction): Fixed Constructor signature.
        (actionPerformed): Fixed to use treeModel field.
        (paintRecursive): Fixed to use line drawing helper methods.
        (paintControlIcons): Fixed to use control icons helper methods.
        (getCurrentControlIcon): New method.
        (findNode): Changed to use treeModel field.
        (getNextNode): Likewise.
        (getPreviousNode): Likewise.
        (getNextSibling): Likewise.
        (getPreviousSibling): Likewise.
        (getPathToRoot): Likewise.
        (drawDashedHorizontalLine): Implemented.
        (drawDashedVerticalLine): Implemented.
        (paintExpandControl): Implemented.
        (paintHorizontalPartOfLeg): New method.
        (paintVerticalPartOfLeg): New method.
        (paintRow): New method.
        (shouldPaintExpandControl): New Method.
        * javax/swing/plaf/metal/MetalTreeUI.java:
        Added private fields for listeners.
        (getHorizontalLegBuffer): Implemented.
        (installUI): Implemented.
        (uninstallUI): Implemented.
        (decodeLineStyle): New method.
        (isLocationInExpandControl): Implemented.
        (paint): Implemented.
        (paintHorizontalSeparators): New method.
        (paintVerticalPartOfLeg): Implemented.
        (paintHorizontalPartOfLeg): Implemented.

	2005-09-14  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTextArea.java:
        (append): After non-empty append, invalidate.
        (setRows): If number of rows changes, invalidate.
        (setColumns): If number of columns changes, invalidate.

	2005-09-14  Anthony Green  <green@redhat.com>

        * java/net/InetSocketAddress.java (toString): Adjust to match Sun
        JRE output, which is [HOSTNAME]/[IPADDRESS]:[PORT].

        * gnu/java/security/der/DERReader.java: Remove stray semicolon.

        * gnu/xml/pipeline/ValidationConsumer.java: Fix flags test (was
        constant expression).

        * javax/swing/plaf/basic/BasicFileChooserUI.java,
        javax/swing/filechooser/FileSystemView.java,
        java/util/logging/LogManager.java,
        gnu/xml/libxmlj/dom/GnomeDocument.java,
        gnu/xml/aelfred2/JAXPFactory.java,
        gnu/java/security/x509/ext/Extension.java,
        gnu/java/security/x509/ext/BasicConstraints.java,
        gnu/java/rmi/server/RMIObjectInputStream.java,
        gnu/java/rmi/dgc/DGCImpl_Stub.java,
        gnu/java/beans/decoder/BooleanHandler.java: Use
        Boolean.valueOf() instead of new Boolean.

	2005-09-13  Tom Tromey  <tromey@redhat.com>

        * java/lang/StringBuffer.java (StringBuffer): New constructor.
        (trimToSize): New method.
        (codePointAt): Likewise.
        (codePointBefore): Likewise.
        (codePointCount): Likewise.
        (appendCodePoint): Likewise.
        (append): New overloads.
        (insert): Likewise.

	2005-09-13  Tom Tromey  <tromey@redhat.com>

        * java/lang/Character.java: Typo fixes in javadoc.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/basic/BasicTabbedPaneUI.java
        (calculateTabWidth): Don't use the calcRect here. This lead to an
        inconsistent state when this method is called from another method
        that also uses calcRect.
        (calculateTabHeight): Don't use the calcRect here. This lead to an
        inconsistent state when this method is called from another method
        that also uses calcRect.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/basic/BasicTabbedPaneUI.java:
        Reformatted file.

	2005-09-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/io/ObjectInputStream.java:
        (readObject()): Moved marker parsing to its own method.
        (parseContent(byte)): Fixed TC_OBJECT handling to loop on
        blockdata written manually by the class.

	2005-09-14  Christian Thalinger  <twisti@complang.tuwien.ac.at>

        * native/jni/classpath/jcl.c: Replaced undefined
        POINTERS_ARE_64BIT with SIZEOF_VOID_P == 8.

	2005-09-14  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalIconFactory.java
        (PaletteCloseIcon): now implements UIResource.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        * javax/swing/ButtonModel.java: Added API docs all over.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        * javax/swing/JTabbedPane.java: Added API comments to make clear
        that null values for tab titles are allowed.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        Fixes Bug#23859.
        * javax/swing/JTabbedPane.java
        (insertTab): Check if title == null and if so, then set it
        to "". Otherwise the null string would cause a segfault or
        an assertion failure in font metrics calculation as reported
        in bug#23859.

	2005-09-14  David Gilbert  <david.gilbert@object-refinery.com>

        * gnu/CORBA/ExceptionCreator.java: minor API doc fixes,
        * gnu/CORBA/Version.java: likewise.

	2005-09-14  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicFormattedTextFieldUI.java:
        (getPropertyPrefix): added API docs,
        * javax/swing/plaf/basic/BasicPasswordFieldUI.java:
        (getPropertyPrefix): added API docs,
        * javax/swing/plaf/basic/BasicTextAreaUI.java:
        (getPropertyPrefix): added API docs,
        * javax/swing/plaf/basic/BasicTextFieldUI.java:
        (getPropertyPrefix): added API docs,
        * javax/swing/plaf/basic/BasicTextPaneUI.java:
        (getPropertyPrefix): added API docs.

	2005-09-14  David Gilbert  <david.gilbert@object-refinery.com>

        * org/omg/CORBA/ORB.java: minor API doc fixes,
        * org/omg/CORBA/PERSIST_STORE.java: likewise,
        * org/omg/CORBA/PolicyError.java: likewise,
        * org/omg/CORBA/ValueBaseHolder.java: likewise,
        * org/omg/CORBA/VisibilityHelper.java: likewise.

	2005-09-14  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalComboBoxIcon.java: fixed header,
        (paintIcon): change color to reflect component state.

	2005-09-13  Tom Tromey  <tromey@redhat.com>

        * .settings/org.eclipse.jdt.core.prefs: Ignore javadoc warnings
        for hidden or deprecated members.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/AbstractDocument.java
        Bumped up serialVersionUIDs to JDK 1.5 compatibility.
        (getContent): Made method final.
        (AbstractElement.dumpElement): Removed superfluous private method.
        (AbstractElement.dump): Made diagnostic output more speaking.
        * javax/swing/text/BoxView.java
        (paintChild): Don't allocate the child region here.
        (paint): Allocate the child region here instead.
        * javax/swing/text/ComponentView.java:
        Added API doc comments.
        * javax/swing/text/CompositeView.java
        (getNextVisualPositionFrom): Declared to throw BadLocationException.
        (getNextNorthSouthVisualPositionFrom): Likewise.
        (getNextEastWestVisualPositionFrom): Likewise.
        * javax/swing/text/DefaultCaret.java
        Bumped up serialVersionUIDs to JDK 1.5 compatibility.
        * javax/swing/text/DefaultEditorKit.java
        Slight reformatting.
        * javax/swing/text/DefaultFormatter.java
        Bumped up serialVersionUIDs to JDK 1.5 compatibility.
        * javax/swing/text/DefaultStyledEditorKit.java
        (ElementBuffer.insertUpdate): Removed unneeded statement.
        (ElementBuffer.insertStartTag): Attach a resolve parent to new
        paragraph elements.
        (createDefaultRoot): Attach a resolve parent to new paragraph
        elements.
        * javax/swing/text/InternationalFormatter.java
        Bumped up serialVersionUIDs to JDK 1.5 compatibility.
        * javax/swing/text/JTextComponent.java
        Slight reformatting.
        (paramString): Added TODO comment.
        * javax/swing/text/SimpleAttributeSet.java
        Bumped up serialVersionUIDs to JDK 1.5 compatibility.
        (equals): Don't require object to be SimpleAttributeSet. Allows
        comparing to all kinds of AttributeSets.
        (isEqual): Likewise.
        * javax/swing/text/StringContent.java
        Bumped up serialVersionUIDs to JDK 1.5 compatibility.
        * javax/swing/text/StyleConstants.java
        (getBackground): Return white as default background instead of black.
        * javax/swing/text/StyleConstext.java
        Bumped up serialVersionUIDs to JDK 1.5 compatibility.
        (SmallAttributeSet.equals):  Don't require object to be
        SmallAttributeSet. Allows comparing to all kinds of AttributeSets.
        * javax/swing/text/StyledEditorKit.java
        Fixed some comments.
        * javax/swing/text/TabSet.java
        Bumped up serialVersionUIDs to JDK 1.5 compatibility.
        * javax/swing/text/TabStop.java
        Bumped up serialVersionUIDs to JDK 1.5 compatibility.
        * javax/swing/text/View.java
        Removed unneeded import.

	2005-09-14  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/JOptionPane.java:
        (showConfirmDialog): Changed QUESTION_MESSAGE like the JDK
        does.
        * javax/swing/plaf/basic/BasicOptionPaneUI.java:
        (getButtons): Treat DEFAULT_OPTION like
        YES_NO_CANCEL_OPTION like the JDK.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/GapContent.java
        (GapContentPosition.getOffset): Made assertion more speaking.
        (GapContent): Modified initialization for compatibility with JDK.
        (shiftEnd): Update marks prior to modification of the content.
        Use new getPositionsInRange method.
        (shiftGap): Use new getPositionsInRange method. Tweaked to corectly
        update the marks.
        (shiftGapStartDown): New method.
        (shiftGapEndUp): New method.
        (replace): Use shiftGapEndUp. Modified resizing offset.
        (getGapStart): New method.
        (getGapEnd): New method.
        (getPositionsInRange): New method.

	2005-09-14  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/GlyphView.java
        (AbstractGlyphPainter.getAscent): New abstract method.
        (AbstractGlyphPainter.getDescent): New abstract method.
        (AbstractGlyphPainter.getBoundedPosition): New abstract method.
        (AbstractGlyphPainter.viewToModel): New abstract method.
        (AbstractGlyphPainter.getNextVisualPositionFrom): New method.
        (AbstractGlyphPainter.getPainter): New method.
        (DefaultGlyphPainter.paint): Add support for more text attributes.
        (DefaultGlyphPainter.getAscent): New method.
        (DefaultGlyphPainter.getDescent): New method.
        (DefaultGlyphPainter.getBoundedPosition): New method.
        (DefaultGlyphPainter.viewToModel): New method.
        (GlyphView): Store start and end offset in the GlyphView.
        (getPreferredSpan): Differentiate the axis parameter.
        (viewToModel): Implemented this method.
        (getStartOffset): Return value of private field instead of the
        element value.
        (getEndOffset): Return value of private field instead of the
        element value.
        (getBackground): New method.
        (isStrikeThrough): New method.
        (isSubscript): New method.
        (isSuperscript): New method.
        (isUnderline): New method.
        (clone): New method.
        (breakView): New method.
        (getBreakWeight): New method.
        (changedUpdate): New method.
        (insertUpdate): New method.
        (removeUpdate): New method.
        (createFragment): New method.
        (getAlignment): New method.
        (getNextVisualPositionFrom): New method.

	2005-09-13  Tom Tromey  <tromey@redhat.com>

        * java/util/regex/Matcher.java (matches): Javadoc fix.
        (start): Likewise.
        * java/lang/reflect/Proxy.java (equals): Javadoc fix.
        * java/io/ObjectInputStream.java (inputGetObjectStreamClasses): Javadoc
        fix.
        * java/util/zip/ZipFile.java (getEntry): Javadoc fix.
        * java/util/logging/XMLFormatter.java (getHead): Javadoc fix.
        * java/util/logging/LogManager.java (getLevelProperty): Javadoc fix.
        * java/util/logging/Handler.java (getEncoding): Javadoc fix.
        (setFilter): Likewise.
        * java/util/logging/FileHandler.java: Organized imports.
        * java/util/jar/Manifest.java (Manifest): Javadoc fix.
        * java/util/TreeMap.java (putFromObjStream): Javadoc fix.
        * java/util/SimpleTimeZone.java (isBefore): Javadoc fix.
        * java/util/ResourceBundle.java (tryBundle): Javadoc fix.
        * java/util/Random.java (seed): Javadoc fix.
        * java/util/Collections.java (SynchronizedSortedSet): Javadoc fix.
        (SingletonMap): Likewise.
        (addAll): Javadoc fix.
        * java/lang/reflect/UndeclaredThrowableException.java: Javadoc fix.
        * java/lang/reflect/Member.java (DECLARED, PUBLIC): Javadoc fix.
        * java/lang/ref/WeakReference.java: Javadoc fix.
        * java/lang/ref/Reference.java: Javadoc fix.
        (Reference): Likewise.
        * java/lang/Thread.java (setContextClassLoader): Javadoc fix.
        (getContextClassLoader): Likewise.
        (stop): Likewise.
        * java/lang/System.java (runFinalizersOnExit): Javadoc fix.
        * java/lang/String.java (upperExpand): Javadoc fix.
        * java/lang/StrictMath.java: Javadoc fixes.
        * java/lang/SecurityManager.java: Added imports for javadoc.
        (currentClassLoader): Javadoc fix.
        (classLoaderDepth): Likewise.
        (currentLoadedClass): Likewise.
        (checkRead): Likewise.
        (checkWrite): Likewise.
        (checkAccess): Likewise.
        * java/lang/RuntimePermission.java: Added import for javadoc.
        * java/lang/Readable.java (read): Added import for javadoc.

	2005-09-13  Casey Marshall  <csm@gnu.org>

        * gnu/classpath/ByteArray.java: new file.
        * gnu/java/security/provider/Gnu.java
        (<init>): add Diffie Hellman and RSA algorithms.
        * gnu/javax/crypto/DiffieHellmanImpl.java: new file.
        * gnu/javax/crypto/GnuDHPrivateKey.java: new file.
        * gnu/javax/crypto/RSACipherImpl.java: new file.

	2005-09-13  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalComboBoxButton.java: new file,
        * javax/swing/plaf/metal/MetalComboBoxEditor.java: likewise.

	2005-09-13  Tom Tromey  <tromey@redhat.com>

        * java/lang/Process.java: Added import for javadoc.
        * java/lang/Object.java (notify): Javadoc fix.
        (notifyAll): Likewise.
        * java/io/PipedInputStream.java (connect): Javadoc fix.
        * java/io/OutputStreamWriter.java: Organized imports.
        * java/io/ObjectStreamField.java (setOffset): Javadoc fix.
        * java/io/ObjectInputStream.java (readFields): Javadoc fix.
        * java/io/DataOutputStream.java (writeChars): Javadoc fix.
        (writeFloat): Likewise.
        (writeDouble): Likewise.
        * java/util/Locale.java (readObject): Javadoc fix.
        (writeObject): Likewise.
        * java/io/LineNumberReader.java (read): Javadoc fix.
        (setLineNumber): Likewise.
        (mark): Likewise.
        * java/io/InputStreamReader.java: Updated imports.
        * java/lang/Integer.java (parseInt): Javadoc fix.
        * java/io/FilterReader.java (skip): Javadoc fix.
        * java/util/HashMap.java (containsValue): Javadoc fix.
        * java/lang/ClassLoader.java (findLibrary): Javadoc fix.
        (setPackageAssertionStatus): Likewise.
        (setClassAssertionStatus): Likewise.
        * java/lang/Class.java: Added imports for javadoc.
        (matchMethod): Javadoc fix.
        * java/util/ArrayList.java (readObject): Javadoc fix.
        (writeObject): Likewise.
        * java/lang/String.java (CaseInsensitiveComparator): Javadoc fix.
        * java/util/zip/PendingBuffer.java (toByteArray): Javadoc fix.
        * javax/swing/plaf/metal/OceanTheme.java: Mark as 1.5.
        * java/util/logging/SimpleFormatter.java (format): Javadoc fix.
        * java/util/zip/ZipFile.java (getEntries): Javadoc fix.

	2005-09-13  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicComboBoxUI.java
        (lightHighlight): removed,
        (installDefaults): only update component attributes if they are tagged
        with UIResource, initialise button colors from correct defaults,
        (uninstallDefaults): only clear attributes that are tagged with
        UIResource.

	2005-09-13  Lillian Angel  <langel@redhat.com>

        * javax/swing/JTree.java
        (AccessibleJTree): Added new Inner class.
        (AccessibleJTree.addAccessibleSelection): New method.
        (AccessibleJTree.clearAccessibleSelection): New method.
        (AccessibleJTree.fireVisibleDataPropertyChange): New method.
        (AccessibleJTree.getAccessibleAt): New method.
        (AccessibleJTree.getAccessibleChild): New method.
        (AccessibleJTree.getAccessibleChildrenCount): New method.
        (AccessibleJTree.getAccessibleIndexInParent): New method.
        (AccessibleJTree.getAccessibleRole): New method.
        (AccessibleJTree.getAccessibleSelection): New method.
        (AccessibleJTree.getAccessibleSelection): New method.
        (AccessibleJTree.getAccessibleSelectionCount): New method.
        (AccessibleJTree.isAccessibleChildSelected): New method.
        (AccessibleJTree.removeAccessibleSelection): New method.
        (AccessibleJTree.selectAllAccessibleSelection): New method.
        (AccessibleJTree.treeCollapsed): New method.
        (AccessibleJTree.treeExpanded): New method.
        (AccessibleJTree.treeNodesChanged): New method.
        (AccessibleJTree.treeNodesInserted): New method.
        (AccessibleJTree.treeNodesRemoved): New method.
        (AccessibleJTree.treeStructureChanged): New method.
        (AccessibleJTree.valueChanged): New method.
        (AccessibleJTreeNode): Likewise.
        (AccessibleJTreeNode.addAccessibleSelection): New method.
        (AccessibleJTreeNode.addFocusListener): New method.
        (AccessibleJTreeNode.addPropertyChangeListener): New method.
        (AccessibleJTreeNode.clearAccessibleSelection): New method.
        (AccessibleJTreeNode.contains): New method.
        (AccessibleJTreeNode.doAccessibleAction): New method.
        (AccessibleJTreeNode.getAccessibleAction): New method.
        (AccessibleJTreeNode.getAccessibleActionCount): New method.
        (AccessibleJTreeNode.getAccessibleActionDescription): New method.
        (AccessibleJTreeNode.getAccessibleAt): New method.
        (AccessibleJTreeNode.getAccessibleChild): New method.
        (AccessibleJTreeNode.getAccessibleChildrenCount): New method.
        (AccessibleJTreeNode.getAccessibleComponent): New method.
        (AccessibleJTreeNode.getAccessibleContext): New method.
        (AccessibleJTreeNode.getAccessibleDescription): New method.
        (AccessibleJTreeNode.getAccessibleIndexInParent): New method.
        (AccessibleJTreeNode.getAccessibleName): New method.
        (AccessibleJTreeNode.getAccessibleParent): New method.
        (AccessibleJTreeNode.getAccessibleRole): New method.
        (AccessibleJTreeNode.getAccessibleSelection): New method.
        (AccessibleJTreeNode.getAccessibleSelectionCount): New method.
        (AccessibleJTreeNode.getAccessibleStateSet): New method.
        (AccessibleJTreeNode.getAccessibleText): New method.
        (AccessibleJTreeNode.getAccessibleValue): New method.
        (AccessibleJTreeNode.getBackground): New method.
        (AccessibleJTreeNode.getBounds): New method.
        (AccessibleJTreeNode.getCursor): New method.
        (AccessibleJTreeNode.getFont): New method.
        (AccessibleJTreeNode.getFontMetrics): New method.
        (AccessibleJTreeNode.getForeground): New method.
        (AccessibleJTreeNode.getLocale): New method.
        (AccessibleJTreeNode.getLocation): New method.
        (AccessibleJTreeNode.getLocationInJTree): New method.
        (AccessibleJTreeNode.getLocationOnScreen): New method.
        (AccessibleJTreeNode.getSize): New method.
        (AccessibleJTreeNode.isAccessibleChildSelected): New method.
        (AccessibleJTreeNode.isEnabled): New method.
        (AccessibleJTreeNode.isVisible): New method.
        (AccessibleJTreeNode.removeAccessibleSelection): New method.
        (AccessibleJTreeNode.removeFocusListener): New method.
        (AccessibleJTreeNode.removePropertyChangeListener): New method.
        (AccessibleJTreeNode.requestFocus): New method.
        (AccessibleJTreeNode.selectAllAccessibleSelection): New method.
        (AccessibleJTreeNode.setAccessibleDescription): New method.
        (AccessibleJTreeNode.setAccessibleName): New method.
        (AccessibleJTreeNode.setBackground): New method.
        (AccessibleJTreeNode.setBounds): New method.
        (AccessibleJTreeNode.setCursor): New method.
        (AccessibleJTreeNode.setEnabled): New method.
        (AccessibleJTreeNode.setFont): New method.
        (AccessibleJTreeNode.setForeground): New method.
        (AccessibleJTreeNode.setLocation): New method.
        (AccessibleJTreeNode.setVisible): New method.
        (removeDescendantToggledPaths): Implemented.
        (treeDidChange): Implemented.

	2005-09-13  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jawt/jawt.c (_Jv_AWTLock): Do nothing.
        (_Jv_AWTUnlock): Likewise.

	2005-09-13  David Daney  <ddaney@avtrex.com>

        * java/io/ByteArrayOutputStream.java: Reformated copyright notice.
        (toString(int)): Pass correct parameters to String constructor.

	2005-09-13  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/JComboBox.java
        (getPrototypeDisplayValue): added API docs,
        (setPrototypeDisplayValue): fire property change event.

	2005-09-13  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/DefaultStyledDocument.java
        (ElementSpec): New inner class.
        (ElementBuffer.change): Also store the DefaultDocumentEvent.
        (ElementBuffer.split): Also update the document event.
        (ElementBuffer.insert): New method.
        (ElementBuffer.insertUpdate): New method.
        (ElementBuffer.insertStartTag): New method.
        (ElementBuffer.insertEndTag): New method.
        (ElementBuffer.insertContentTag): New method.
        (SectionElement): New inner class.
        (createDefaultRoot): Return SectionElement instead of BranchElement.
        (getParagraphElement): Optimized access to paragraph element.
        (setCharacterAttributes): Fire changedUpdate after modification.
        (insertUpdate): New method.

	2005-09-13  Roman Kennke  <kennke@aicas.com>

        * javax/swing/SizeRequirements.java
        (toString): Implemented this method.
        (calculateAlignedPositions): Partly implemented this method.

	2005-09-13  Roman Kennke  <kennke@aicas.com>

        * javax/swing/JTabbedPane.java: Added API comments all over.

	2005-09-13  Roman Kennke  <kennke@aicas.com>

        * javax/swing/JTree.java: Reformatted file.
        * javax/swing/ListCellRenderer.java: Likewise.
        * javax/swing/ListSelectionModel.java: Likewise.
        * javax/swing/MenuElement.java: Likewise.
        * javax/swing/OverlayLayout.java: Likewise.
        * javax/swing/ProgressMonitor.java: Likewise.
        * javax/swing/ProgressMonitorInputStream.java: Likewise.
        * javax/swing/Renderer.java: Likewise.
        * javax/swing/RepaintManager.java: Likewise.
        * javax/swing/RootPaneContainer.java: Likewise.
        * javax/swing/Scrollable.java: Likewise.
        * javax/swing/SingleSelectionModel.java: Likewise.
        * javax/swing/SizeSequence.java: Likewise.
        * javax/swing/SpinnerListModel.java: Likewise.
        * javax/swing/UnsupportedLookAndFeelException.java: Likewise.
        * javax/swing/ViewportLayout.java: Likewise.
        * javax/swing/WindowConstants.java: Likewise.

2005-09-15  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-09-12  Tom Tromey  <tromey@redhat.com>

	* java/lang/ThreadLocal.java: Organized imports.
	* java/lang/Double.java: Organized imports.

	2005-09-12  Casey Marshall  <csm@gnu.org>

	PR 23819
	* javax/security/auth/Subject.java (SecureSet.<init>): rename
	input paremeter to 'inElements.'
	(SecureSet.contains): return 'elements.contains,' not
	'elements.remove.'

	PR 23822
	* javax/security/auth/SubjectDomainCombiner.java
	(combine): don't access 'subject' if null.

	2005-09-12  David Gilbert  <david.gilbert@object-refinery.com>

	* examples/gnu/classpath/examples/swing/Demo.java
	(mkDesktopWorld): add palette style frame,
	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	(closeIcon): new field,
	(installListeners): call createPropertyChangeListener() to create the 
	new listener to allow for overriding,
	(installDefaults): set the font in the title, read closeIcon from 
	defaults,
	(uninstallDefaults): clear closeIcon,
	(setButtonIcons): set icon for closeButton,
	(paintComponent): set font for title,
	* javax/swing/plaf/metal/MetalInternalFrameTitlePane.java
	(MetalInternalFrameTitlePanePropertyChangeHandler): new support class,
	(MetalTitlePaneLayout): likewise,
	(paletteTitleHeight): initialise from defaults elsewhere,
	(title): new private field,
	(installDefaults): initialise various defaults,
	(uninstallDefaults): clear defaults,
	(addSubComponents): add sub-components used in this look and feel,
	(createLayout): return new instance of MetalTitlePaneLayout,
	(paintPalette): renders the title pane using the palette style,
	(paintComponent): call paintPalette() if the internal frame uses the
	palette style, otherwise handle painting without calling superclass 
	anymore,
	(setPalette): update the icon visibility,
	(createPropertyChangeListener): return a new change handler,
	* javax/swing/plaf/metal/MetalInternalFrameUI.java
	(IS_PALETTE): new static field,
	(installUI): check IS_PALETTE property,
	(createNorthPane): removed empty border,
	(setPalette): update border as appropriate,
	(paletteListener): new private field,
	(installListeners): install a listener to handle changes in the 
	IS_PALETTE property,
	(uninstallListeners): clear the listener from installListeners(),
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(initComponentDefaults): added defaults for 'DesktopIcon.border',
	'InternalFrame.paletteBorder', 'InternalFrame.paletteCloseIcon', and
	'InternalFrame.paletteTitleHeight'.
	

	2005-09-12  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComponent.java
	(putClientProperty): fire property change event.

	2005-09-12  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JScrollPane.java:
	(addNonNull): Changed from adding to container with no constraints to
	adding to container with the appropriate ScrollPaneConstant as a 
	constraint.  This avoids IllegalArgumentExceptions in ScrollPaneLayout.
	(setColumnHeader): Added constraint to addNonNull call.
	(setCorner): Likewise.
	(setHorizontalScrollBar): Likewise.
	(setRowHeader): Likewise.
	(setVerticalScrollBar): Likewise.
	(setViewport): Likewise.
	* javax/swing/JViewport.java:
	(setViewSize): Don't set the size or fireStateChanged unless the new 
	size is different from the old size.
	(setView): Reset isViewSizeSet to false.
	* javax/swing/ScrollPaneLayout:
	(addSingletonComponent): Implemented and documented.
	(addLayoutComponent): Throw an IllegalArgumentException if key is 
	not one of the appropriate ScrollPaneConstants constants.  Added docs.
	(setVerticalScrollBarPolicy): Likewise.
	(setHorizontalScrollBarPolicy): Likewise.
	(getCorner): Added docs.

	2005-09-12  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JCheckBox.java
	(AccessibleJCheckBox): New inner class.
	(getAccessibleContext): Implemented this method.
	* javax/swing/JLayeredPane.java
	(AccessibleJLayeredPane): New inner class.
	(getAccessibleContext): Implemented this method.

	2005-09-12  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTable.java
	(getCellRect): Don't include cell gap in cell rectangle
	calculation. It's already included in TableColumnModel.getWidth().
	(createDefaultColumnsFromModel): Initialize table header values.
	* javax/swing/plaf/basic/BasicTableUI.java
	(paint): Don't include cell gap in cell rectangle
	calculation. It's already included in TableColumnModel.getWidth().

	2005-09-12  Tom Tromey  <tromey@redhat.com>

	* org/ietf/jgss/GSSException.java (BAD_BINDINGS, BAD_MECH,
	BAD_NAME, BAD_NAMETYPE, CONTEXT_EXPIRED, CREDENTIALS_EXPIRED,
	DEFECTIVE_CREDENTIAL, DEFECTIVE_TOKEN, DUPLICATE_TOKEN, FAILURE,
	NO_CONTEXT, NO_CRED, OLD_TOKEN): Use values from JDK, not RFC.

	2005-09-12  Lillian Angel  <langel@redhat.com>

	* javax/swing/tree/DefaultTreeCellEditor.java
	(isCellEditable): Stopped the timer if it is started and
	should not be restarted. This is a fix for the 'click-pause-
	click' method to start editing.

	2005-09-12  Lillian Angel  <langel@redhat.com>

	* gnu/java/awt/AWTUtilities.java
	(convertPoint): Added a check to determine if source and
	destination components are showing.
	* javax/swing/JPopupMenu.java
	(setVisible): Added check to determine if component is showing.
	(show): Likewise.
	* javax/swing/MenuSelectionManager.java
	(componentForPoint): Added check to determine if component is showing.
	* javax/swing/ToolTipManager.java
	(showTip): Added check to determine if component is showing.
	* javax/swing/plaf/basic/BasicToolBarUI.java
	(mousePressed): Added check to determine if component is showing.

	2005-09-12  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/metal/MetalIconFactory.java
	(InternalFrameCloseIcon.paintIcon): change colors according to button
	state,
	(InternalFrameAltMaximizeIcon.paintIcon): likewise,
	(InternalFrameMaximizeIcon.paintIcon): likewise,
	(InternalFrameMinimizeIcon.paintIcon): likewise.

	2005-09-12  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalBorders.java
	(TableHeaderBorder): New inner class.
	(TextFieldBorder.paintBorder): Only paint the active border
	if the text field is enabled _and_ editable.
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(initComponentDefaults): Added default to use the new
	TableHeaderBorder for table headers.

	2005-09-12  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/awt/Container.java:
	(findComponentForMouseEventAt): Reduced visibility to package-private.
	(getDeepestComponentForMouseEventAt): Reduced visibility to 
	package-private and removed static modifier.

	2005-09-12  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/metal/MetalBorders.java
	(desktopIconBorder): new private field,
	(DesktopIconBorder): new support class,
	(getDesktopIconBorder): implemented,
	(InternalFrameBorder.paintBorder): change color of line highlights if
	the internal frame is selected.
	
	2005-09-12  Chris Burdess  <dog@gnu.org>

	* gnu/xml/dom/DomDocument.java: Implementation of xml:id W3C
	Recommendation.

	2005-09-12  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTable.java
	(TableColumnPropertyChangeHandler): New inner class. Handles
	changes of column widths.
	(JTable(TableModel, TableColumnModel, ListSelectionModel)):
	Check if column model == null and if so, create a default model.
	(initializeLocalVars): Changed to use createDefaultColumnsFromModel
	instead of createColumnsFromModel.
	(addColumn): Add property change handler to new column.
	(createColumnsFromModel): Removed redundant private method.
	Use the public createDefaultColumnsFromModel instead.
	(tableChanged): Use createDefaultColumnsFromModel instead of
	createColumnsFromModel.
	(setModel): Use createDefaultColumnsFromModel instead of
	createColumnsFromModel.
	(doLayout): When handling AUTO_RESIZE_OFF, then adjust the
	size of the resizing column to it's (new) preferred size.
	(createDefaultColumnsFromModel): Added assertion to make sure
	that the column model is not null. Add property change handler
	to new columns.
	* javax/swing/table/TableColumn.java
	(setWidth): Fire property change with name 'width' instead
	of using the (obsolete) constant field COLUMN_WIDTH_PROPERTY.
	(setPreferredWidth): Make this property a bound property.

	2005-09-11  Thomas Fitzsimmons  <fitzsim@redhat.com>

	PR swing/22922
	* java/awt/event/InputEvent.java (modifiersEx): New field.
	(InputEvent): Assume modifiers parameter contains both new- and
	old-style masks.
	(isShiftDown): Check modifiers for old-style shift mask and
	modifiersEx for new-style shift mask.
	(isControlDown): Likewise for control mask.
	(isMetaDown): Likewise for meta mask.
	(isAltDown): Likewise for alt mask.
	(isAltGraphDown): Likewise for alt-graph mask.
	(getModifiers): Return value of modifiers field.
	(getModifiersEx): Return value of modifiersEx field.
	* java/awt/event/MouseEvent.java
	(MouseEvent(Component,int,long,int,int,int,int,boolean,int)):
	Clear button new-style mask for mouse released events.
	(paramString): Remove old-style modifier handling.
	(readObject): Extend modifiers and assign to modifiersEx.
	* java/awt/event/KeyEvent.java (readObject): Extend modifiers and
	assign to modifiersEx.
	* native/jni/gtk-peer/gtkpeer.h: Define macros for new-style mouse
	masks.  Define macros for old-style key masks.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c:
	Remove macros for old-style key masks.
	(button_to_awt_mods): Always return bitwise OR of new- and
	old-style modifiers.
	(cp_gtk_state_to_awt_mods): Likewise.
	(state_to_awt_mods_with_button_states): Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(keyevent_state_to_awt_mods): Likewise.

	2005-09-11  Mark Wielaard  <mark@klomp.org>

	* gnu/java/nio/channels/FileChannelImpl.java (finalize): Check whether
	fd != -1 before calling close().

2005-09-14  David Walluck <walluck@mandrake.org>

	* kaffe/include/kaffe_jni.h: (vfprintf)
	Renamed field to (jni_vfprintf) to avoid
	renaming problems on Mandriva.

	* kaffe/kaffe/kaffevm/jni/jni-base.c,
	kaffe/kaffe/kaffevm/support.c:
	Same.

	* kaffe/libraries/clib/awt/qt/fnt.cc:
	Compilation fixlet for g++ 4.

2005-09-14  Dalibor Topic  <robilad@kaffe.org>

	* WHATSNEW: Updated a bit.

2005-09-14  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.win32: Rewritten.

2005-09-14  Dalibor Topic  <robilad@kaffe.org>

	* config/i386/trampolines.S:
	Fixed function declaration for Cygwin.

2005-09-13  Dalibor Topic  <robilad@kaffe.org>

	* libraries/java/java/lang/Runtime.java
	(loadLibrary) Try multiple different 
	prefixes and suffixes if library can't be loaded
	using the mapped name. This takes care of 
	Cygwin DLLs, Libtool modules and hopefully
	will work for dylibs, jnilibs and similar
	DSO variants as well.

2005-09-13  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/scripts/javap.in,
	kaffe/scripts/native2ascii.in,
	kaffe/scripts/rmic.in,
	kaffe/scripts/serialver.in:
	Updated to reflect moved tools.jar location.

2005-09-13  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.classlibrary-compile:
	Updated information for gcj, javac, kjc and added information for
	gcjx.

2005-09-13  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/org/tritonus/midi/device/alsa/AlsaMidiIn.java:
	Fixed comment to spell out micro second for gcjx.

2005-09-11  Dalibor Topic  <robilad@kaffe.org>

	Merged in in-progress JDWP implementation from GNU Classpath.
	It needs a volunteer to implement the missing native methods.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/classpath/jdwp/Jdwp.java,
	libraries/javalib/gnu/classpath/jdwp/JdwpConstants.java,
	libraries/javalib/gnu/classpath/jdwp/VMFrame.java,
	libraries/javalib/gnu/classpath/jdwp/VMIdManager.java,
	libraries/javalib/gnu/classpath/jdwp/VMVirtualMachine.java,
	libraries/javalib/gnu/classpath/jdwp/event/ClassPrepareEvent.java,
	libraries/javalib/gnu/classpath/jdwp/event/Event.java,
	libraries/javalib/gnu/classpath/jdwp/event/EventManager.java,
	libraries/javalib/gnu/classpath/jdwp/event/EventRequest.java,
	libraries/javalib/gnu/classpath/jdwp/event/ThreadEndEvent.java,
	libraries/javalib/gnu/classpath/jdwp/event/ThreadStartEvent.java,
	libraries/javalib/gnu/classpath/jdwp/event/VmDeathEvent.java,
	libraries/javalib/gnu/classpath/jdwp/event/VmInitEvent.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/ClassExcludeFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/ClassMatchFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/ClassOnlyFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/ConditionalFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/CountFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/ExceptionOnlyFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/FieldOnlyFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/IEventFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/InstanceOnlyFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/LocationOnlyFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/StepFilter.java,
	libraries/javalib/gnu/classpath/jdwp/event/filters/ThreadOnlyFilter.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidClassException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidClassLoaderException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidCountException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidEventTypeException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidFieldException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidLocationException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidMethodException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidObjectException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidStringException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidThreadException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/InvalidThreadGroupException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/JdwpException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/JdwpIllegalArgumentException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/JdwpInternalErrorException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/NotImplementedException.java,
	libraries/javalib/gnu/classpath/jdwp/exception/VmDeadException.java,
	libraries/javalib/gnu/classpath/jdwp/id/ArrayId.java,
	libraries/javalib/gnu/classpath/jdwp/id/ArrayReferenceTypeId.java,
	libraries/javalib/gnu/classpath/jdwp/id/ClassLoaderId.java,
	libraries/javalib/gnu/classpath/jdwp/id/ClassObjectId.java,
	libraries/javalib/gnu/classpath/jdwp/id/ClassReferenceTypeId.java,
	libraries/javalib/gnu/classpath/jdwp/id/InterfaceReferenceTypeId.java,
	libraries/javalib/gnu/classpath/jdwp/id/JdwpId.java,
	libraries/javalib/gnu/classpath/jdwp/id/ObjectId.java,
	libraries/javalib/gnu/classpath/jdwp/id/ReferenceTypeId.java,
	libraries/javalib/gnu/classpath/jdwp/id/StringId.java,
	libraries/javalib/gnu/classpath/jdwp/id/ThreadGroupId.java,
	libraries/javalib/gnu/classpath/jdwp/id/ThreadId.java,
	libraries/javalib/gnu/classpath/jdwp/processor/ArrayReferenceCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/ArrayTypeCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/ClassLoaderReferenceCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/ClassObjectReferenceCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/ClassTypeCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/CommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/EventRequestCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/FieldCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/InterfaceTypeCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/MethodCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/ObjectReferenceCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/PacketProcessor.java,
	libraries/javalib/gnu/classpath/jdwp/processor/ReferenceTypeCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/StackFrameCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/StringReferenceCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/ThreadGroupReferenceCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/ThreadReferenceCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/processor/VirtualMachineCommandSet.java,
	libraries/javalib/gnu/classpath/jdwp/transport/ITransport.java,
	libraries/javalib/gnu/classpath/jdwp/transport/JdwpCommandPacket.java,
	libraries/javalib/gnu/classpath/jdwp/transport/JdwpConnection.java,
	libraries/javalib/gnu/classpath/jdwp/transport/JdwpPacket.java,
	libraries/javalib/gnu/classpath/jdwp/transport/JdwpReplyPacket.java,
	libraries/javalib/gnu/classpath/jdwp/transport/SocketTransport.java,
	libraries/javalib/gnu/classpath/jdwp/transport/TransportException.java,
	libraries/javalib/gnu/classpath/jdwp/transport/TransportFactory.java,
	libraries/javalib/gnu/classpath/jdwp/util/JdwpString.java,
	libraries/javalib/gnu/classpath/jdwp/util/LineTable.java,
	libraries/javalib/gnu/classpath/jdwp/util/Location.java,
	libraries/javalib/gnu/classpath/jdwp/util/MethodResult.java,
	libraries/javalib/gnu/classpath/jdwp/util/Signature.java,
	libraries/javalib/gnu/classpath/jdwp/util/Value.java,
	libraries/javalib/gnu/classpath/jdwp/util/VariableTable.java:
	New files. Taken from GNU Classpath.

2005-09-11  Dalibor Topic  <robilad@kaffe.org>

	Reynced with GNU inetlib.

	2005-09-04  Chris Burdess  <dog@gnu.org>

        * Makefile.am,
        Makefile.in,
        source/gnu/inet/imap/IMAPConnection.java,
        source/gnu/inet/imap/IMAPConstants.java,
        source/gnu/inet/imap/MessageSetTokenizer.java,
        source/gnu/inet/imap/UIDPlusHandler.java,
        source/gnu/inet/imap/package.html: UIDPLUS IMAP extension.

2005-09-11  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-09-10  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalBorders.java
        (PaletteBorder): new class.

	2005-09-10  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalIconFactory.java
        (PaletteCloseIcon): new class.

	2005-09-10  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalInternalFrameUI.java:
        (instances): removed,
        (createUI): just return new instance,
        API docs all over.

	2005-09-10  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GdkGraphics2D.java (fail_g2d): New method.
        (GdkGraphics2D(GdkGraphics2D)): Call fail_g2d if Graphics2D not
        specified.
        (GdkGraphics2D(int,int)): Likewise.
        (GdkGraphics2D(GtkComponentPeer)): Likewise.

	2005-09-10  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/EmbeddedWindow.java (addNotify): Throw
        AssertionError if field access fails.

	2005-09-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GdkGraphics2D.java (static): Reindent
        second error message.

	2005-09-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR awt/23692
        * gnu/java/awt/peer/gtk/GdkGraphics2D.java (static): Only call
        initStaticState if using Graphics2D.  Otherwise print error and
        exit.
        (setClip(Shape)): If clip == null and component == null, do
        nothing.

	2005-09-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GdkGraphics.java
        (GdkGraphics(GtkComponentPeer)): Set font field to a sensible
        default if component font is null.

	2005-09-09  Tom Tromey  <tromey@redhat.com>

        For PR libgcj/23288:
        * java/net/URLClassLoader.java (definePackage): Correctly order
        arguments to definePackage.  Look up per-entry Attributes.
        (getAttributeValue): New method.

	2005-09-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java (installUI): Install
        defaults after initializing tree.

	2005-09-09  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/html/CSS.java
        New file. Defines standard CSS attributes.

	2005-09-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/Window.java (isDisplayable): Do not call super's
        isDisplayable.

	2005-09-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR swing/23796
        * gnu/java/awt/peer/gtk/GtkDialogPeer.java
        (create): Respect dialog's decorated flag.

	2005-09-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR swing/23558
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (window_get_new_state): Remove function.
        (window_get_new_state): Mark widget parameter as unused.  Remove
        call to window_get_new_state.
        (window_active_state_change_cb): Remove function.
        (connectSignals): Do not connect window_active_state_change_cb
        callback.

	2005-09-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR swing/23796
        * gnu/java/awt/peer/gtk/GtkFramePeer.java (create): Respect
        frame's decorated flag.

	2005-09-09  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (installDefaults): Fixed method signature.
        (uninstallDefaults): Likewise.
        (uninstallUI): Fixed call to uninstallDefaults.
        (installUI): Fixed call to installDefaults.
        * javax/swing/JPopupMenu.java
        (HeavyWeightPopup): Fixed to extend JDialog, since
        nothing is added to the taskbar with JDialog. Also,
        fixed so the popup menu is undecorated. Frames and
        title bars should not be drawn, when popup is a
        HeavyWeightPopup. A new bug was filed since the
        decorated and undecorated frames are all drawn
        alike.
        * javax/swing/JRootPane.java
        (setWindowDecorationStyle): Added check for
        PLAIN_DIALOG.

	2005-09-09  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): Added the remaining color defaults.

	2005-09-09  Andrew Haley  <aph@redhat.com>

        * java/net/URLClassLoader.java (addURLImpl): Synchronize on the
        loader.
        (toString): Likewise.

	2005-09-09  Jeroen Frijters  <jeroen@frijters.net>

        * javax/security/auth/login/Configuration.java
        (getConfiguration): Call getConfig() instead of doing the work.
        (getConfig): Instantiate the configuration provider.

	2005-09-09  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/reflect/Proxy.java
        (pack): Initialize field.

	2005-09-09  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/ObjectInputStream.java: Removed static initializer.
        * java/io/ObjectOutputStream.java: Removed static initializer.
        * vm/reference/java/io/VMObjectInputStream.java: Added static
        initializer.
        (oisClass, vmoisClass): Removed unused fields.
        * vm/reference/java/io/VMObjectStreamClass.java: Added static
        initializer.

	2005-09-09  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): re-added 'ScrollBar.width' default.

	2005-09-09  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicArrowButton.java
        (buttonBorder.paintBorder): fixed drawing issues,
        (getMaximumSize): return constant value,
        (getMinimumSize): likewise,
        (getPreferredSize): likewise.

	2005-09-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR swing/23558
        * javax/swing/plaf/basic/BasicComboBoxUI.java
        (FocusHandler.focusLost): Do not call popup.hide.

	2005-09-08  Mark Wielaard  <mark@klomp.org>

        * gnu/java/awt/peer/gtk/GdkGraphics2D.java (static): Fix typo
        (Grahics -> Graphics).

	2005-09-08  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (MetalLookAndFeel): Only load default theme if no theme has been
        set before.
        (initComponentDefaults): Fixed and added color default values
        for various components.

	2005-09-08  Anthony Balkissoon  <abalkiss@redhat.com>

        * java/awt/Container.java:
        (findComponentForMouseEventAt): Removed check for opacity.

	2005-09-08  Anthony Balkissoon  <abalkiss@redhat.com>

        * java/awt/Container.java:
        (findComponentForMouseEventAt): New implementation method.
        (getDeepestComponentForMouseEventAt): New implementation method.
        (acquireComponentForMouseEvent): Replaced call to
        AWTUtilities.getDeepestComponentAt with call to new implementation
        method getDeepestComponentAt to appropriately handle transparent
        components with no MouseListeners attached.

	2005-09-08  Lillian Angel  <langel@gmail.com>

        * javax/swing/JPopupMenu.java:
        Fixes Bug #PR23533
        (setVisible): Adjusted popup menu's location
        depending on the size of the screen.

	2005-09-08  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/metal/OceanTheme.java
        New class. Implements the ocean theme for Metal.
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (createDefaultTheme): Made Ocean the default theme as in JDK1.5.

	2005-09-08  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalIconFactory.java
        (FileChooserDetailViewIcon): new private class,
        (FileChooserHomeFolderIcon): likewise,
        (FileChooserListViewIcon): likewise,
        (FileChooserNewFolderIcon): likewise,
        (FileChooserUpFolderIcon): likewise,
        (getFileChooserDetailViewIcon): implemented,
        (getFileChooserHomeFolderIcon): implemented,
        (getFileChooserListViewIcon): implemented,
        (getFileChooserNewFolderIcon): implemented,
        (getFileChooserUpFolderIcon): implemented.

	2005-09-08  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/basic/BasicTextUI.java
        (foreground): Removed this field. This is better stored
        in the text component itself.
        (inactiveForeground): Removed this field. This is stored
        in the disabledTextColor property of the text component.
        (installDefaults): Load foreground and disabledTextColor
        properties from UIDefaults. Remove call to updateComponentColors.
        (paintBackground): Set the correct background color here.
        (updateComponentColor): Removed this method.
        * javax/swing/text/PlainView.java
        (disabledColor): New field. Stores the text color for disabled
        text fields.
        (drawUnselectedText): Respect the 'enabled' property of
        the text component.
        (paint): Fetch the disabled color of the text component.

	2005-09-08  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/basic/BasicTextUI.java
        (UpdateHandler.propertyChanged): Also update colors if the
        'editable' property is changed.
        (updateComponentColors): Correctly handle editable vs. enabled
        changes.
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): Fixed color defaults for TextFields
        to use the current theme.

	2005-09-08  Roman Kennke  <kennke@aicas.com>

        * javax/swing/plaf/basic/BasicTextUI.java
        (UpdateHandler.propertyChanged): Update the components colors
        when the state of the 'enabled' property changes.
        (foreground): New field that stores the foreground color.
        (background): New field that stores the background color.
        (inactiveForeground): New field that stores the inactive
        foreground color.
        (inactiveBackground): New field that stores the inactive
        background color.
        (updateComponentColors): New method. Updates the text
        components' colors according to the state of the 'enabled'
        property.
        (installDefaults): Load the defaults for the component colors.
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): Added defaults for TextField colors
        and border.

	2005-09-08  Roman Kennke  <kennke@aicas.com>

        * javax/swing/text/GapContent.java
        Fixes Bug #22966.
        (GapContentPosition.getOffset): Added assertion to check for
        consistent state of the Position. Fixed condition in if-statement.
        (serialVersionUID): Updated serialVersionUID to match JDK1.5.
        (shiftGap): If gapStart == newGapStart, then return immediatly.

	2005-09-08  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): added 'ScrollBar.width' default,
        * javax/swing/plaf/metal/MetalScrollBarUI.java
        (MetalScrollBarPropertyChangeHandler): new class,
        (FREE_STANDING_PROP): added,
        (MIN_THUMB_SIZE): modified dimensions,
        (increaseButton): new field,
        (decreaseButton): new field,
        (scrollBarWidth): new field,
        (isFreeStanding): new field,
        (createUI): just return a new instance,
        (installDefaults): implemented,
        (createPropertyChangeListener): implemented,
        (createDecreaseButton): implemented,
        (createIncreaseButton): implemented,
        (paintTrack): implemented,
        (paintTrackHorizontal): new private method,
        (paintTrackVertical): new private method,
        (paintThumb): updated,
        * javax/swing/plaf/metal/MetalScrollButton.java: implemented,
        * javax/swing/plaf/metal/MetalUtils.java
        (fillMetalPattern): modified alternating color calculation.

	2005-09-08  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/ObjectInputStream.java
        (readObject): Removed println and fixed Proxy class descriptor
        deserialization.
        (resolveProxyClass): Use Class.forName() instead of calling
        ClassLoader.loadClass() directly.
        * java/io/ObjectOutputStream.java
        (writeClassDescriptor): Added support for serializing Proxy
        class descriptor.

	2005-09-08  Jeroen Frijters  <jeroen@frijters.net>

        * javax/naming/CompoundName.java
        (readObject, writeObject): New methods.

	2005-09-07  Lillian Angel  <langel@redhat.com>

        * javax/swing/SpringLayout.java:
        Fixes Bug #PR23003
        (getConstraints): Width and height should always
        be reset, even if constraints is not null. Constraints
        deal with the location of the component.

	2005-09-07  Lillian Angel  <langel@redhat.com>

        * javax/swing/text/GapContent.java:
        Fixes Bug #PR22966
        (getOffset): Fixed check, was redundant.

	2005-09-07  Lillian Angel  <langel@redhat.com>

        * javax/swing/text/GapContent.java:
        Fixes Bug #PR22966
        (getOffset): Added check for mark <= gapEnd

	2005-09-07  Roman Kennke  <roman@kennke.org>

        * javax/swing/JApplet.java
        (AccessibleJApplet): New inner class.
        (getAccesibleContext): Implemented accessibility support.
        * javax/swing/JDialog.java
        (AccessibleJDialog): New inner class.
        (getAccesibleContext): Implemented accessibility support.
        * javax/swing/JFrame.java
        (AccessibleJFrame): New inner class.
        (getAccesibleContext): Implemented accessibility support.
        * javax/swing/JWindow.java
        (AccessibleJWindow): New inner class.
        (getAccesibleContext): Implemented accessibility support.

	2005-09-07  Roman Kennke  <roman@kennke.org>

        * javax/swing/JPanel.java
        (AccessibleJPanel): New inner class.
        (getAccessibleContext): Implemented this method.

	2005-09-07  Roman Kennke  <roman@kennke.org>

        * javax/swing/JPanel.java: Reformatted to match our coding
        standards.

	2005-09-07  Roman Kennke  <roman@kennke.org>

        * javax/swing/JViewport.java
        (AccessibleJViewport): New inner class.
        (getAccessibleContext): New method. Implements the Accessible
        interface for JViewport.

	2005-09-07  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalIconFactory.java
        (HorizontalSliderThumbIcon.paintIcon): handle disabled component state,
        and fetch colors from the look and feel,
        (VerticalSliderThumbIcon.paintIcon): likewise,
        * javax/swing/plaf/metal/MetalSliderUI.java
        (MetalPropertyListener): implemented,
        (constructor): added color initialisation,
        (createUI): reimplemented to return a new instance every time,
        (createPropertyChangeListener): return a new instance of
        MetalPropertyListener,
        (paintTrack): reimplemented to handle track fill option, and the
        disabled component state,
        (paintMinorTickForHorizSlider): fetch colors from look and feel,
        (paintMajorTickForHorizSlider): likewise,
        (paintMinorTickForVertSlider): likewise,
        (paintMajorTickForVertSlider): likewise.

	2005-09-07  Robert Schuster  <robertschuster@fsfe.org>

        * native/jni/qt-peer/componentevent.cpp: Added inclusion
        of assert.h

	2005-09-07  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/Box.java: Added java.awt.Container import statement.

	2005-09-06  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): added some RadioButton defaults,
        * javax/swing/plaf/metal/MetalRadioButtonUI.java
        (instance): removed,
        (focusColor): added,
        (selectColor): added,
        (disabledTextColor): added,
        (createUI): return a new instance for every component,
        (installDefaults): implemented,
        (uninstallDefaults): implemented,
        (getSelectColor): implemented,
        (getDisabledTextColor): implemented,
        (getFocusColor): implemented,
        (paint): added FIXME note,
        (paintFocus): implemented.

	2005-09-06  Lillian Angel  <langel@redhat.com>

        Fixes Bug #PR23023
        * javax/swing/plaf/basic/BasicFileChooserUI.java:
        Added 2 fields and reformatted copyright.
        (actionPerformed): Should be able to open directories.
        (mouseClicked): Set text in text field.
        (installUI): Initialized the current parent path.
        (installComponents): Fixed initialization for text field.

	2005-09-06  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicFileChooserUI.java:
        Formatted entire class.

	2005-09-06  Roman Kennke  <roman@kennke.org>

        * javax/swing/Box.java
        (AccessibleBox): Extend Container.AccessibleAWTContainer.
        (Filler.AccessibleBoxFiller): Extend Component.AccessibleAWTComponent.
        (Filler.getAccessibleContext): Uncomment disabled code.
        (getAccessibleContext): Uncomment disabled code.
        * javax/swing/JRootPane.java:
        JRootPane implements Accessible.
        (AccessibleJRootPane): Extend AccessibleJComponent.

	2005-09-06  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalIconFactory.java
        (RadioButtonIcon.drawCheck): removed,
        (RadioButtonIcon.paintIcon): reimplemented,
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): added defaults for JRadioButton.

	2005-09-06  Lillian Angel  <langel@redhat.com>

        Fixes Bug #PR20015
        * javax/swing/JMenuBar.java
        (getUIClassID): Fixed API documentation.
        * javax/swing/plaf/basic/BasicMenuBarUI.java:
        Added a private field for the mouse listener.
        (BasicMenuBarUI): Initialized mouseListener.
        (installListeners): Added mouseListener.
        (uninstallListeners): Removed mouseListener.
        (MouseInputHandler): New class added.
        (mouseClicked): Added code to deselect menu items
        when menu bar is clicked.

	2005-09-06  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicMenuItemUI.java:
        Fixes Bug #PR23527
        (paintMenuItem): Moved view rectangle over to the
        left the same amount as defaultTextIconGap so the
        accelerator is painted with some space on the right.

	2005-09-06  Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/basic/BasicMenuItemUI.java:
        Formatted class.

	2005-09-06  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicScrollBarUI:
        Fixes Bug PR23529.
        (installUI): Changed delay for Timer. Was set too
        long and actionPerformed was not being called fast
        enough when the user clicks on the scroll bar. This
        is because the timer is stopped after the mouse is
        released.

	2005-09-06  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gtkpeer.h (SYNCHRONIZE_GDK): Define.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c (gtkInit)
        [SYNCHRONIZE_GDK]: Make GDK synchronous.

	2005-09-05  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR awt/20720
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (get_first_keyval_from_keymap): Return -1 if no keyval was found
        for given hardware keycode.
        (keysym_to_awt_keycode): Likewise.
        (keysym_to_awt_keylocation): Likewise.
        (key_press_cb): Return immediately if no keyval was found for
        given hardware keycode.
        (key_release_cb): Likewise.

	2005-09-05  Roman Kennke  <roman@kennke.org>

        * javax/swing/event/DocumentEvent.java:
        (ElementChange) Made inner interface static to conform to the specs.

	2005-09-05  Roman Kennke  <roman@kennke.org>

        * javax/swing/JDesktopPane.java: Fixed typo in class description.
        * javax/swing/JEditorPane.java: Removed unneeded import.
        Added class description.
        * javax/swing/JDialog.java: Made class description more useful.
        * javax/swing/JFileChooser.java: Added class description.
        * javax/swing/JFormattedTextField.java: Added class description.
        (AbstractFormatter): Likewise.
        (AbstractFormatterFactory): Likewise.
        * javax/swing/JFrame.java: Made class description more useful.

	2005-09-05  Roman Kennke  <roman@kennke.org>

        * javax/swing/event/DocumentEvent.java:
        Reindented file to conform to our coding standards.

	2005-09-05  Chris Burdess  <dog@gnu.org>

        * gnu/xml/stream/XMLEventAllocatorImpl.java,
        gnu/xml/stream/XMLInputFactoryImpl.java,
        gnu/xml/stream/XMLStreamReaderImpl.java: Various fixes from system
        testing.
        * javax/xml/namespace/QName.java: Avoid unnecessary test.

	2005-09-05  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/reflect/Proxy.java
        (sameTypes): Removed.
        (equals): Fixed bug #23727.

	2005-09-04  Mark Wielaard  <mark@klomp.org>

        * gnu/CORBA/NamingService/NamingServiceTransient.java: Re-un-indent
        boilerplate.

	2005-09-04  Mark Wielaard  <mark@klomp.org>

        * gnu/CORBA/Interceptor/Registrator.java (m_prefix): Mark static.
        * gnu/java/awt/peer/qt/QtButtonPeer.java: Replace uses of
        toolkit.eventQueue.postEvent() with QtToolkit.eventQueue.postEvent().
        * gnu/java/awt/peer/qt/QtCheckboxPeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtChoicePeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtComponentPeer.java: Likewise and similar
        for guiThread and graphicsEnv.
        * gnu/java/awt/peer/qt/QtListPeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtMenuItemPeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtMenuPeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtScrollbarPeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtTextAreaPeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtTextFieldPeer.java: Likewise.

	2005-09-04  Chris Burdess  <dog@gnu.org>

        * doc/README.jaxp: Updated JAXP documentation for StAX.
        * javax/xml/stream/XMLEventFactory.java,
        * javax/xml/stream/XMLInputFactory.java,
        * javax/xml/stream/XMLOutputFactory.java: Use GNU implementation by
        default.

	2005-09-04  Mark Wielaard  <mark@klomp.org>

        * javax/swing/text/AbstractDocument.java
        (LeafElement.LeafElement): Set startPos and endPos through
        createPosition() if parent is null.

	2005-09-04  Chris Burdess  <dog@gnu.org>

        * gnu/xml/stream: StAX implementation.

	2005-09-04  Guilhem Lavaux  <guilhem@kaffe.org>

        * java/lang/Integer.java
        (parseInt): Added some messages to the exception thrown by this
        method.

	2005-09-04  Chris Burdess  <dog@gnu.org>

        * javax/xml/stream/XMLEventFactory.java,
        * javax/xml/stream/XMLEventWriter.java,
        * javax/xml/stream/XMLInputFactory.java,
        * javax/xml/stream/XMLOutputFactory.java,
        * javax/xml/stream/XMLResolver.java,
        * javax/xml/stream/XMLStreamConstants.java,
        * javax/xml/stream/events/Attribute.java,
        * javax/xml/stream/events/EndEntity.java,
        * javax/xml/stream/events/EntityDeclaration.java,
        * javax/xml/stream/events/EntityReference.java,
        * javax/xml/stream/events/StartEntity.java,
        * javax/xml/stream/events/XMLEvent.java,
        * javax/xml/stream/util/EventReaderDelegate.java:
        StAX API changes to conform to JWSDP 1.5.

	2005-09-03  Mark Wielaard  <mark@klomp.org>

        Fixes bug #23701
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c
        (clipboard_owner_change_cb): Only used when GTK_MINOR_VERSION > 4.
        (Java_gnu_java_awt_peer_gtk_GtkClipboard_initNativeState):
        Only request owner-change events for GTK_MINOR_VERSION > 4.
        (clipboard_get_func): Only handle pixbuf and uri when
        GTK_MINOR_VERSION > 4.
        (Java_gnu_java_awt_peer_gtk_GtkClipboard_advertiseContent): Only call
        gtk_target_list_add_* functions when GTK_MINOR_VERSION > 4. Similar
        for gtk_clipboard_set_can_store.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c
        (Java_gnu_java_awt_peer_gtk_GtkImage_drawPixelsScaledFlipped): Mark
        flipx and flipy unused for GTK_MINOR_VERSION <= 4.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkSelection.c
        (clipboard_targets_received): Don't handle images for
        GTK_MINOR_VERSION <= 4.
        (Java_gnu_java_awt_peer_gtk_GtkSelection_requestImage): Likewise.
        (clipboard_uris_received): Likewise for text/uri-list.
        (Java_gnu_java_awt_peer_gtk_GtkSelection_requestURIs): Likewise.

	2005-09-03  Chris Burdess  <dog@gnu.org>

        * javax/xml/stream,
        * javax/xml/stream/events,
        * javax/xml/stream/util:
        New StAX API classes.

	2005-09-02  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/CosNaming/NamingContextOperations.java:
        Do not inherit from CORBA object.
        * org/omg/CosNaming/_NamingContextExtImplBase.java (_methods),
        * omg/CosNaming/_NamingContextImplBase.java (methods):
        Made package private.
        * omg/CosNaming/NamingContextPOA.java,
        * omg/CosNaming/NamingContextExtPOA.java,
        * org/omg/CosNaming/BindingIteratorPOA.java: New files.

	2005-09-02  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/image/CropImageFilter.java
        (setPixels(int,int,int,int,ColorModel,byte[],int,int)): Set
        consumer pixels at 0, 0 location.
        (setPixels(int,int,int,int,ColorModel,int[],int,int)): Likewise.

	2005-09-02  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (mousepressed): Fixed, so that clicking on control icon will not
        start editing.

	2005-09-02  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTree.java:
        (getScrollableTracksViewportHeight): Return true if parent is a
        JViewport and parent's height is smaller than ours.
        (getScrollableTracksViewportWidth): Return true if parent is a
        JViewport and parent's width is smaller than ours.

	2005-09-02  Lillian Angel  <langel@redhat.com>

        * javax/swing/JTree.java
        (installUI): TreeSelectionListener removed because added too many
        times.
        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        Fixed names for some tree defaults.
        * javax/swing/plaf/basic/BasicTreeUI.java:
        Added new fields for editing and keyboard actions.
        (setCellEditor): Took out unneeded if statement.
        (isEditing): Returned boolean instead.
        (updateCellEditor): Used set method.
        (installDefaults): Set focus to tree.
        (installKeyBoardActions): Implemented.
        (convertModifiers): New function implemented.
        (installUI): Used set method and initialized isEditing.
        (startEditing): set isEditing.
        (TreeAction): New class implemented to perform keyboard actions.
        (ActionListenerProxy): New private class used to distribute the key
        board actions to the true receiver.
        (editingStopped): Added code to prevent NPEs. set isEditing and focus
        to tree. Also, removed TreeSelectionListeners for cellEditor.
        (editingCanceled): Likewise.
        (keyPressed): Removed code, not needed anymore.
        (actionPerformed): Implemented for up/down keyboard actions.
        (actionPerformed): Implemented for left/right keyboard actions.
        * javax/swing/tree/DefaultTreeCellEditor.java
        (DefaultTreeCellEditor): Set lastPath.
        (isCellEditable): editingComponent should be configured if has not
        been.
        (stopCellEditing): No need to set cell editor to null here.
        (cancelCellEditing): Likewise.
        (valueChanged): Set tPath to the path that was last selected. Used for
        the click-pause-click implementation.
        (actionPerformed): Re-implemented in a simplier fashion.
        * javax/swing/tree/DefaultTreeCellRenderer.java
        (getTreeCellRendererComponent): Only set border color if val is lead
        selection path.

	2005-09-02  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * gnu/CORBA/Interceptor/ClientRequestInterceptors.java (send_poll):
        remove ForwardRequest from declaration.

	2005-09-02  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/PortableInterceptor/CurrentOperations.java:
        Inherit from org.omg.CORBA.CurrentOperations.
        * org/omg/PortableInterceptor/ClientRequestInterceptorOperations.java
        (send_poll): Remove ForwardRequest from declaration.

	2005-09-02  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JList.java:
        (getPreferredScrollableViewportSize): Implemented.

	2005-09-02  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * gnu/CORBA/IOR_Delegate.java (request),
        * gnu/CORBA/SocketRepository.java (get_socket),
        * gnu/CORBA/gnuRequest (getParameterStream),
        * gnu/CORBA/NamingService/NameParser.java,
        * gnu/CORBA/NamingService/NamingServiceTransient.java: Rewritten.
        * gnu/CORBA/Functional_ORB.java (nameParser): New field.
        (string_to_object): Rewritten.
        (ior_to_object): Made public.
        * org/omg/CORBA/ORB.java (string_to_object):
        Documentation update.

	2005-09-02  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTree.java:
        (getPreferredScrollableViewportSize): Implemented.

	2005-09-02  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): set correct value for
        'InternalFrame.titleFont'.

	2005-09-02  Mark Wielaard  <mark@klomp.org>

        * gnu/java/awt/ClasspathToolkit.java (registerImageIOSpis):
        Reintroduced (empty) method.
        * gnu/java/awt/peer/gtk/GtkToolkit.java (static): Moved initialization
        of imageIOSpis to new registerImageIOSpis() method.
        (registerImageIOSpis): New (overloaded) method.
        * javax/imageio/spi/IIORegistry.java (IIORegistry): Call to Toolkit
        registration method if instanceof ClasspathToolkit.

	2005-09-02  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR awt/22979
        * gnu/java/awt/peer/gtk/GtkImage.java,
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c (GtkImage()):
        New constructor.
        (drawPixelsScaled): Return immediately if width or height is <= 0.
        (drawPixelsScaledFlipped): Likewise for srcwidth, srcheight,
        dstwidth, dstheight.
        * gnu/java/awt/peer/gtk/GtkToolkit.java (createImage(String)):
        Create a blank image when filename is "".
        * javax/swing/ImageIcon.java (ImageIcon(String)): Mention blank
        icons in documentation.
        (ImageIcon(String,String)): Likewise.

	2005-09-02  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR awt/23557
        * gnu/java/awt/peer/gtk/GdkGraphics2D.java (drawString(String,
        float, float)): Return immediately if string is null or
        zero-length.

	2005-09-02  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR awt/20014
        * gnu/java/awt/peer/gtk/GdkGraphics2D.java (static): Always call
        initStaticState.

	2005-09-01  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR awt/23536
        * gnu/java/awt/peer/gtk/GtkImage.java,
        gnu_java_awt_peer_gtk_GtkImage.c (GtkImage(URL)): New constructor.
        (GtkImage(byte[])) New constructor.
        (loadImageFromData): New method.
        * gnu/java/awt/peer/gtk/GtkToolkit.java (createImage(URL)): Call
        GtkImage(URL) constructor.
        (createImage(byte[],int,int)): Call GtkImage(byte[]) constructor.
        * include/gnu_java_awt_peer_gtk_GtkImage.h: Regenerate.

	2005-09-01  Mark Wielaard  <mark@klomp.org>

        * gnu/java/awt/ClasspathToolkit.java (getFont): Get non-public
        constructor from Font. Chain "cannot happen" exceptions in
        AssertionError.

	2005-09-01  Mark Wielaard  <mark@klomp.org>

        * java/util/jar/JarFile.java (JarEnumeration.nextElement): Only
        readSignature when verifying jar.
        (getEntry): Likewise.

	2005-09-01  Anthony Balkissoon  <abalkiss@redhat.com>

        Fixes bug #23204
        * javax/swing/ViewportLayout.java:
        (preferredLayoutSize): If the view is scrollable, call its
        getPreferredScrollableViewportSize method.
        (layoutContainer): If the view is scrollable, check its
        getScrollableTracksViewportWidth and getScrollableTracksViewportHeight
        methods before resizing the view to match the viewport.

	2005-09-01  Mark Wielaard  <mark@klomp.org>
        * native/jni/gtk-peer/gtk_jawt.c
        (classpath_jawt_get_visualID): Cast returned NULL to VisualID.
        (classpath_jawt_get_drawable): Cast returned NULL to Drawable.

	2005-09-01  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java:
        Added new field to keep track of contents in newly edited cell.
        (isEditing): Made more intuitive.
        (stopEditing): Changed because it was causing an infinite loop.
        (installUI): Should be set to true when set.
        (completeEditing): Passed newVal to valueForPathChanged instead.
        (EditorTimerUpdate): Made timer faster because was not working well.
        (actionPerformed): No need for 'BasicTreeUI.this.'
        (update): Likewise.
        (editingStopped): Likewise. Also, set newVal to appropriate value.
        (editingCanceled): Likewise.
        (keyPressed): Likewise.
        (mousePressed): Likewise.
        (treeExpanded): Likewise.
        (treeCollapsed): Likewise.
        (treeNodesChanged): Likewise.
        (TreeNodesInserted): Likewise.
        (treeNodesRemoved): Likewise.
        (treeStructureChanged): Likewise.
        (valueChanged): Editing is canceled when a new cell is clicked.
        (getCellBounds): Initialized row for path.
        * javax/swing/tree/DefaultTreeCellEditor.java
        (startEditingTimer): No need to start timer if it is already set.
        * javax/swing/tree/DefaultTreeModel.java
        (valueForPathChanged): Fixed so value of node is changed only if it
        is a MutableTreeNode. Otherwise, it cannot be changed. Also,
        implemented with check if root node is the node being changed.
        (nodeChanged): Should get the path of the node, not the parent.

	2005-08-31  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR awt/20782
        * native/jni/gtk-peer/gtk_jawt.c
        (classpath_jawt_get_default_display): Check if widget is realized
        and return NULL if it is not.
        (classpath_jawt_get_visualID): Likewise.
        (classpath_jawt_get_drawable): Likewise.

	2005-08-31  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkComponentPeer.java (setBounds): Only
        add parent's x and y co-ordinates to translation if parent's
        parent is not a window.

	2005-08-31  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicFileChooserUI.java:
        (boxEntries): Made this method package private because I added a
        call to it from an implicitly defined listener class. Also fixed
        indentation.
        (createPropertyChangeListener): If the returned property listener
        hears DIRECTORY_CHANGED_PROPERTY, call boxEntries() to update the
        look-in box entries.

	2005-08-31  Anthony Balkissoon  <abalkiss@redhat.com>

        PR swing/23037
        * javax/swing/JFileChooser.java
        (changeToParentDirectory): If parent directory is null, do nothing.

	2005-08-31  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTable.java:
        (initializeLocalVars): Changed default autoResizeMode to
        AUTO_RESIZE_SUBSEQUENT_COLUMNS to match the JDK.
        * javax/swing/plaf/basic/BasicTableUI.java:
        (getMaximumSize): Implemented.
        (getMinimumSize): Implemented.

	2005-08-31  Mark Wielaard  <mark@klomp.org>

        * java/nio/charset/Charset.java (charsetForName): Try default provider
        before trying to load extra providers.
        (availableCharsets): Explicitly add default provider Charsets.
        (providers2): Don't include default provider.

	2005-08-31  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalBorders.java
        (textFieldBorder): new field,
        (Flush3DBorder): new class,
        (TextFieldBorder): new class,
        (getTextFieldBorder): implemented.

	2005-08-31  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicButtonUI.java
        (getPropertyPrefix): include dot in prefix,
        (installDefaults): remove dot which is included in prefix now,
        * javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java
        (getPropertyPrefix): return correct prefix,
        * javax/swing/plaf/basic/BasicCheckBoxUI.java
        (getPropertyPrefix): return correct prefix,
        * javax/swing/plaf/basic/BasicMenuItemUI.java
        (getPropertyPrefix): return correct prefix,
        * javax/swing/plaf/basic/BasicMenuUI.java
        (getPropertyPrefix): return correct prefix,
        * javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java
        (getPropertyPrefix): return correct prefix,
        * javax/swing/plaf/basic/BasicRadioButtonUI.java
        (getPropertyPrefix): include dot in prefix,
        (getDefaultIcon): removed dot which is part of the prefix,
        * javax/swing/plaf/basic/BasicToggleButtonUI.java
        (getPropertyPrefix): include dot in prefix,
        * javax/swing/plaf/metal/MetalCheckBoxUI.java: now extends
        MetalRadioButtonUI,
        (getPropertyPrefix): implemented.

	2005-08-30  Mark Wielaard  <mark@klomp.org>
	    Christian Schlichtherle  <christian@schlichtherle.de>

	* java/util/zip/ZipInputStream.java (getNextEntry): Set name as
	UTF-8 bytes.
	* java/util/zip/ZipOutputStream.java (setComment): Set comment as
